const IconHeaderContent = {
  name: 'IconHeaderContent',
  template: `
    <div class="icon--header--content">
      <div class="icon-header--wrapper">
        <slot name="icon">
            <img :src="iconType[type]" class="icon-header--icon" alt="tu">
        </slot>
        <div :class="{ 'icon-header--text': true, 'icon-header-required': isRequired }">
          {{ label || '没设置标题！！' }}
        </div>
      </div>
    <div class="icon-header--body">
       <slot />
    </div>
    </div>`,
  props: {
    isRequired: {
      type: Boolean,
      default: false
    },
    type: {
      type: String,
      default: 'base'
    },
    label: String,
    iconClass: {
      type: String,
      default: 'el-icon-copy-document'
    }
  },
  data() {
    return {
      iconType: {
        base: './suitStatic/image/icon-base.png',
        plantiff: './suitStatic/image/icon-plantiff.png',
        defants: './suitStatic/image/icon-defant.png',
        account: './suitStatic/image/icon-account.png',
        agent: './suitStatic/image/icon-agent.png',
        third: './suitStatic/image/icon-third.png',
        witness: './suitStatic/image/icon-witness.png',
        pleading: './suitStatic/image/icon-pleadings.png', // 起诉状
        send: './suitStatic/image/icon-send.png',
        otherfile: './suitStatic/image/icon-otherfile.png',
        identify: './suitStatic/image/icon-identify.png',
        evidence: './suitStatic/image/icon-evidence.png'
      }
    }
  }
}
