const ProcessDetail = {
  name: 'ProcessDetail',
  props: {
    // 绑定的数组
    value: {
      type: Array,
      default() {
        return []
      }
    }
  },
  template: `
    <div class="case-person--form">
    <div class="case-person--single__wrapper">
      <span class="target_link"/>
      <div class="case-person--single__header">
        <div class="case-person--single__title">{{ headerTitle }}</div>
      </div>
      <div class="case-person--single__form">
        <el-form
            class="el-form--disabled"
            :hide-required-asterisk="true"
            label-position="right"
            label-width="auto"
            :model="value"
            ref="value"
        >
          <!-- 审判开始          -->
          <!--          代缴费-->
          <div v-if="visible('SPDJF')">
            <el-row>
              <el-col :span="24">
                <el-form-item
                    label="审核结果："
                    prop="auditFindings"
                >
                  <div class="readonly-text-field">{{ value.auditFindings === '1' ? '通过' : '不通过' }}</div>
                </el-form-item>
              </el-col>
            </el-row>
            <el-row>
              <el-col :span="8">
                <el-form-item
                    label="审核人："
                    prop="reviewName"
                >
                  <div class="readonly-text-field">{{ value.reviewName | valueFilter }}</div>
                </el-form-item>
              </el-col>
              <el-col :span="8">
                <el-form-item
                    label="审核时间："
                    prop="examineEndDate"
                >
                  <div class="readonly-text-field">
                    {{ moment(value.examineEndDate).format('YYYY-MM-DD HH:mm:ss') | valueFilter }}
                  </div>
                </el-form-item>
              </el-col>
              <el-col :span="8">
                <el-form-item
                    label="是否调解："
                    prop="mediation"
                >
                  <div class="readonly-text-field">{{ value.mediation == '1' ? '是' : '否' }}</div>
                </el-form-item>
              </el-col>
            </el-row>
            <el-row>
              <el-col :span="8">
                <el-form-item
                    label="案由："
                    prop="caseReasonName"
                >
                  <div class="readonly-text-field">{{ value.caseReasonName | valueFilter }}</div>
                </el-form-item>
              </el-col>
              <el-col :span="8">
                <el-form-item
                    v-if="applyType !=='FYXWPCYWJGZP'"
                    label="适用程序："
                    prop="applicableProceduresName"
                >
                  <div class="readonly-text-field">{{ value.applicableProceduresName | valueFilter }}</div>
                </el-form-item>
                <el-form-item
                    v-if="applyType ==='FYXWPCYWJGZP'"
                    label="受理程序："
                    prop="applicableProceduresName"
                >
                  <div class="readonly-text-field">司法赔偿</div>
                </el-form-item>
              </el-col>
              <el-col :span="8">
                <el-form-item
                    label="案件受理费："
                    prop="caseAcceptanceFee"
                >
                  <div class="readonly-text-field">{{ value.caseAcceptanceFee | valueFilter('money') }}</div>
                </el-form-item>
              </el-col>
            </el-row>
            <el-row>
              <el-col :span="8">
                <el-form-item
                    label="联系方式："
                    prop="reviewNumber"
                >
                  <div class="readonly-text-field">{{ value.reviewNumber | valueFilter }}</div>
                </el-form-item>
              </el-col>
              <el-col :span="8">
                <el-form-item
                    label="缴费状态："
                    prop="isPayment"
                >
                  <div class="readonly-text-field">{{ value.isPayment == '1' ? '已缴费' : '未缴费' }}</div>
                </el-form-item>
              </el-col>
              <el-col :span="24">
                <el-form-item
                    label="审核意见："
                    prop="auditRemarks"
                >
                  <div>{{ value.auditRemarks | valueFilter }}</div>
                </el-form-item>
              </el-col>
            </el-row>
          </div>
          <!--          待修改-->
          <div v-if="visible('SPDXG')">
            <el-row>
              <el-col :span="24">
                <el-form-item
                    label="审核结果："
                    prop="auditFindings"
                >
                  <div class="readonly-text-field">{{ value.auditFindings === '1' ? '通过' : '不通过' }}</div>
                </el-form-item>
              </el-col>
            </el-row>
            <el-row>
              <el-col :span="8">
                <el-form-item
                    label="审核人："
                    prop="reviewName"
                >
                  <div class="readonly-text-field">{{ value.reviewName | valueFilter }}</div>
                </el-form-item>
              </el-col>
              <el-col :span="8">
                <el-form-item
                    label="审核时间："
                    prop="examineEndDate"
                >
                  <div class="readonly-text-field">
                    {{ moment(value.examineEndDate).format('YYYY-MM-DD HH:mm:ss') | valueFilter }}
                  </div>
                </el-form-item>
              </el-col>
              <el-col :span="8">
                <el-form-item
                    label="可重新提交："
                    prop="againSubmit"
                >
                  <div class="readonly-text-field">{{ value.againSubmit == '1' ? '是' : '否' }}</div>
                </el-form-item>
              </el-col>
            </el-row>
            <el-row>
              <el-col :span="8">
                <el-form-item
                    label="不通过原因："
                    prop="notPassCauseName"
                >
                  <div class="readonly-text-field">{{ value.notPassCauseName | valueFilter }}</div>
                </el-form-item>
              </el-col>
              <el-col :span="8">
                <el-form-item
                    label="联系方式："
                    prop="reviewNumber"
                >
                  <div class="readonly-text-field">{{ value.reviewNumber | valueFilter }}</div>
                </el-form-item>
              </el-col>
            </el-row>
            <el-row>
              <el-col :span="24">
                <el-form-item
                    label="审核意见："
                    prop="auditRemarks"
                >
                  <div>{{ value.auditRemarks | valueFilter }}</div>
                </el-form-item>
              </el-col>
            </el-row>
          </div>
          <!--          待递交-->
          <div v-if="visible('SPDDJCL')">
            <el-row>
              <el-col :span="24">
                <el-form-item
                    label="审核结果："
                    prop="auditFindings"
                >
                  <div class="readonly-text-field">{{ value.auditFindings === '1' ? '通过' : '不通过' }}</div>
                </el-form-item>
              </el-col>
            </el-row>
            <el-row>
              <el-col :span="8">
                <el-form-item
                    label="审核人："
                    prop="reviewName"
                >
                  <div class="readonly-text-field">{{ value.reviewName | valueFilter }}</div>
                </el-form-item>
              </el-col>
              <el-col :span="8">
                <el-form-item
                    label="审核时间："
                    prop="examineEndDate"
                >
                  <div class="readonly-text-field">
                    {{ moment(value.examineEndDate).format('YYYY-MM-DD HH:mm:ss') | valueFilter }}
                  </div>
                </el-form-item>
              </el-col>
              <el-col :span="8">
                <el-form-item
                    label="是否调解："
                    prop="mediation"
                >
                  <div class="readonly-text-field">{{ value.mediation == '1' ? '是' : '否' }}</div>
                </el-form-item>
              </el-col>
            </el-row>
            <el-row>
              <el-col :span="8">
                <el-form-item
                    label="案由："
                    prop="caseReasonName"
                >
                  <div class="readonly-text-field">{{ value.caseReasonName | valueFilter }}</div>
                </el-form-item>
              </el-col>
              <el-col :span="8">
                <el-form-item
                    v-if="applyType !=='FYXWPCYWJGZP'"
                    label="适用程序："
                    prop="applicableProceduresName"
                >
                  <div class="readonly-text-field">{{ value.applicableProceduresName | valueFilter }}</div>
                </el-form-item>
                <el-form-item
                    v-if="applyType ==='FYXWPCYWJGZP'"
                    label="受理程序："
                    prop="applicableProceduresName"
                >
                  <div class="readonly-text-field">司法赔偿</div>
                </el-form-item>
              </el-col>
              <el-col :span="8">
                <el-form-item
                    label="案件受理费："
                    prop="caseAcceptanceFee"
                >
                  <div class="readonly-text-field">{{ value.caseAcceptanceFee | valueFilter('money') }}</div>
                </el-form-item>
              </el-col>
            </el-row>
            <el-row>
              <el-col :span="8">
                <el-form-item
                    label="联系方式："
                    prop="reviewNumber"
                >
                  <div class="readonly-text-field">{{ value.reviewNumber | valueFilter }}</div>
                </el-form-item>
              </el-col>
              <el-col :span="24">
                <el-form-item
                    label="审核意见："
                    prop="auditRemarks"
                >
                  <div>{{ value.auditRemarks | valueFilter }}</div>
                </el-form-item>
              </el-col>
            </el-row>
            <el-row>
              <el-col :span="8">
                <el-form-item
                    label="缴费状态："
                    prop="isPayment"
                >
                  <div class="readonly-text-field">{{ value.isPayment == '1' ? '已缴费' : '未缴费' }}</div>
                </el-form-item>
              </el-col>
              <el-col :span="8">
                <el-form-item
                    label="实际缴费金额："
                    prop="actualPay"
                >
                  <div class="readonly-text-field">{{ value.actualPay | valueFilter('money') }}</div>
                </el-form-item>
              </el-col>
              <el-col :span="8">
                <el-form-item
                    label="缴费日期："
                    prop="payEndDate"
                >
                  <div class="readonly-text-field">{{ moment(value.payEndDate).format('YYYY-MM-DD')  | valueFilter }}
                  </div>
                </el-form-item>
              </el-col>
            </el-row>
            <el-row>
              <el-col :span="8">
                <el-form-item
                    label="材料状态："
                    prop="isMaterials"
                >
                  <div class="readonly-text-field">{{ value.isMaterials == '1' ? '已递交材料' : '待递交材料' }}</div>
                </el-form-item>
              </el-col>
              <!--              <el-col :span="8">
                              <el-form-item
                                  label="递交材料时限："
                                  prop="materialsLimit"
                              >
                                <div class="readonly-text-field">{{ value.materialsLimit | valueFilter('dayLimit') }}</div>
                              </el-form-item>
                            </el-col>-->
            </el-row>
          </div>
          <!--          待庭审-->
          <div v-if="visible('SPDTS')">
            <el-row>
              <el-col :span="24">
                <el-form-item
                    label="收案状态："
                    prop="isTake"
                >
                  <div class="readonly-text-field">{{ value.isTake == '1' ? '已收案' : '未收案' }}</div>
                </el-form-item>
              </el-col>
            </el-row>
            <el-row>
              <el-col :span="8">
                <el-form-item
                    label="材料接收人："
                    prop="receiveMaterialsName"
                >
                  <div class="readonly-text-field">{{ value.receiveMaterialsName | valueFilter }}</div>
                </el-form-item>
              </el-col>
              <el-col :span="8">
                <el-form-item
                    label="材料接收时间："
                    prop="receiveMaterialsDate"
                >
                  <div class="readonly-text-field">
                    {{ moment(value.receiveMaterialsDate).format('YYYY-MM-DD HH:mm:ss') | valueFilter }}
                  </div>
                </el-form-item>
              </el-col>
              <el-col :span="8">
                <el-form-item
                    label="联系方式："
                    prop="reviewNumber"
                >
                  <div class="readonly-text-field">{{ value.reviewNumber | valueFilter }}</div>
                </el-form-item>
              </el-col>
            </el-row>
            <el-row>
              <el-col :span="8">
                <el-form-item
                    label="案号："
                    prop="caseNo"
                >
                  <div class="readonly-text-field">{{ value.caseNo | valueFilter('caseNo') }}</div>
                </el-form-item>
              </el-col>
              <el-col :span="8">
                <el-form-item
                    label="承办法官："
                    prop="judgeName"
                >
                  <div class="readonly-text-field">{{ value.judgeName | valueFilter('judgeName') }}</div>
                </el-form-item>
              </el-col>
              <el-col :span="8">
                <el-form-item
                    label="法官联系方式："
                    prop="judgePhone"
                >
                  <div class="readonly-text-field">
                    {{ value.judgePhone | valueFilter('judgePhone','',value.divisionFlag) }}
                  </div>
                </el-form-item>
              </el-col>
            </el-row>
            <el-row>
              <el-col :span="8">
                <el-form-item
                    v-if="applyType !=='FYXWPCYWJGZP'"
                    label="适用程序："
                    prop="applicableProceduresName"
                >
                  <div class="readonly-text-field">{{ value.applicableProceduresName | valueFilter }}</div>
                </el-form-item>
                <el-form-item
                    v-if="applyType ==='FYXWPCYWJGZP'"
                    label="受理程序："
                    prop="applicableProceduresName"
                >
                  <div class="readonly-text-field">司法赔偿</div>
                </el-form-item>
              </el-col>
              <el-col :span="8">
                <el-form-item
                    label="审判程序："
                    prop="trialProceduresName"
                >
                  <div class="readonly-text-field">
                    {{ applyType === 'FYXWPCYWJGZP' ? '-' : value.trialProceduresName | valueFilter }}
                  </div>
                </el-form-item>
              </el-col>
              <el-col :span="8">
                <el-form-item
                    label="庭审时间："
                    prop="scheduleStartDate"
                >
                  <div class="readonly-text-field">
                    {{ moment(value.scheduleStartDate).format('YYYY-MM-DD HH:mm') | valueFilter('scheduleStartDate') }}
                  </div>
                </el-form-item>
              </el-col>
            </el-row>
            <el-row>
              <el-col :span="8">
                <el-form-item
                    label="庭审法庭："
                    prop="courtName"
                >
                  <div class="readonly-text-field">{{ value.courtName | valueFilter('courtName') }}</div>
                </el-form-item>
              </el-col>
            </el-row>
          </div>
          <!--          已结案-->
          <div v-if="visible('SPYJA')">
            <el-row>
              <el-col :span="24">
                <el-form-item
                    label="案号："
                    prop="caseNo"
                >
                  <div class="readonly-text-field">{{ value.caseNo | valueFilter('caseNo') }}</div>
                </el-form-item>
              </el-col>
            </el-row>
            <el-row>
              <el-col :span="8">
                <el-form-item
                    label="审判程序："
                    prop="trialProceduresName"
                >
                  <div class="readonly-text-field">
                    {{ applyType === 'FYXWPCYWJGZP' ? '-' : value.trialProceduresName | valueFilter }}
                  </div>
                </el-form-item>
              </el-col>
              <el-col :span="8">
                <el-form-item
                    v-if="applyType !=='FYXWPCYWJGZP'"
                    label="适用程序："
                    prop="applicableProceduresName"
                >
                  <div class="readonly-text-field">{{ value.applicableProceduresName | valueFilter }}</div>
                </el-form-item>
                <el-form-item
                    v-if="applyType ==='FYXWPCYWJGZP'"
                    label="受理程序："
                    prop="applicableProceduresName"
                >
                  <div class="readonly-text-field">司法赔偿</div>
                </el-form-item>
              </el-col>
              <el-col :span="8">
                <el-form-item
                    label="承办庭室："
                    prop="trialChamberName"
                >
                  <div class="readonly-text-field">{{ value.trialChamberName | valueFilter }}</div>
                </el-form-item>
              </el-col>
            </el-row>
            <el-row>
              <el-col :span="8">
                <el-form-item
                    label="承办法官："
                    prop="judgeName"
                >
                  <div class="readonly-text-field">{{ value.judgeName | valueFilter('judgeName') }}</div>
                </el-form-item>
              </el-col
              >
              <el-col :span="8">
                <el-form-item
                    label="结案方式："
                    prop="closeTypeName"
                >
                  <div class="readonly-text-field">{{ value.closeTypeName | valueFilter }}</div>
                </el-form-item>
              </el-col>
              <el-col :span="8">
                <el-form-item
                    label="结案日期："
                    prop="closeEndDate"
                >
                  <div class="readonly-text-field">
                    {{ moment(value.closeEndDate).format('YYYY-MM-DD') | valueFilter }}
                  </div>
                </el-form-item>
              </el-col>
            </el-row>
            <el-row>
              <el-col :span="8">
                <el-form-item
                    label="庭审法庭："
                    prop="courtName"
                >
                  <div class="readonly-text-field">{{ value.courtName | valueFilter('courtName') }}</div>
                </el-form-item>
              </el-col>
            </el-row>
            <el-row>
              <el-col :span="24">
                <el-form-item
                    label="司法判决书："
                    prop="abandoningFilingReasonName"
                >
                  <template v-for="item in getFileData('27')">
                    <el-button v-if="item.evidencFileName" type="text"
                               @click="downloadFile(item)"
                    >
                      {{ item.evidencFileName }}
                    </el-button>
                  </template>
                  <div v-if="getFileData('27').length === 0" class="readonly-text-field">暂无司法判决书</div>
                </el-form-item>
              </el-col>
            </el-row>
            <el-row>
              <el-col :span="24">
                <el-form-item
                    label="其他材料："
                    prop="abandoningFilingReasonName"
                >
                  <template v-for="item in getFileData('31')">
                    <el-button v-if="item.evidencFileName" type="text"
                               @click="downloadFile(item)"
                    >
                      {{ item.evidencFileName }}
                    </el-button>
                  </template>
                  <div v-if="getFileData('31').length === 0" class="readonly-text-field">暂无其他材料</div>
                </el-form-item>
              </el-col>
            </el-row>
          </div>
          <!--          已失效-->
          <div v-if="visible('SPYSX')">
            <!--            <el-row>-->
            <!--              <el-col :span="24">-->
            <!--                <el-form-item-->
            <!--                    label="失效原因："-->
            <!--                    prop="loseReason"-->
            <!--                >-->
            <!--                  <div class="readonly-text-field">{{ value.loseReason | valueFilter }}</div>-->
            <!--                </el-form-item>-->
            <!--              </el-col>-->
            <!--            </el-row>-->
            <el-row>
              <el-col :span="24">
                <el-form-item
                    label="失效时间："
                    prop="presidentApprovalDate"
                >
                  <div class="readonly-text-field">
                    {{ moment(value.presidentApprovalDate).format('YYYY-MM-DD HH:mm:ss') | valueFilter }}
                  </div>
                </el-form-item>
              </el-col>
            </el-row>
          </div>
          <!--          已驳回-->
          <div v-if="visible('SPYBH')">
            <el-row>
              <el-col :span="24">
                <el-form-item
                    label="审核结果："
                    prop="auditFindings"
                >
                  <div class="readonly-text-field">{{ value.auditFindings === '1' ? '通过' : '不通过' }}</div>
                </el-form-item>
              </el-col>
            </el-row>
            <el-row>
              <el-col :span="8">
                <el-form-item
                    label="审核人："
                    prop="reviewName"
                >
                  <div class="readonly-text-field">{{ value.reviewName | valueFilter }}</div>
                </el-form-item>
              </el-col>
              <el-col :span="8">
                <el-form-item
                    label="审核时间："
                    prop="examineEndDate"
                >
                  <div class="readonly-text-field">
                    {{ moment(value.examineEndDate).format('YYYY-MM-DD HH:mm:ss') | valueFilter }}
                  </div>
                </el-form-item>
              </el-col>
              <el-col :span="8">
                <el-form-item
                    label="可重新提交："
                    prop="againSubmit"
                >
                  <div class="readonly-text-field">{{ value.againSubmit == '1' ? '是' : '否' }}</div>
                </el-form-item>
              </el-col>
            </el-row>
            <el-row>
              <el-col :span="8">
                <el-form-item
                    label="不通过原因："
                    prop="notPassCauseName"
                >
                  <div class="readonly-text-field">{{ value.notPassCauseName | valueFilter }}</div>
                </el-form-item>
              </el-col>
              <el-col :span="8">
                <el-form-item
                    label="联系方式："
                    prop="reviewNumber"
                >
                  <div class="readonly-text-field">{{ value.reviewNumber | valueFilter }}</div>
                </el-form-item>
              </el-col>
            </el-row>
            <el-row>
              <el-col :span="24">
                <el-form-item
                    label="审核意见："
                    prop="auditRemarks"
                >
                  <div>{{ value.auditRemarks | valueFilter }}</div>
                </el-form-item>
              </el-col>
            </el-row>
          </div>
          <!--          已撤诉未立案-->
          <div v-if="visible('SPYCSWLA')">
            <el-row>
              <el-col :span="24">
                <el-form-item
                    label="案件序号："
                    prop="businessId"
                >
                  <div class="readonly-text-field">{{ value.businessId | valueFilter }}</div>
                </el-form-item>
              </el-col>
            </el-row>
            <el-row>
              <el-col :span="8">
                <el-form-item
                    label="审判程序："
                    prop="trialProceduresName"
                >
                  <div class="readonly-text-field">
                    {{ applyType === 'FYXWPCYWJGZP' ? '-' : value.trialProceduresName | valueFilter }}
                  </div>
                </el-form-item>
              </el-col>
              <el-col :span="8">
                <el-form-item
                    v-if="applyType !=='FYXWPCYWJGZP'"
                    label="适用程序："
                    prop="applicableProceduresName"
                >
                  <div class="readonly-text-field">{{ value.applicableProceduresName | valueFilter }}</div>
                </el-form-item>
                <el-form-item
                    v-if="applyType ==='FYXWPCYWJGZP'"
                    label="受理程序："
                    prop="applicableProceduresName"
                >
                  <div class="readonly-text-field">司法赔偿</div>
                </el-form-item>
              </el-col>
              <el-col :span="8">
                <el-form-item
                    label="承办庭室："
                    prop="trialChamberName"
                >
                  <div class="readonly-text-field">
                    {{ value.trialChamberName | valueFilter('trialChamberName','SPYCSWLA') }}
                  </div>
                </el-form-item>
              </el-col>
            </el-row>
            <el-row>
              <el-col :span="8">
                <el-form-item
                    label="承办法官："
                    prop="judgeName"
                >
                  <div class="readonly-text-field">{{ value.judgeName | valueFilter('judgeName','SPYCSWLA') }}</div>
                </el-form-item>
              </el-col>
              <el-col :span="8">
                <el-form-item
                    label="结案方式："
                    prop="closeTypeName"
                >
                  <div class="readonly-text-field">{{ value.closeTypeName | valueFilter('closeTypeName','SPYCSWLA') }}
                  </div>
                </el-form-item>
              </el-col>
              <el-col :span="8">
                <el-form-item
                    label="结案日期："
                    prop="closeEndDate"
                >
                  <div class="readonly-text-field">
                    {{ moment(value.closeEndDate).format('YYYY-MM-DD') | valueFilter('closeEndDate','SPYCSWLA') }}
                  </div>
                </el-form-item>
              </el-col>
            </el-row>
            <el-row>
              <el-col :span="24">
                <el-form-item
                    label="庭审法庭："
                    prop="courtName"
                >
                  <div class="readonly-text-field">{{ value.courtName | valueFilter('courtName','SPYCSWLA') }}</div>
                </el-form-item>
              </el-col>
            </el-row>
            <el-row>
              <el-col :span="24">
                <el-form-item
                    label="撤诉裁定书："
                    prop="abandoningFilingReasonName"
                >
                  <template v-for="item in getFileData('27')">
                    <el-button v-if="item.evidencFileName" type="text"
                               @click="downloadFile(item)"
                    >
                      {{ item.evidencFileName }}
                    </el-button>
                  </template>
                  <div v-if="getFileData('27').length === 0" class="readonly-text-field">暂无撤诉裁定书</div>
                </el-form-item>
              </el-col>
            </el-row>
            <el-row>
              <el-col :span="24">
                <el-form-item
                    label="其他材料："
                    prop="abandoningFilingReasonName"
                >
                  <template v-for="item in getFileData('31')">
                    <el-button v-if="item.evidencFileName" type="text"
                               @click="downloadFile(item)"
                    >
                      {{ item.evidencFileName }}
                    </el-button>
                  </template>
                  <div v-if="getFileData('31').length === 0" class="readonly-text-field">暂无其他材料</div>
                </el-form-item>
              </el-col>
            </el-row>
          </div>
          <!--          已撤诉已立案-->
          <div v-if="visible('SPCSYLA')">
            <el-row>
              <el-col :span="24">
                <el-form-item
                    label="案号："
                    prop="caseNo"
                >
                  <div class="readonly-text-field">{{ value.caseNo | valueFilter('caseNo') }}</div>
                </el-form-item>
              </el-col>
            </el-row>
            <el-row>
              <el-col :span="8">
                <el-form-item
                    label="审判程序："
                    prop="trialProceduresName"
                >
                  <div class="readonly-text-field">
                    {{ applyType === 'FYXWPCYWJGZP' ? '-' : value.trialProceduresName | valueFilter }}
                  </div>
                </el-form-item>
              </el-col>
              <el-col :span="8">
                <el-form-item
                    v-if="applyType !=='FYXWPCYWJGZP'"
                    label="适用程序："
                    prop="applicableProceduresName"
                >
                  <div class="readonly-text-field">{{ value.applicableProceduresName | valueFilter }}</div>
                </el-form-item>
                <el-form-item
                    v-if="applyType ==='FYXWPCYWJGZP'"
                    label="受理程序："
                    prop="applicableProceduresName"
                >
                  <div class="readonly-text-field">司法赔偿</div>
                </el-form-item>
              </el-col>
              <el-col :span="8">
                <el-form-item
                    label="承办庭室："
                    prop="trialChamberName"
                >
                  <div class="readonly-text-field">{{ value.trialChamberName | valueFilter }}</div>
                </el-form-item>
              </el-col>
            </el-row>
            <el-row>
              <el-col :span="8">
                <el-form-item
                    label="承办法官："
                    prop="judgeName"
                >
                  <div class="readonly-text-field">{{ value.judgeName | valueFilter('judgeName') }}</div>
                </el-form-item>
              </el-col>
              <el-col :span="8">
                <el-form-item
                    label="结案方式："
                    prop="closeTypeName"
                >
                  <div class="readonly-text-field">{{ value.closeTypeName | valueFilter }}</div>
                </el-form-item>
              </el-col>
              <el-col :span="8">
                <el-form-item
                    label="结案日期："
                    prop="closeEndDate"
                >
                  <div class="readonly-text-field">
                    {{ moment(value.closeEndDate).format('YYYY-MM-DD') | valueFilter }}
                  </div>
                </el-form-item>
              </el-col>
            </el-row>
            <el-row>
              <el-col :span="24">
                <el-form-item
                    label="庭审法庭："
                    prop="courtName"
                >
                  <div class="readonly-text-field">{{ value.courtName | valueFilter('courtName') }}</div>
                </el-form-item>
              </el-col>
            </el-row>
            <el-row>
              <el-col :span="24">
                <el-form-item
                    label="撤诉裁定书："
                    prop="abandoningFilingReasonName"
                >
                  <template v-for="item in getFileData('27')">
                    <el-button v-if="item.evidencFileName" type="text"
                               @click="downloadFile(item)"
                    >
                      {{ item.evidencFileName }}
                    </el-button>
                  </template>
                  <div v-if="getFileData('27').length === 0" class="readonly-text-field">暂无撤诉裁定书</div>
                </el-form-item>
              </el-col>
            </el-row>
            <el-row>
              <el-col :span="24">
                <el-form-item
                    label="其他材料："
                    prop="abandoningFilingReasonName"
                >
                  <template v-for="item in getFileData('31')">
                    <el-button v-if="item.evidencFileName" type="text"
                               @click="downloadFile(item)"
                    >
                      {{ item.evidencFileName }}
                    </el-button>
                  </template>
                  <div v-if="getFileData('31').length === 0" class="readonly-text-field">暂无其他材料</div>
                </el-form-item>
              </el-col>
            </el-row>
          </div>
          <!--          审判结束-->
          <!--保全开始         -->
          <!--          代缴费-->
          <div v-if="visible('BQDJF')">
            <el-row>
              <el-col :span="24">
                <el-form-item
                    label="审核结果："
                    prop="auditFindings"
                >
                  <div class="readonly-text-field">{{ value.auditFindings === '1' ? '通过' : '不通过' }}</div>
                </el-form-item>
              </el-col>
            </el-row>
            <el-row>
              <el-col :span="8">
                <el-form-item
                    label="收案意见："
                    prop="closeOpinions"
                >
                  <div class="readonly-text-field">{{ closeOpinions[value.closeOpinions] | valueFilter }}</div>
                </el-form-item>
              </el-col>
              <el-col :span="8">
                <el-form-item
                    label="管辖依据："
                    prop="jurisdictionalBasisName"
                >
                  <div class="readonly-text-field">{{ value.jurisdictionalBasisName | valueFilter }}</div>
                </el-form-item>
              </el-col>
              <el-col :span="8">
                <el-form-item
                    label="标的金额："
                    prop="preservationAmount"
                >
                  <div class="readonly-text-field">{{ value.preservationAmount | valueFilter('money') }}</div>
                </el-form-item>
              </el-col>
            </el-row>
            <el-row>
              <el-col :span="8">
                <el-form-item
                    label="保全费："
                    prop="adviseAmount"
                >
                  <div class="readonly-text-field">{{ value.adviseAmount | valueFilter('money') }}</div>
                </el-form-item>
              </el-col>
              <el-col :span="8">
                <el-form-item
                    label="审核人："
                    prop="reviewName"
                >
                  <div class="readonly-text-field">{{ value.reviewName | valueFilter }}</div>
                </el-form-item>
              </el-col>
              <el-col :span="8">
                <el-form-item
                    label="审核时间："
                    prop="examineEndDate"
                >
                  <div class="readonly-text-field">
                    {{ moment(value.examineEndDate).format('YYYY-MM-DD HH:mm:ss') | valueFilter }}
                  </div>
                </el-form-item>
              </el-col>
            </el-row>
            <el-row>
              <el-col :span="8">
                <el-form-item
                    label="联系方式："
                    prop="reviewNumber"
                >
                  <div class="readonly-text-field">{{ value.reviewNumber | valueFilter }}</div>
                </el-form-item>
              </el-col>
              <el-col :span="8">
                <el-form-item
                    label="缴费状态："
                    prop="isPayment"
                >
                  <div class="readonly-text-field">{{ value.isPayment == '1' ? '已缴费' : '未缴费' }}</div>
                </el-form-item>
              </el-col>
              <el-col :span="24">
                <el-form-item
                    label="审核意见："
                    prop="auditRemarks"
                >
                  <div>{{ value.auditRemarks | valueFilter }}</div>
                </el-form-item>
              </el-col>
            </el-row>
          </div>
          <!--          待修改-->
          <div v-if="visible('BQDXG')">
            <el-row>
              <el-col :span="8">
                <el-form-item
                    label="审核结果："
                    prop="auditFindings"
                >
                  <div class="readonly-text-field">{{ value.auditFindings === '1' ? '通过' : '不通过' }}</div>
                </el-form-item>
              </el-col>
              <el-col :span="8">
                <el-form-item
                    label="是否可重新提交："
                    prop="againSubmit"
                >
                  <div class="readonly-text-field">{{ value.againSubmit === '1' ? '是' : '否' }}</div>
                </el-form-item>
              </el-col>
            </el-row>
            <el-row>
              <el-col :span="8">
                <el-form-item
                    label="审核人："
                    prop="reviewName"
                >
                  <div class="readonly-text-field">{{ value.reviewName | valueFilter }}</div>
                </el-form-item>
              </el-col>
              <el-col :span="8">
                <el-form-item
                    label="审核时间："
                    prop="examineEndDate"
                >
                  <div class="readonly-text-field">
                    {{ moment(value.examineEndDate).format('YYYY-MM-DD HH:mm:ss') | valueFilter }}
                  </div>
                </el-form-item>
              </el-col>
              <el-col :span="8">
                <el-form-item
                    label="联系方式："
                    prop="reviewNumber"
                >
                  <div class="readonly-text-field">{{ value.reviewNumber | valueFilter }}</div>
                </el-form-item>
              </el-col>
            </el-row>
            <el-row>
              <el-col :span="24">
                <el-form-item
                    label="审核意见："
                    prop="auditRemarks"
                >
                  <div>{{ value.auditRemarks | valueFilter }}</div>
                </el-form-item>
              </el-col>
            </el-row>
          </div>
          <!--          已驳回-->
          <div v-if="visible('BQYBH')">
            <el-row>
              <el-col :span="8">
                <el-form-item
                    label="审核结果："
                    prop="auditFindings"
                >
                  <div class="readonly-text-field">{{ value.auditFindings === '1' ? '通过' : '不通过' }}</div>
                </el-form-item>
              </el-col>
              <el-col :span="8">
                <el-form-item
                    label="是否可重新提交："
                    prop="againSubmit"
                >
                  <div class="readonly-text-field">{{ value.againSubmit === '1' ? '是' : '否' }}</div>
                </el-form-item>
              </el-col>
            </el-row>
            <el-row>
              <el-col :span="8">
                <el-form-item
                    label="审核人："
                    prop="reviewName"
                >
                  <div class="readonly-text-field">{{ value.reviewName | valueFilter }}</div>
                </el-form-item>
              </el-col>
              <el-col :span="8">
                <el-form-item
                    label="审核时间："
                    prop="examineEndDate"
                >
                  <div class="readonly-text-field">
                    {{ moment(value.examineEndDate).format('YYYY-MM-DD HH:mm:ss') | valueFilter }}
                  </div>
                </el-form-item>
              </el-col>
              <el-col :span="8">
                <el-form-item
                    label="联系方式："
                    prop="reviewNumber"
                >
                  <div class="readonly-text-field">{{ value.reviewNumber | valueFilter }}</div>
                </el-form-item>
              </el-col>
            </el-row>
            <el-row>
              <el-col :span="24">
                <el-form-item
                    label="需要下裁定："
                    prop="isNeedRule"
                >
                  <div class="readonly-text-field">{{ value.isNeedRule === '1' ? '是' : '否' }}</div>
                </el-form-item>
              </el-col>
            </el-row>
            <el-row>
              <el-col :span="24">
                <el-form-item
                    label="审核意见："
                    prop="auditRemarks"
                >
                  <div>{{ value.auditRemarks | valueFilter }}</div>
                </el-form-item>
              </el-col>
            </el-row>
          </div>
          <!--          已撤销-->
          <div v-if="visible('BQYCX')">
            <el-row>
              <el-col :span="24">
                <el-form-item
                    label="缴费状态："
                    prop="isPayment"
                >
                  <div class="readonly-text-field">{{ value.isPayment === '1' ? '已缴费' : '未缴费' }}</div>
                </el-form-item>
              </el-col>
            </el-row>
            <el-row>
              <el-col :span="8">
                <el-form-item
                    label="操作人："
                    prop="revokeName"
                >
                  <div class="readonly-text-field">{{ value.revokeName | valueFilter }}</div>
                </el-form-item>
              </el-col>
              <el-col :span="8">
                <el-form-item
                    label="操作时间："
                    prop="revokeDate"
                >
                  <div class="readonly-text-field">
                    {{ moment(value.revokeDate).format('YYYY-MM-DD HH:mm:ss') | valueFilter }}
                  </div>
                </el-form-item>
              </el-col>
              <el-col :span="8">
                <el-form-item
                    label="联系方式："
                    prop="revokeNumber"
                >
                  <div class="readonly-text-field">{{ value.revokeNumber | valueFilter }}</div>
                </el-form-item>
              </el-col>
            </el-row>
            <el-row>
              <el-col :span="24">
                <el-form-item
                    label="撤销原因："
                    prop="withdrawalCause"
                >
                  <div class="readonly-text-field">{{ value.withdrawalCause | valueFilter }}</div>
                </el-form-item>
              </el-col>
            </el-row>
            <el-row>
              <el-col :span="24">
                <el-form-item
                    label="备注："
                    prop="withdrawalRemarks"
                >
                  <div>{{ value.withdrawalRemarks | valueFilter }}</div>
                </el-form-item>
              </el-col>
            </el-row>
            <el-row>
              <el-col :span="24">
                <el-form-item
                    label="撤销文件："
                    prop="abandoningFilingReasonName"
                >
                  <template v-for="item in getFileData('20')">
                    <el-button v-if="item.evidencFileName" type="text"
                               @click="downloadFile(item)"
                    >
                      {{ item.evidencFileName }}
                    </el-button>
                  </template>
                  <div v-if="getFileData('20').length === 0" class="readonly-text-field">暂无撤销文件</div>
                </el-form-item>
              </el-col>
            </el-row>
          </div>
          <!--          代立案-->
          <div v-if="visible('BQDLA')">
            <el-row>
              <el-col :span="8">
                <el-form-item
                    label="缴费状态："
                    prop="isPayment"
                >
                  <div class="readonly-text-field">{{ value.isPayment === '1' ? '已缴费' : '未缴费' }}</div>
                </el-form-item>
              </el-col>
              <el-col :span="8">
                <el-form-item
                    label="缴费时间："
                    prop="payEndDate"
                >
                  <div class="readonly-text-field">
                    {{ moment(value.payEndDate).format('YYYY-MM-DD HH:mm:ss') | valueFilter }}
                  </div>
                </el-form-item>
              </el-col>
              <el-col :span="8">
                <el-form-item
                    label="缴费金额："
                    prop="paymentFee"
                >
                  <div class="readonly-text-field">{{ value.paymentFee | valueFilter('money') }}</div>
                </el-form-item>
              </el-col>
            </el-row>
            <el-row>
              <el-col :span="8">
                <el-form-item
                    label="操作人："
                    prop="presidentName"
                >
                  <div class="readonly-text-field">{{ value.presidentName | valueFilter }}</div>
                </el-form-item>
              </el-col>
              <el-col :span="8">
                <el-form-item
                    label="操作时间："
                    prop="presidentDate"
                >
                  <div class="readonly-text-field">{{ value.presidentDate | valueFilter }}</div>
                </el-form-item>
              </el-col>
              <el-col :span="8">
                <el-form-item
                    label="联系方式："
                    prop="presidentNumber"
                >
                  <div class="readonly-text-field">{{ value.presidentNumber | valueFilter }}</div>
                </el-form-item>
              </el-col>
            </el-row>
          </div>
          <!--          非诉待裁定-->
          <div v-if="visible('BQFSDCD')">
            <el-row>
              <el-col :span="24">
                <el-form-item
                    label="审批意见："
                    prop="presidentApprovalComments"
                >
                  <div class="readonly-text-field">
                    {{ (value.stage === '308' ? '暂未审批' : (value.presidentApprovalComments ? presidentApprovalComments[value.presidentApprovalComments] : '审核未通过待下发裁定'))| valueFilter }}
                  </div>
                </el-form-item>
              </el-col>
            </el-row>
            <el-row>
              <el-col :span="8">
                <el-form-item
                    label="立案庭审批人："
                    prop="presidentApprovalName"
                >
                  <div class="readonly-text-field">
                    {{ (value.stage === '308' ? '暂未审批' : (value.presidentApprovalComments ? (value.presidentApprovalName) : '审核未通过待下发裁定')) | valueFilter }}
                  </div>
                </el-form-item>
              </el-col>
              <el-col :span="8">
                <el-form-item
                    label="立案庭审批日期："
                    prop="presidentApprovalDate"
                >
                  <div class="readonly-text-field">
                    {{ (value.stage === '308' ? '暂未审批' : (value.presidentApprovalComments ? (moment(value.presidentApprovalDate).format('YYYY-MM-DD')) : '审核未通过待下发裁定')) | valueFilter }}
                  </div>
                </el-form-item>
              </el-col>
              <el-col :span="8">
                <el-form-item
                    label="联系方式："
                    prop="presidentApprovalNumber"
                >
                  <div class="readonly-text-field">
                    {{ (value.stage === '308' ? '暂未审批' : (value.presidentApprovalComments ? (value.presidentApprovalNumber) : '审核未通过待下发裁定')) | valueFilter }}
                  </div>
                </el-form-item>
              </el-col>
            </el-row>
            <el-row>
              <el-col :span="8">
                <el-form-item
                    label="案号："
                    prop="caseNo"
                >
                  <div class="readonly-text-field">{{ value.caseNo | valueFilter('caseNo') }}</div>
                </el-form-item>
              </el-col>
              <el-col :span="8">
                <el-form-item
                    label="立案日期："
                    prop="filingDate"
                >
                  <div class="readonly-text-field">
                    {{ (value.stage === '308' ? '暂未审批' : (value.presidentApprovalComments ? (moment(value.filingDate ? value.filingDate : value.examineEndDate).format('YYYY-MM-DD')) : '审核未通过待下发裁定')) | valueFilter }}
                  </div>
                </el-form-item>
              </el-col>
            </el-row>
            <el-row>
              <el-col :span="24">
                <el-form-item
                    label="审批备注："
                    prop="presidentApprovalNotes"
                >
                  <div>
                    {{ (value.stage === '308' ? '暂未审批' : (value.presidentApprovalComments ? (value.presidentApprovalNotes) : '审核未通过待下发裁定')) | valueFilter }}
                  </div>
                </el-form-item>
              </el-col>
            </el-row>
            <el-row>
              <el-col :span="8">
                <el-form-item
                    label="承办庭室："
                    prop="trialChamberName"
                >
                  <div class="readonly-text-field">
                    {{ value.trialChamberName | valueFilter('trialChamberName') }}
                  </div>
                </el-form-item>
              </el-col>
              <el-col :span="8">
                <el-form-item
                    label="承办法官："
                    prop="judgeName"
                >
                  <div class="readonly-text-field">{{ value.judgeName | valueFilter('judgeName') }}</div>
                </el-form-item>
              </el-col>
              <el-col :span="8">
                <el-form-item
                    label="联系方式："
                    prop="judgePhone"
                >
                  <div class="readonly-text-field">
                    {{ value.judgePhone | valueFilter('judgePhone','',value.divisionFlag) }}
                  </div>
                </el-form-item>
              </el-col>
            </el-row>
          </div>
          <!--          诉中待裁定-->
          <div v-if="visible('BQSZDCD')">
            <el-row>
              <el-col :span="24">
                <el-form-item
                    label="审批意见："
                    prop="auditFindings"
                >
                  <div class="readonly-text-field">
                    {{ (value.auditFindings === '1' ? '同意立案' : '驳回申请') | valueFilter }}
                  </div>
                </el-form-item>
              </el-col>
            </el-row>
            <el-row>
              <el-col :span="8">
                <el-form-item
                    label="承办庭室："
                    prop="trialChamberName"
                >
                  <div class="readonly-text-field">
                    {{ value.trialChamberName | valueFilter('trialChamberName') }}
                  </div>
                </el-form-item>
              </el-col>
              <el-col :span="8">
                <el-form-item
                    label="承办法官："
                    prop="judgeName"
                >
                  <div class="readonly-text-field">{{ value.judgeName | valueFilter('judgeName') }}</div>
                </el-form-item>
              </el-col>
              <el-col :span="8">
                <el-form-item
                    label="联系方式："
                    prop="judgePhone"
                >
                  <div class="readonly-text-field">
                    {{ value.judgePhone | valueFilter('judgePhone','',value.divisionFlag) }}
                  </div>
                </el-form-item>
              </el-col>
            </el-row>
          </div>
          <!--          保全结案-->
          <div v-if="visible('BQJACDBQ')">
            <el-row>
              <el-col :span="24">
                <el-form-item
                    label="裁定方式："
                    prop="observeMethod"
                >
                  <div class="readonly-text-field">{{ observeMethod[value.observeMethod] }}</div>
                </el-form-item>
              </el-col>
            </el-row>
            <el-row>
              <el-col :span="8">
                <el-form-item
                    label="操作人："
                    prop="observeUser"
                >
                  <div class="readonly-text-field">{{ value.observeUser | valueFilter }}</div>
                </el-form-item>
              </el-col>
              <el-col :span="8">
                <el-form-item
                    label="裁定日期："
                    prop="observeDate"
                >
                  <div class="readonly-text-field">{{ moment(value.observeDate).format('YYYY-MM-DD') | valueFilter }}
                  </div>
                </el-form-item>
              </el-col>
              <el-col :span="8">
                <el-form-item
                    label="联系方式："
                    prop="observePhone"
                >
                  <div class="readonly-text-field">{{ value.observePhone | valueFilter }}</div>
                </el-form-item>
              </el-col>
            </el-row>
            <el-row>
              <el-col :span="24">
                <el-form-item
                    label="裁定文件："
                    prop="abandoningFilingReasonName"
                >
                  <template v-for="item in getFileData('23')">
                    <el-button v-if="item.evidencFileName" type="text"
                               @click="downloadFile(item)"
                    >
                      {{ item.evidencFileName }}
                    </el-button>
                  </template>
                  <div v-if="getFileData('23').length === 0" class="readonly-text-field">暂无裁定文件</div>
                </el-form-item>
              </el-col>
            </el-row>
            <el-row>
              <el-col :span="24">
                <el-form-item
                    label="笔录文件："
                    prop="abandoningFilingReasonName"
                >
                  <template v-for="item in getFileData('24')">
                    <el-button v-if="item.evidencFileName" type="text"
                               @click="downloadFile(item)"
                    >
                      {{ item.evidencFileName }}
                    </el-button>
                  </template>
                  <div v-if="getFileData('24').length === 0" class="readonly-text-field">暂无笔录文件</div>
                </el-form-item>
              </el-col>
            </el-row>
            <el-row>
              <el-col :span="24">
                <el-form-item
                    label="备注："
                    prop="observeOpinion"
                >
                  <div>{{ value.observeOpinion | valueFilter }}</div>
                </el-form-item>
              </el-col>
            </el-row>
          </div>
          <!--          驳回结案-->
          <div v-if="visible('BQJACDBH')">
            <el-row>
              <el-col :span="24">
                <el-form-item
                    label="裁定方式："
                    prop="observeMethod"
                >
                  <div class="readonly-text-field">{{ observeMethod[value.observeMethod] }}</div>
                </el-form-item>
              </el-col>
            </el-row>
            <el-row>
              <el-col :span="8">
                <el-form-item
                    label="操作人："
                    prop="observeUser"
                >
                  <div class="readonly-text-field">{{ value.observeUser | valueFilter }}</div>
                </el-form-item>
              </el-col>
              <el-col :span="8">
                <el-form-item
                    label="裁定日期："
                    prop="observeDate"
                >
                  <div class="readonly-text-field">{{ moment(value.observeDate).format('YYYY-MM-DD') | valueFilter }}
                  </div>
                </el-form-item>
              </el-col>
              <el-col :span="8">
                <el-form-item
                    label="联系方式："
                    prop="observePhone"
                >
                  <div class="readonly-text-field">{{ value.observePhone | valueFilter }}</div>
                </el-form-item>
              </el-col>
            </el-row>
            <el-row>
              <el-col :span="24">
                <el-form-item
                    label="裁定文件："
                    prop="abandoningFilingReasonName"
                >
                  <template v-for="item in getFileData('23')">
                    <el-button v-if="item.evidencFileName" type="text"
                               @click="downloadFile(item)"
                    >
                      {{ item.evidencFileName }}
                    </el-button>
                  </template>
                  <div v-if="getFileData('23').length === 0" class="readonly-text-field">暂无裁定文件</div>
                </el-form-item>
              </el-col>
            </el-row>
            <el-row>
              <el-col :span="24">
                <el-form-item
                    label="笔录文件："
                    prop="abandoningFilingReasonName"
                >
                  <template v-for="item in getFileData('24')">
                    <el-button v-if="item.evidencFileName" type="text"
                               @click="downloadFile(item)"
                    >
                      {{ item.evidencFileName }}
                    </el-button>
                  </template>
                  <div v-if="getFileData('24').length === 0" class="readonly-text-field">暂无笔录文件</div>
                </el-form-item>
              </el-col>
            </el-row>
            <el-row>
              <el-col :span="24">
                <el-form-item
                    label="备注："
                    prop="observeOpinion"
                >
                  <div>{{ value.observeOpinion | valueFilter }}</div>
                </el-form-item>
              </el-col>
            </el-row>
          </div>
          <!--          撤销结案-->
          <div v-if="visible('BQJACDCX')">
            <el-row>
              <el-col :span="24">
                <el-form-item
                    label="裁定方式："
                    prop="observeMethod"
                >
                  <div class="readonly-text-field">{{ observeMethod[value.observeMethod] }}</div>
                </el-form-item>
              </el-col>
            </el-row>
            <el-row>
              <el-col :span="8">
                <el-form-item
                    label="操作人："
                    prop="observeUser"
                >
                  <div class="readonly-text-field">{{ value.observeUser | valueFilter }}</div>
                </el-form-item>
              </el-col>
              <el-col :span="8">
                <el-form-item
                    label="裁定日期："
                    prop="observeDate"
                >
                  <div class="readonly-text-field">{{ moment(value.observeDate).format('YYYY-MM-DD') | valueFilter }}
                  </div>
                </el-form-item>
              </el-col>
              <el-col :span="8">
                <el-form-item
                    label="联系方式："
                    prop="observePhone"
                >
                  <div class="readonly-text-field">{{ value.observePhone | valueFilter }}</div>
                </el-form-item>
              </el-col>
            </el-row>
            <el-row>
              <el-col :span="24">
                <el-form-item
                    label="裁定文件："
                    prop="abandoningFilingReasonName"
                >
                  <template v-for="item in getFileData('23')">
                    <el-button v-if="item.evidencFileName" type="text"
                               @click="downloadFile(item)"
                    >
                      {{ item.evidencFileName }}
                    </el-button>
                  </template>
                  <div v-if="getFileData('23').length === 0" class="readonly-text-field">暂无裁定文件</div>
                </el-form-item>
              </el-col>
            </el-row>
            <el-row>
              <el-col :span="24">
                <el-form-item
                    label="笔录文件："
                    prop="abandoningFilingReasonName"
                >
                  <template v-for="item in getFileData('24')">
                    <el-button v-if="item.evidencFileName" type="text"
                               @click="downloadFile(item)"
                    >
                      {{ item.evidencFileName }}
                    </el-button>
                  </template>
                  <div v-if="getFileData('24').length === 0" class="readonly-text-field">暂无笔录文件</div>
                </el-form-item>
              </el-col>
            </el-row>
            <el-row>
              <el-col :span="24">
                <el-form-item
                    label="备注："
                    prop="observeOpinion"
                >
                  <div>{{ value.observeOpinion | valueFilter }}</div>
                </el-form-item>
              </el-col>
            </el-row>
          </div>
          <!--保全结束           -->
        </el-form>
      </div>
    </div>
    </div>
    <script>
    import Template from './template'

    export default {
      components: { Template }
    }
    </script>`,
  mounted() {
  },
  filters: {
    valueFilter(value, type, stage, otherValue) {
      let text = '-'
      if (type === 'caseNo') {
        text = '暂未生成'
      } else if (type === 'judgeName') {
        if (stage === 'SPYCSWLA') {
          text = '未立案'
        } else {
          text = '暂未分案'
        }
      } else if (type === 'judgePhone') {
        if (otherValue === '0') {
          text = '暂未分案'
        }
      } else if (type === 'scheduleStartDate') {
        text = '暂未排期'
      } else if (type === 'courtName') {
        if (stage === 'SPYCSWLA') {
          text = '未立案'
        } else {
          text = '暂未排期'
        }
      } else if (type === 'trialChamberName') {
        if (stage === 'SPYCSWLA') {
          text = '未立案'
        } else {
          text = '暂未分案'
        }
      } else if (type === 'closeTypeName') {
        if (stage === 'SPYCSWLA') {
          text = '撤诉'
        }
      } else if (type === 'closeEndDate') {
        if (stage === 'SPYCSWLA') {
          text = '未立案'
        }
      } else if (type === 'money') {
        text = '0.00元'
      }
      if (!value || value === '' || value === 'Invalid date') {
        return text
      } else if (type === 'caseNo') {
        let temp = value.replace(/-/g, '') + '号'
        temp = temp.replace(/号/g, '') + '号'
        return temp
      } else if (type === 'money') {
        return parseFloat(value).toFixed(2) + '元'
      } else if (type === 'dayLimit') {
        return value + '天'
      }
      return value
    }
  },
  data() {
    return {
      type: this.value.stageCode,
      applyType: this.value.applyType,
      plusIcon: './suitStatic/image/icon-add--white.png',
      titleJson: {
        'SPDJF': '审核结果',
        'SPDXG': '审核结果',
        'SPDDJCL': '办理进展',
        'SPDTS': '办理进展',
        'SPYJA': '结案详情',
        'SPYSX': '失效详情',
        'SPYBH': '审核结果',
        'SPYCSWLA': '撤诉详情',
        'SPCSYLA': '撤诉详情',
        'BQDJF': '审核结果', // 保全代缴费
        'BQDXG': '审核结果',
        'BQYBH': '审核结果',
        'BQYCX': '撤销详情',
        'BQDLA': '立案详情',
        'BQFSDCD': '办理进展', // 非诉待裁定
        'BQSZDCD': '办理进展', // 诉中待裁定
        'BQJACDBQ': '结案详情', // 裁定驳回
        'BQJACDBH': '结案详情', // 保全结案
        'BQJACDCX': '结案详情' // 保全结案
      },
      // 收案意见
      closeOpinions: {
        '1': '不予受理',
        '2': '不予立案',
        '3': '先予立案',
        '4': '同意立案'
      },
      // 审批意见--诉中
      presidentApprovalCommentsOpinions: {
        '1': '同意申请',
        '0': '驳回申请'
      },
      // 审批意见--诉前
      presidentApprovalComments: {
        '0': '同意立案',
        '1': '退回修改',
        '2': '驳回申请',
        '3': '当事人撤销'
      },
      // 审查方式
      observeMethod: {
        '0': '裁定保全',
        '1': '裁定驳回',
        '2': '裁定撤销'
      }
    }
  },
  computed: {
    getFileData() {
      return (id) => {
        let temp = []
        this.value.litigationMaterialsList.forEach(item => {
          if (item.materialClassification === id) {
            temp.push(item)
          }
        })
        return temp
      }
    },
    headerTitle() {
      return this.titleJson[this.value.stageCode]
    },
    visible() {
      const {
        type
      } = this
      return function(key) {
        return key === type
      }
    }
  },
  methods: {
    // 查看详情 -- 下载
    downloadFile(row, index) {
      if (row.ossInfoId) {
        sendMessage({
          cmd: 'downloadFile',
          params: {
            row
          }
        })
      }
    }
  },
  install(Vue) {
    Vue.component(this.name, this)
  }
}
