const SfAdress = {
  name: 'SfAdress',
  template: `
    <div style="display: flex">
      <el-select v-model="value.province" placeholder="请选择省份" @change="provinceChange">
        <el-option v-for="(item,index) in provinceList" :key="index" :value="item.id" :label="item.name" />
      </el-select>
      <el-select  v-model="value.city" placeholder="请选择城市"  @change="cityChange">
        <el-option v-for="(item,index) in provinceMap[value.province]" :key="index" :value="item.id" :label="item.name" />
      </el-select>
      <el-select v-model="value.area" placeholder="请选择区" @change="areaChange">
        <el-option v-for="(item,index) in cityMap[value.city]" :key="index" :value="item.id" :label="item.name" />
      </el-select>
    </div>
  `,
  props: {
    value:  {
      type: Object,
      default: {
        area: '',
        city: '',
        province: '',
      }
    },
    provienceList: {
      type: Array,
      default: []
    }
  },
  data(){
      return{
        // area: '',
        // city: '',
        // province: '',
        provinceList: [], // 省
        provinceMap: {},
        cityMap: {},
        proMap: {},
        citMap: {},
        areMap: {},
        allList: {
          0: [],
          1: [],
          2: []
        }
      }
  },
  mounted() {
    console.log(this.value, 'this')
    this.getSuitregionList()
  },
  methods: {
    addressChange() {
      const addressName = `${this.proMap[this.value.province] || '-'}${this.citMap[this.value.city] || ''}${this.areMap[this.value.area] || '-'}`
      this.$emit('increat', addressName )
    },
    areaChange(){
      this.addressChange()
    },
    cityChange(){
      this.value.area = ''
      this.addressChange()
    },
    provinceChange(){
      this.value.city = ''
      this.value.area = ''
      this.addressChange()
    },
    // 查询省市
    getSuitregionList() {
      console.log(this.provienceList, 'provienceListprovienceList')
      this.allList = {
        0: [],
        1: [],
        2: []
      }
      this.concatArr(this.provienceList, 0)
      this.setMap()
    },
    concatArr(array, level) {
      const array1 = JSON.parse(JSON.stringify(array))
      this.allList[level] = this.allList[level].concat(array1.map(item => {
        delete item.children
        return item
      }))
      array.forEach(item => {
        if (item.childList && item.childList.length > 0) {
          this.concatArr(item.childList, level + 1)
        }
      })
      this.provinceList = this.allList[0]
    },
    // 将id转化为对应汉字
    setMap() {
      this.allList[0].forEach(item => {
        this.$set(this.proMap, item.id, item.name)
      })
      this.allList[1].forEach(item => {
        this.$set(this.citMap, item.id, item.name)
      })
      this.allList[2].forEach(item => {
        this.$set(this.areMap, item.id, item.name)
      })
      this.allList[0].forEach(item => {
        this.provinceMap[item.id] = this.allList[1].filter(item2 => {
          return (item2.pid + '') === item.id
        })
      })
      this.allList[1].forEach(item => {
        this.cityMap[item.id] = this.allList[2].filter(item2 => {
          return (item2.pid + '') === item.id
        })
      })
    },
  }
}
