const SfStep = {
  name: 'SfStep',
  template: `
    <div class="sf-steps">
    <div
      v-for="(item, index) in steps"
      :key="index"
      :class="{
        'sf-step': true,
        'sf-step--first': index === 0,
        'sf-step--active': index <= currentStep
      }"
    >
      <div v-if="index !== 0" class="sf-step--arrow" />
      <div class="sf-step--content">
        <div class="sf-step--content__icon">
          <img v-show="index <= currentStep" :src="item.activeIcon" alt="激活步骤">
          <img v-show="index > currentStep" :src="item.defaultIcon" alt="未激活步骤">
        </div>
        <div class="sf-step--content__text">{{ item.title }}</div>
      </div>
    </div>
  </div>
  `,
  props: {
    steps: {
      type: Array,
      default() {
        return [{ title: '步骤一' }, { title: '步骤二' }, { title: '步骤三' }]
      }
    },
    currentStep: {
      type: Number,
      default: 0
    }
  },
  install(Vue) {
    Vue.component(this.name, this)
  }
}
