const TableFileBlank = {
  name: 'TableFileBlank',
  template: `
    <div class="table-file-blank">
      <img class="table-file-blank--image" :style="{ width: type === 'empty' ? '110px' : 'uset' }" :src="typeSrc[type] || typeSrc.tip" alt="暂无数据">
      <div class="table-file-blank--text" v-if="text">{{ text }}</div>
      <div v-if="tips" class="table-file-blank--tips">{{ tips }}</div>
    </div>
  `,
  data() {
    return {
      typeSrc: {
        tip: './suitStatic/image/icon-fileblank.png',
        empty: ''
      }
    }
  },
  props: {
    text: {
      type: String,
      required: true,
      default: '暂无数据'
    },
    tips: {
      type: String,
      default: ''
    },
    type: {
      type: String,
      default: 'tip'
    }
  }
}
