"use strict";

var _methods;

function _typeof(obj) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (obj) { return typeof obj; } : function (obj) { return obj && "function" == typeof Symbol && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }, _typeof(obj); }

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

if (!Array.prototype.find) {
  Array.prototype.find = function (callback) {
    return callback && (this.filter(callback) || [])[0];
  };
} // 消息订阅


var eventHandler = new Subscription(); // 证件号----类型验证

var validateMapCardType = {
  0: $validate.isIdentify,
  // 身份证号
  1: /^(\u519b|\u5175|\u58EB|\u6587|\u804C|\u519B\u79BB|\u519B\u9000|\u6B66|\u6B66\u79BB|\u6B66\u9000)\u5B57\u7B2C\d{7}\u53F7$/,
  // 军官证
  2: /^(\u519b|\u5175|\u58EB|\u6587|\u804C|\u519B\u79BB|\u519B\u9000|\u6B66|\u6B66\u79BB|\u6B66\u9000)\u5B57\u7B2C\d{7}\u53F7$/,
  // 士兵证
  3: function _() {
    return true;
  },
  // 学生证
  4: /^\d{6}$/,
  // 警官证
  5: function _() {
    return true;
  },
  // 工作证
  6: [/^[a-zA-Z]{5,17}$/, /^[a-zA-Z0-9]{5,17}$/],
  // 中国公民护照
  7: [/^[W]\d{8}$/, /^[C][ABCDEFGHJKLMNPQRSTUVWXYZ\d]\d{7}$/],
  // 港澳通行证 CW开头后接8位数字
  8: [/^[W]\d{8}$/, /^[C][ABCDEFGHJKLMNPQRSTUVWXYZ\d]\d{7}$/],
  // 香港永久性居民身份证 https://zhidao.baidu.com/question/750527698255798812.html
  9: /^\d{10, 17}/,
  // 律师执业证
  10: function _() {
    return true;
  },
  // 香港居民身份证,
  11: [/^[W]\d{8}$/, /^[C][ABCDEFGHJKLMNPQRSTUVWXYZ\d]\d{7}$/],
  // 澳门特别行政区永久性居民身份证
  12: function _() {
    return true;
  },
  // 澳门特别行政区非永久性居民身份证
  13: /^\d{12}$/,
  // 机动车驾驶证
  14: [/^[0-9]{8}$/, /^[0-9]{10}$/],
  // 台湾居民来往大陆通行证
  15: function _() {
    return true;
  },
  // 外国公民护照
  16: /^\d{9}$/ // 户口簿

}; // 证照号----类型验证

var validateMapLicenseType = {
  1: /^([0-9A-HJ-NPQRTUWXY]{2}\d{6}[0-9A-HJ-NPQRTUWXY]{10}|[1-9]\d{14})$/,
  // 企业信用代码
  2: /^[a-zA-Z0-9]{8}-?[a-zA-Z0-9]$/,
  //组织机构代码
  3: /(^(?:(?![IOZSV])[\dA-Z]){2}\d{6}(?:(?![IOZSV])[\dA-Z]){10}$)|(^\d{15}$)/,
  // 营业执照,
  4: /^([0-9A-HJ-NPQRTUWXY]{2}\d{6}[0-9A-HJ-NPQRTUWXY]{10}|[1-9]\d{14})$/ // 法人登记证号

};
Vue.component(StepsForm.name, StepsForm);
Vue.component(SfUpload.name, SfUpload);
Vue.component(SfChoice.name, SfChoice);
Vue.component(IconHeaderContent.name, IconHeaderContent);
Vue.component(SfDialog.name, SfDialog);
Vue.component(UploadCustomTips.name, UploadCustomTips);
Vue.component(TableFileBlank.name, TableFileBlank);
Vue.component(SfAdress.name, SfAdress);
SfStep.install(Vue || window.Vue);
CasePersonForm.install(Vue || window.Vue);
var app = new Vue({
  name: 'ExecutiveCase',
  el: '#Executive_case',
  data: function data() {
    var _publicOptions;

    var validateMobilePhone = function validateMobilePhone(rule, value, callback) {
      if (!value) callback();

      if ($validate.isMobilePhoneNum(value)) {
        callback();
      } else {
        callback(new Error('请输入正确的手机号'));
      }
    };

    var postCodeValidate = function postCodeValidate(rule, value, callback) {
      if (!value) callback();

      if ($validate.isPostCode(value)) {
        callback();
      } else {
        callback(new Error('请输入正确的邮编'));
      }
    };

    var emailValidate = function emailValidate(rule, value, callback) {
      if (!value) callback();

      if ($validate.isEmail(value)) {
        callback();
      } else {
        callback(new Error('请输入正确的邮箱'));
      }
    };

    var casePersonNameValidate = function casePersonNameValidate(personName) {
      return function (rule, value, callback) {
        if (!value) {
          callback();
        } else {
          if ($validate.isRuleName(value)) {
            callback();
          } else {
            callback(new Error("\u8BF7\u8F93\u51652\u523016\u4F4D\u4E2D\u82F1\u6587"));
          }
        }
      };
    };

    return {
      currentUploadTasks: {// pid: 'isReady'
      },
      // 住所地
      provienceCityAres: '',
      //省市区
      powerJson: {// flowType: 1 // 大节点状态---1：提交/修改 2：审批/驳回 3： 4：查看
        // instanceStatus：
      },
      form: {
        applicationChannel: 'web',
        // 申请渠道
        currentStep: 1,
        basis_type: '',
        // 执行依据类型
        manual_basis: '1',
        // 手填案号 1是
        case_no: '',
        // 案号
        applicationName: '',
        userId: '',
        cardType: '',
        idCard: '',
        phonenumber: '',
        lawyerAuth: '',
        // 律师的执业证号
        lawyerAuthStatus: '',
        // 律师认证结果
        suitUserType: '',
        cardAuthStatus: '',
        courtId: '',
        //  Id
        courtName: '',
        //  名字
        caseBaseType: '3',
        // 案件类型
        caseBaseTypeName: '执行',
        // 案件类型名字
        applyType: '9',
        // 申请类型
        applyTypeName: '起诉',
        // 申请类型-名字
        caseReasonId: '',
        // 案由Id
        caseReasonName: '',
        // 案由名称
        caseNo: '',
        // 序列号
        materialsStr: [],
        // 诉讼材料json
        suitCaseParts: [],
        // 当事人信息Json
        pleadings: [],
        // 起诉状
        enforcementBasis: [],
        // 执行依据
        enforcementBasisTypeCertificate: [],
        // 执行依据-生效证明
        casePersonIdentifyFiles: [],
        // 当事人身份证明材料
        evidenceFiles: [],
        // 证据材料
        otherFiles: [],
        // 其他材料
        plaintiffPersons: [],
        // 原告信息
        defendantPersons: [],
        // 被告信息
        thirdParty: [],
        // 第三人信息
        agentJson: [],
        // 原告地理人信息
        witnessStr: [] // 证人信 息

      },
      cardAuthStatusMap: {
        0: '未认证',
        1: '认证中',
        2: '认证失败',
        3: '已认证'
      },
      suitUserTypeMap: {
        0: '自然人',
        1: '法人',
        2: '非法人组织'
      },
      importCasePersonType: {
        0: '自然人',
        1: '法人',
        2: '组织'
      },
      cardTypeMap: {
        0: '身份证',
        1: '军官证',
        2: '护照',
        3: '来往大陆通行证',
        4: '社会统一信用代码',
        5: '组织机构代码'
      },
      // 案件类型
      applyTypeMap: {
        '1': [{
          value: '1',
          label: '起诉'
        }, {
          value: '2',
          label: '宣告失踪、宣告死亡'
        }, {
          value: '3',
          label: '行为能力认定案件'
        }, {
          value: '4',
          label: '监护人指定异议'
        }, {
          value: '5',
          label: '监护关系变更'
        }, {
          value: '6',
          label: '实现担保物权'
        }, {
          value: '7',
          label: '调解协议司法确认'
        }],
        '2': [{
          value: '8',
          label: '起诉'
        }],
        '3': [{
          value: '9',
          label: '起诉'
        }, {
          value: '2',
          label: '非诉执行',
          disabled: true
        }],
        '4': [{
          value: '10',
          label: ' 自赔'
        }],
        '': [],
        undefined: [],
        'null': []
      },
      // 依据类型
      enforcementTypeMap: [{
        value: '0',
        label: ' 生效裁判'
      }, {
        value: '1',
        label: ' 生效调解书'
      }, {
        value: '2',
        label: ' 生效支付令'
      }, {
        value: '3',
        label: '外国港澳台 民事裁判'
      }, {
        value: '4',
        label: '外国港澳台仲裁裁决'
      }, {
        value: '5',
        label: '国内（包括涉外）仲裁裁决、调解书'
      }, {
        value: '6',
        label: '公证债权文书'
      }, {
        value: '7',
        label: '妨碍诉讼（执行）行为制裁决定书'
      }],
      enforcementTypeJson: {
        '0': ' 生效裁判',
        '1': ' 生效调解书',
        '2': ' 生效支付令',
        '3': '外国港澳台 民事裁判',
        '4': '外国港澳台仲裁裁决',
        '5': '国内（包括涉外）仲裁裁决、调解书',
        '6': '公证债权文书',
        '7': '妨碍诉讼（执行）行为制裁决定书'
      },
      caseTypeMap: {
        'plaintiffs': '0',
        'defendants': '1',
        'thirdParties': '2',
        'agent': '3',
        'witness': '4'
      },
      casePersonSaveJson: {// pid: JSON.stringify(obj)
      },
      peopleTypeMap: {
        0: '自然人',
        1: '法人',
        2: '非法人组织'
      },
      chineseIndex: numberTransferChinese,
      baseOnOptions: constantConfig.fy_manage_baseOn,
      // 管辖依据
      fys: constantConfig.fy_options,
      // 受理
      materialClassificationType: [{
        value: '14',
        label: '生效裁判案卷'
      }, {
        value: '15',
        label: '执行线索材料'
      }, {
        value: '2',
        label: '原告身份证明材料'
      }, {
        value: '3',
        label: '被告身份证明材料'
      }, {
        value: '16',
        label: '一审文书'
      }, {
        value: '17',
        label: '当事人送达地址确认书'
      }, {
        value: '0',
        label: '证据材料清单'
      }],
      // 案件案由选择
      politicalOutlookOptions: constantConfig.fy_political_outlook,
      // 政治面貌选项
      cardTypeOptions: constantConfig.fy_certificates,
      // 证件类型选项
      occupationOptions: [],
      // 职业选项
      unitNatureOption: [],
      // 单位性质选项
      licenseTypeOptions: [{
        value: '1',
        label: '统一社会信用代码'
      }, {
        value: '2',
        label: '组织机构代码'
      }, {
        value: '3',
        label: '营业执照'
      }, {
        value: '4',
        label: '事业法人登记证'
      }],
      nationOptions: [],
      // 政治面貌选项
      sexOptions: constantConfig.fy_sexs,
      // 性别选项
      countryOptions: constantConfig.fy_nationalitys,
      // 国家选项
      agentTypeOptions: [],
      // 代理人选项
      appearCourtOptions: [{
        value: '1',
        label: '出庭'
      }, {
        value: '2',
        label: '不出庭'
      }],
      // 是否出庭作证
      rules: {
        caseReasonId: [{
          required: true,
          message: '请选择案件案由',
          trigger: 'blur'
        }],
        caseBaseType: [{
          required: true,
          message: '请选择案件类型',
          trigger: 'blur'
        }],
        applyType: [{
          required: true,
          message: '请选择案件类型',
          trigger: 'blur'
        }],
        courtId: [{
          required: true,
          message: '请选择受理 ',
          trigger: 'blur'
        }]
      },
      casePersonRules: {
        plaintiff: {
          name: [{
            required: true,
            message: '请输入申请人姓名',
            trigger: 'blur'
          }, {
            validator: casePersonNameValidate('请输入申请人姓名'),
            trigger: 'blur'
          }],
          mobilePhone: [{
            required: true,
            message: '请输入申请人手机号码',
            trigger: 'blur'
          }, {
            validator: validateMobilePhone,
            trigger: 'blur'
          }],
          sex: [{
            required: true,
            message: '请选择申请人性别',
            trigger: 'blur'
          }],
          cardType: [{
            required: true,
            message: '请选择证件类型',
            trigger: 'blur'
          }],
          nation: [{
            required: true,
            message: '请选择申请人民族',
            trigger: 'blur'
          }],
          bornDate: [{
            required: true,
            message: '请选择出生日期',
            trigger: 'blur'
          }],
          age: [{
            required: true,
            message: '请输入申请人年龄',
            trigger: 'blur'
          }],
          applicantDetailedAddress: [{
            required: true,
            message: '请输入住所地',
            trigger: 'blur'
          }],
          licenseType: [{
            required: true,
            message: '请选择证照类型',
            trigger: 'blur'
          }]
        },
        defants: {
          name: [{
            required: true,
            message: '请输入被申请人当事人姓名',
            trigger: 'blur'
          }, {
            validator: casePersonNameValidate('请输入被申请人当事人姓名'),
            trigger: 'blur'
          }],
          mobilePhone: [{
            required: false,
            message: '请输入被申请人当事人手机号码',
            trigger: 'blur'
          }, {
            validator: validateMobilePhone,
            trigger: 'blur'
          }],
          sex: [{
            required: true,
            message: '请选择被申请人性别',
            trigger: 'blur'
          }],
          cardType: [{
            required: false,
            message: '请选择证件类型',
            trigger: 'blur'
          }],
          nation: [{
            required: false,
            message: '请选择被申请人民族',
            trigger: 'blur'
          }],
          bornDate: [{
            required: false,
            message: '请选择出生日期',
            trigger: 'blur'
          }],
          age: [{
            required: false,
            message: '请输入被申请人年龄',
            trigger: 'blur'
          }],
          applicantDetailedAddress: [{
            required: true,
            message: '请输入住所地',
            trigger: 'blur'
          }],
          licenseType: [{
            required: false,
            message: '请选择证照类型',
            trigger: 'blur'
          }],
          addressType: [{
            required: true,
            message: '请选择地址类型',
            trigger: 'blur'
          }]
        },
        thirdParty: {
          name: [{
            required: true,
            message: '请输入第三人姓名',
            trigger: 'blur'
          }, {
            validator: casePersonNameValidate('第三人姓名'),
            trigger: 'blur'
          }],
          mobilePhone: [{
            required: false,
            message: '请输入第三人手机号码',
            trigger: 'blur'
          }, {
            validator: validateMobilePhone,
            trigger: 'blur'
          }],
          sex: [{
            required: true,
            message: '请选择第三人性别',
            trigger: 'blur'
          }],
          cardType: [{
            required: false,
            message: '请选择证件类型',
            trigger: 'blur'
          }],
          nation: [{
            required: false,
            message: '请选择第三人民族',
            trigger: 'blur'
          }],
          bornDate: [{
            required: false,
            message: '请选择出生日期',
            trigger: 'blur'
          }],
          age: [{
            required: false,
            message: '请输入第三人年龄',
            trigger: 'blur'
          }],
          applicantDetailedAddress: [{
            required: true,
            message: '请输入住所地',
            trigger: 'blur'
          }],
          licenseType: [{
            required: false,
            message: '请选择证照类型',
            trigger: 'blur'
          }]
        },
        agent: {
          agentType: [{
            required: true,
            message: '请选择申请代理人类型',
            trigger: 'blur'
          }],
          belongToPlantiff: [{
            type: 'array',
            required: true,
            message: '请选择被代理人',
            trigger: 'blur'
          }],
          name: [{
            required: true,
            message: '请输入申请代理人姓名',
            trigger: 'blur'
          }, {
            validator: casePersonNameValidate('请输入申请代理人姓名'),
            trigger: 'blur'
          }],
          mobilePhone: [{
            required: true,
            message: '请输入申请代理人手机号码',
            trigger: 'blur'
          }, {
            validator: validateMobilePhone,
            trigger: 'blur'
          }],
          cardType: [{
            required: true,
            message: '请选择证件类型',
            trigger: 'blur'
          }]
        },
        witness: {
          name: [{
            required: true,
            message: '请输入证人姓名',
            trigger: 'blur'
          }, {
            validator: casePersonNameValidate('证人姓名'),
            trigger: 'blur'
          }],
          mobilePhone: [{
            required: true,
            message: '请输入证人手机号码',
            trigger: 'blur'
          }, {
            validator: validateMobilePhone,
            trigger: 'blur'
          }],
          sex: [{
            required: true,
            message: '请选择证人性别',
            trigger: 'blur'
          }],
          applicantDetailedAddress: [{
            required: true,
            message: '请输入住所地',
            trigger: 'blur'
          }]
        } // sex: [{ required: true, message: '请选择性别', trigger: 'blur' }],
        // cardType: [{ required: true, message: '请选择证件类型', trigger: 'blur' }],
        // nation: [{ required: true, message: '请选择民族', trigger: 'blur' }],
        // bornDate: [{ required: true, message: '请选择出生日期', trigger: 'blur' }],
        // age: [{ required: true, message: '请输入年龄', trigger: 'blur' }],
        // applicantDetailedAddress: [{ required: true, message: '请输入住所地', trigger: 'blur' }],
        // licenseType: [{ required: true, message: '请选择证照类型', trigger: 'blur' }],
        // postName: [{ required: true, message: '请输入职务', trigger: 'blur' }],

      },
      publicUploadTimeStep: '',
      dialogToAddPleadings: false,
      // 起诉状添加弹出框
      dialogToAddenforcementBasis: false,
      // 执行依据弹出框
      formToAddPleadings: {
        plaintiffs: [],
        defendants: [],
        fileList: [],
        type: 'add'
      },
      // 起诉状添加表单
      formToAddEnforcementBasis: {
        enforcementType: '0',
        enforcementNum: '',
        fileList: [],
        type: 'add'
      },
      // 执行依据添加表单
      formToAddEnforcementBasisTypeCertificate: {
        fileList: []
      },
      // 执行依据-生效证明添加表单
      identitySaveRows: {},
      // 身份证明材料保存的行数
      identityUploads: [],
      // 身份证明材料公用上传列表
      dialogToAddEvidence: false,
      // 证据材料弹出框
      formToAddEvidence: {
        belongPerson: [],
        fileList: [],
        proveProblem: '',
        proveType: ''
      },
      // 证据材料表单
      dialogToAddOtherFiles: false,
      // 添加其他材料弹出框
      formToAddOtherFiles: {
        materialClassification: '',
        materialClassificationName: '',
        belongPerson: [],
        fileList: []
      },
      // 其他材料表单
      importCasePersonRows: {},
      tableData: [],
      queryParamsForImport: {
        page: 1,
        rows: 10,
        type: '0',
        name: '',
        total: 0
      },
      casePersonDialog: false,
      casePersonLoading: false,
      publicOptions: (_publicOptions = {
        provience: [],
        caseBaseType: [{
          value: '556',
          label: '民事'
        }, {
          value: '580',
          label: '行政'
        }, {
          value: '585',
          label: '赔偿'
        }],
        cardType: constantConfig.fy_certificates,
        licenseType: [{
          value: '1',
          label: '统一社会信用代码'
        }, {
          value: '2',
          label: '组织机构代码'
        }, {
          value: '3',
          label: '营业执照'
        }, {
          value: '4',
          label: '事业法人登记证'
        }],
        courts: constantConfig.fy_options,
        //
        caseReasons: [],
        // 立案理由
        jurisdictionalBasis: [],
        // 管辖依据
        nation: []
      }, _defineProperty(_publicOptions, "provience", []), _defineProperty(_publicOptions, "unitNature", []), _defineProperty(_publicOptions, "occupation", []), _defineProperty(_publicOptions, "agentType", []), _defineProperty(_publicOptions, "appearCourt", [{
        value: '1',
        label: '出庭'
      }, {
        value: '2',
        label: '不出庭'
      }]), _defineProperty(_publicOptions, "sex", constantConfig.fy_sexs), _defineProperty(_publicOptions, "addressType", []), _defineProperty(_publicOptions, "applyPersonTypeDeclare", [{
        value: '1',
        label: '利害关系人'
      }, {
        value: '2',
        label: '被宣告失踪、死亡的本人'
      }]), _defineProperty(_publicOptions, "applyMatterDeclare", [{
        value: '1',
        label: '申请宣告失踪'
      }, {
        value: '2',
        label: '申请宣告死亡'
      }, {
        value: '3',
        label: '申请撤销失踪宣告'
      }, {
        value: '4',
        label: '申请撤销死亡宣告'
      }]), _defineProperty(_publicOptions, "applyReasonDeclare", [{
        value: '1',
        label: '公民下落不明满二年'
      }, {
        value: '2',
        label: '公民下落不明满四年'
      }, {
        value: '3',
        label: '因意外事故下落不明满二年'
      }, {
        value: '4',
        label: '因意外事故下落不明，经有关机关证明该公民不可能生存'
      }, {
        value: '5',
        label: '公民重新出现'
      }]), _defineProperty(_publicOptions, "compensateTypes", [{
        value: '1',
        label: '人身自由赔偿金'
      }, {
        value: '2',
        label: '生命健康赔偿金'
      }, {
        value: '3',
        label: '财产损害赔偿金'
      }, {
        value: '4',
        label: '精神损害赔偿金'
      }]), _defineProperty(_publicOptions, "normativeFileNature", [{
        value: '1',
        label: '国务院部门规范性文件'
      }, {
        value: '2',
        label: '地方政府规范性文件'
      }, {
        value: '3',
        label: '地方政府所属部门规范性文件'
      }]), _defineProperty(_publicOptions, "applyPersonTypePowerIdentify", [{
        'label': '近亲属',
        'value': '1'
      }, {
        'label': '其他利害关系人',
        'value': '2'
      }, {
        'label': '本人',
        'value': '3'
      }, {
        'label': '本人的监护人',
        'value': '4'
      }]), _defineProperty(_publicOptions, "applyMatterPowerIdentify", [{
        'label': '认定无民事行为能力',
        'value': '1'
      }, {
        'label': '认定限制民事行为能力',
        'value': '2'
      }, {
        'label': '申请撤销无民事行为能力',
        'value': '3'
      }, {
        'label': '申请撤销限制民事行为能力',
        'value': '4'
      }]), _defineProperty(_publicOptions, "prosecutionType", [{
        'label': '其他有监护资格的人',
        'value': '1'
      }, {
        'label': '其他有监护资格的单位',
        'value': '2'
      }]), _defineProperty(_publicOptions, "applyPersonTypeFromCourt", [{
        'label': '抵押权人',
        'value': '1'
      }, {
        'label': '质押权',
        'value': '2'
      }, {
        'label': '留置权人',
        'value': '3'
      }, {
        'label': '抵押人',
        'value': '4'
      }, {
        'label': '出质人',
        'value': '5'
      }, {
        'label': '财产被留置的债务人',
        'value': '6'
      }, {
        'label': '被留置财产的所有权人',
        'value': '7'
      }, {
        'label': '其他有权请求实现担保物权的人',
        'value': '8'
      }]), _defineProperty(_publicOptions, "applyPersonTypeItem", [{
        'label': '抵押权人',
        'value': '1'
      }, {
        'label': '质押权',
        'value': '2'
      }, {
        'label': '留置权人',
        'value': '3'
      }, {
        'label': '抵押人',
        'value': '4'
      }, {
        'label': '出质人',
        'value': '5'
      }, {
        'label': '财产被留置的债务人',
        'value': '6'
      }, {
        'label': '被留置财产的所有权人',
        'value': '7'
      }, {
        'label': '其他有权请求实现担保物权的人',
        'value': '8'
      }]), _defineProperty(_publicOptions, "obligationOrganType", [{
        value: '1',
        label: '本院'
      }]), _publicOptions)
    };
  },
  provide: function provide() {
    var _this = this;

    return {
      allCasePerson: function allCasePerson() {
        return _this.form.plaintiffPersons.concat(_this.form.defendantPersons);
      },
      plaintiffPersons: function plaintiffPersons() {
        return _this.form.plaintiffPersons;
      }
    };
  },
  computed: {
    ifComeFromBatchCase: function ifComeFromBatchCase() {
      var _this2 = this;

      return function (specailTag) {
        var _this2$powerJson = _this2.powerJson,
            isFromBatchCase = _this2$powerJson.isFromBatchCase,
            samePartiesType = _this2$powerJson.samePartiesType;
        if (isFromBatchCase !== '1') return true;
        return _this2.batchLimitFiles[samePartiesType][specailTag];
      };
    },
    userIdentify: function userIdentify() {
      var successFlag = [3, '3'];
      return successFlag.includes(this.form.lawyerAuthStatus) ? '律师' : '普通用户';
    },
    userCardType: function userCardType() {
      var successFlag = [3, '3'];
      return successFlag.includes(this.form.lawyerAuthStatus) ? '律师执业证' : '中华人民共和国居民二代身份证';
    },
    userCardNumber: function userCardNumber() {
      var successFlag = [3, '3'];
      return successFlag.includes(this.form.lawyerAuthStatus) ? this.form.lawyerAuth : this.form.idCard;
    },
    // 计算 form-item 是否显示
    formItemVisible: function formItemVisible() {
      var _this3 = this;

      return function (specialTag) {
        var flowType = _this3.powerJson.flowType;
        var field = _this3.powerJson[specialTag];
        if (!specialTag || !field) return true;
        if ([3, 4].includes(flowType)) return true;
        return field.isRead !== '0';
      };
    },
    // 计算 form-item 中是否可编辑
    formItemEditable: function formItemEditable() {
      var _this4 = this;

      return function (specialTag) {
        var flowType = _this4.powerJson.flowType;
        var field = _this4.powerJson[specialTag];
        if (!specialTag || !field) return true;
        if ([3, 4].includes(flowType)) return false;
        return field.isEdit !== '0';
      };
    },
    formReadOnly: function formReadOnly() {
      return !this.powerJson.flowType || this.powerJson.flowType !== 1;
    },
    textFieldCanWrite: function textFieldCanWrite() {
      return function (person) {
        return !person.readonly;
      };
    },
    steps: function steps() {
      return [{
        type: 'onlyDisplay',
        title: '立案须知',
        activeIcon: './suitStatic/image/case-notice--active.png',
        defaultIcon: './suitStatic/image/case-notice.png'
      }, {
        title: '基础信息',
        keys: [{
          prop: 'basicsTip'
        }, {
          label: '受理 ',
          prop: 'courtId'
        }, {
          label: '案件类型',
          prop: 'caseBaseType'
        }, {
          label: '申请类型',
          prop: 'applyType'
        }, {
          label: '案件案由',
          prop: 'caseReasonId'
        }],
        activeIcon: './suitStatic/image/case-base--active.png',
        defaultIcon: './suitStatic/image/case-base.png'
      }, {
        title: '当事人信息',
        keys: [{
          prop: 'casePersonTip'
        }, {
          prop: 'baseWidthAccount'
        }, {
          prop: 'plaintiffPersons'
        }, {
          prop: 'defendantPersons'
        }, {
          prop: 'thirdParty'
        }, {
          prop: 'agentJson'
        }, {
          prop: 'witnessStr'
        }],
        activeIcon: './suitStatic/image/case-person--active.png',
        defaultIcon: './suitStatic/image/case-person.png'
      }, {
        title: '案件信息',
        keys: [{
          prop: 'fileUploadTip'
        }, {
          prop: 'pleadings'
        }, {
          prop: 'casePersonIdentifyFiles'
        }, {
          prop: 'evidenceFiles'
        }, {
          prop: 'enforcementBasis'
        }, {
          prop: 'otherFiles'
        }],
        activeIcon: './suitStatic/image/case-info--active.png',
        defaultIcon: './suitStatic/image/case-info.png'
      }];
    },
    breadList: function breadList() {
      var applyType = {
        1: '申请执行',
        '2': '申请执行',
        3: '修改'
      };
      return [{
        name: '首页',
        redirect: '/Home'
      }, {
        name: '执行立案',
        back: true
      }, {
        name: this.powerJson.flowType === 1 ? applyType[this.powerJson.instanceStatus || '1'] : '查看'
      }];
    },
    // 返回所有当事人
    getCasePersons: function getCasePersons() {
      return (this.form.plaintiffPersons || []).concat(this.form.defendantPersons || [], this.form.thirdParty || [], this.form.agentJson || [], this.form.witnessStr || []);
    },
    getPlaintiffAndDefendant: function getPlaintiffAndDefendant() {
      return (this.form.plaintiffPersons || []).concat(this.form.defendantPersons || []);
    },
    // 代理人选择是否超过个数
    isOverSelected: function isOverSelected() {
      var _this5 = this;

      return function (option) {
        var agentJson = _this5.form.agentJson;
        var pid = option.pid;
        return agentJson.filter(function (person) {
          return person.readonly && person.belongToPlantiff === pid;
        }).length < 2;
      };
    },
    showSave: function showSave() {
      return this.powerJson.flowType === 1 && [1, '1', 2, '2'].includes(this.powerJson.instanceStatus);
    }
  },
  created: function created() {
    var _this6 = this;

    document.getElementById('Executive_case').style.display = 'block';
    var nodeListener = new NodeListener('stepForm');

    nodeListener.onchange = function () {
      setTimeout(function () {
        _this6.getClientHeight();
      }, 100);
    };

    nodeListener.start();

    window.onbeforeunload = function () {
      nodeListener.destroy();
    };

    document.getElementById('Executive_case').style.display = 'block';
    eventHandler.$on('powerJson', this.handlePowerJson);
    eventHandler.$on('checkFormStatus', this.checkFormStatus);
    eventHandler.$on('saveProcessFormMoment', this.saveProcessFormMoment);
  },
  mounted: function mounted() {
    window.addEventListener('message', this.handleMessage, false); // window.onmessage = this.handleMessage

    this.$nextTick(function () {
      sendMessage({
        cmd: 'getPowerJson'
      });
    });
  },
  methods: (_methods = {
    // 下载模板，列表展示
    downloadTemplateList: function downloadTemplateList() {
      sendMessage({
        cmd: 'templateFileList',
        params: {
          list: ['房屋买卖合同纠纷起诉状模板.doc', '房屋租赁合同纠纷起诉状模板.doc', '抚养费纠纷起诉状模模板.doc', '机动车交通事故责任纠纷起诉状模板.doc', '继承纠纷起诉状模板.doc', '建设工程合同纠纷起诉状模板.doc', '借款合同纠纷起诉状模板.doc', '劳动争议起诉状模板.doc', '劳务合同纠纷起诉状模板.doc', '离婚纠纷起诉状模板.doc', '买卖合同纠纷起诉状模板.doc', '民间借贷纠纷起诉状模板.doc', '申请认定自然人无民事行为能力模板.docx', '生命权、身体权、健康权纠纷起诉状模板.doc', '物业服务合同纠纷起诉状模板.doc', '中介合同纠纷起诉状模板.doc']
        }
      });
    },
    // 下载模板
    downloadTemplate: function downloadTemplate(fileName, ref) {
      var _this7 = this;

      var current = new Date().getTime();
      this.$refs[ref].loading = true;
      sendMessage({
        cmd: 'getTemplateFile',
        data: fileName,
        params: {
          current: current
        }
      });
      eventHandler.$on('getTemplateFileBack', function (res) {
        if (res.params.from.current !== current) return;
        _this7.$refs[ref].loading = false;
      });
    },
    casePersonChange: function casePersonChange(_ref) {
      var _this8 = this;

      var type = _ref.type,
          person = _ref.person;
      var personType = person.type;
      var typeMethods = {
        '0': ['updatePleadingFiles', 'updateIdentifyFiles', 'updateEvidenceFiles', 'updateOtherFiles', 'updateAgentJson', 'updateWitnessJson'],
        '1': ['updatePleadingFiles', 'updateIdentifyFiles']
      };
      var methods = typeMethods[personType];
      methods.forEach(function (method) {
        return _this8[method](person, type);
      });
    },
    validateLeaderName: function validateLeaderName(personName) {
      return function (rule, value, callback) {
        if (!value) {
          callback();
        } else {
          if ($validate.isRuleName(value)) {
            callback();
          } else {
            callback(new Error("\u8BF7\u8F93\u51652\u523016\u4F4D\u4E2D\u82F1\u6587"));
          }
        }
      };
    },
    // 限制输入
    limitWords: function limitWords(type, form, key) {
      var reg;

      switch (type) {
        case 'digit':
          reg = /[^\d]/g;
          break;

        case 'float':
          reg = /[^\d{1,}\.\d{1,}|\d{1,}]/g;
          break;

        case 'name':
          //  只能输入中英文
          reg = /[^\a-zA-Z\u4E00-\u9FA5\㛑]/g;
          break;

        default:
          break;
      }

      if (reg) form[key] = form[key].replace(reg, '');
    },
    // 列表上传前的限制
    fileBeforeUpload: function fileBeforeUpload(file) {
      if (file.size / 1024 > 81920) {
        this.sendWarningMessage('warning', '仅支持上传80M以内的文件');
        return false;
      }

      var acceptList = ['.doc', '.docx', '.rar', '.zip', '.jpeg', '.jpg', '.png', '.pdf', '.xlsx', '.xls'];
      var fileType = '.' + file.name.split('.')[file.name.split('.').length - 1];
      console.log(this.currentUploadAccept, 'this.currentUploadAccept');
      console.log(fileType, 'this.fileType');

      if (!acceptList.includes(fileType)) {
        this.sendWarningMessage('warning', '仅支持上传：.doc,.docx,.rar,.zip,.jpeg,.jpg,.png,.pdf,.xlsx,.xls文件');
        return false;
      }
    },
    // 确定导入当事人
    confirmImportPerson: function confirmImportPerson(person) {
      var _this9 = this;

      var noNeedRepleaces = ['pid', 'readonly', 'isAdd', 'type', 'part_name', 'belongToPlantiff'];
      Object.keys(this.importCasePersonRows).filter(function (key) {
        return !noNeedRepleaces.includes(key);
      }).forEach(function (k) {
        _this9.importCasePersonRows[k] = person[k];
      });
      this.casePersonDialog = false;
    },
    // 开始导入当事人（原告、被告、第三人）
    startImportCasePerson: function startImportCasePerson(person) {
      var personsJson = {
        '0': this.form.plaintiffPersons,
        '1': this.form.defendantPersons,
        '2': this.form.thirdParty,
        '3': this.form.agentJson
      };
      var persons = personsJson[person.type].filter(function (person) {
        return person.readonly && person.cardNumber;
      });
      this.importCasePersonRows = person;
      this.$set(this, 'queryParamsForImport', {
        page: 1,
        rows: 10,
        type: person.type,
        name: '',
        cardNumber: persons.map(function (item) {
          return item.cardNumber;
        }).join(',')
      });
      this.casePersonDialog = true;
      this.getCasePersonsAlreadySaved();
    },
    casePersonImportPageChange: function casePersonImportPageChange(page) {
      this.queryParamsForImport.page = page;
      this.getCasePersonsAlreadySaved();
    },
    casePersonImportSizeChange: function casePersonImportSizeChange(rows) {
      this.queryParamsForImport.rows = rows;
      this.getCasePersonsAlreadySaved();
    },
    searchByName: function searchByName() {
      this.queryParamsForImport.page = 1;
      this.getCasePersonsAlreadySaved();
    },
    // 获取设置过的当事人
    getCasePersonsAlreadySaved: function getCasePersonsAlreadySaved() {
      var _this10 = this;

      this.casePersonLoading = true;
      var timeStep = new Date().getTime();
      sendMessage({
        cmd: 'iframeGetData',
        params: {
          api: [{
            'getCasePersonsAlreadySaved': this.queryParamsForImport
          }],
          current: timeStep
        }
      });
      eventHandler.$on('getCasePersonsAlreadySaved', function (res) {
        _this10.casePersonLoading = false;
        eventHandler.$off('getCasePersonsAlreadySaved');
        var current = res.from.current;
        if (timeStep !== current) return;
        var _res$data = res.data,
            rows = _res$data.rows,
            total = _res$data.total;
        _this10.tableData = rows;
        _this10.queryParamsForImport.total = total;
      });
    },
    // 地址类型中文名称获取
    getAdressType: function getAdressType(e, person) {
      if (e === '1') {
        person.addressTypeName = '户籍所在地';
      } else {
        person.addressTypeName = '经常居住地';
      }
    },
    // 获取住所地数据
    getArea: function getArea(person, name) {
      person.applicantDetailedAddress = name;
    },
    // 设为常用人
    setCommonUseCasePerson: function setCommonUseCasePerson(person) {
      var _this11 = this;

      var time = new Date().getTime();
      this.openParentConfirmBox(time, {
        confirmButtonText: '确认',
        cancelButtonText: '取消',
        message: "\u6CE8\u610F\uFF1A\u5728\u5F53\u4E8B\u4EBA\u7C7B\u578B\u76F8\u540C\u4E0E\u4EBA\u5458\u7C7B\u578B\u76F8\u540C\u7684\u60C5\u51B5\u4E0B\uFF0C\n          \u8BBE\u4E3A\u5E38\u7528\u4EBA\u4F1A\u8986\u76D6\u6389\u4FDD\u5DF2\u7ECF\u8BBE\u7F6E\u8FC7\u7684\u76F8\u540C\u8BC1\u4EF6\u53F7\u7684\u81EA\u7136\u4EBA\u3001\u6CD5\u4EBA\u3001\u975E\u6CD5\u4EBA\u7EC4\u7EC7\u3001\u4EE3\u7406\u4EBA\u4FE1\u606F",
        title: '提示',
        type: 'warning'
      });
      eventHandler.$on('confirmBoxHandler', function (res) {
        eventHandler.$off('confirmBoxHandler');
        var _res$params = res.params,
            action = _res$params.action,
            current = _res$params.current;
        if (current !== time) return;

        if (action === 'confirm') {
          var timeStep = new Date().getTime();
          sendMessage({
            cmd: 'iframeGetData',
            params: {
              api: [{
                'setCommonUseCasePerson': person
              }],
              timeStep: timeStep
            }
          });
          eventHandler.$on('setCommonUseCasePerson', function (res) {
            eventHandler.$off('setCommonUseCasePerson');
            var from = res.from;
            if (from.timeStep !== timeStep) return;

            _this11.sendWarningMessage('success', '设为常用人成功！');
          });
        }
      });
    },
    // 根据日期设置年龄
    setAgeByDate: function setAgeByDate(person) {
      if (!person.bornDate) {
        person.age = '';
        return;
      }

      var timeStep = new Date().getTime();
      sendMessage({
        cmd: 'iframeGetData',
        params: {
          api: ['getServerDate'],
          timeStep: timeStep
        }
      });
      eventHandler.$on('getServerDate', function (res) {
        var from = res.from;
        if (from.timeStep !== timeStep) return;
        if (!res.data || !res.data.data) return;
        var currentDate = new Date(res.data.data.replace(/-/g, '/'));
        person.age = getAgeByDateTime(person.bornDate, currentDate)[0];
        eventHandler.$off('getServerDate');
      });
    },
    // 切换自然人/法人/非法人组织时清空表单及校验结果
    clearFormAndValidate: function clearFormAndValidate(person, formRef) {
      var _this12 = this;

      var keys = ['name', 'postName', 'cardType', 'cardTypeName', 'cardNumber', 'nation', 'nationName', 'sex', 'sexName', 'occupation', 'occupationName', 'age', 'mobilePhone', 'applicantDetailedAddress', 'bornDate', 'postalCode', 'unitName', 'unitNature', 'unitNatureName', 'licenseType', 'licenseTypeName', 'licenseNumber', 'phone', 'leaderName', 'addressAreaCode'];
      keys.forEach(function (key) {
        person[key] = '';
      });
      this.$nextTick(function () {
        _this12.$refs[formRef][0].clearValidate();
      });
    },
    // 设置idcard
    setIdCard: function setIdCard(val, person) {
      if (val instanceof Array) {
        if (!val.length) {
          person.part_number = '';
        } else {
          person['part_number'] = this.form.plaintiffPersons.filter(function (item) {
            return val.includes(item.pid);
          }).map(function (item2) {
            return item2.pid;
          }).join(',');
        }
      } else {
        if (!val) {
          person.part_number = '';
        } else {
          var p = this.form.plaintiffPersons.find(function (item) {
            return item.pid === val;
          });
          person['part_number'] = p ? p.pid : '';
        }
      }
    },
    // 上传身份证明材料
    identityUploadMethod: function identityUploadMethod(file) {
      eventHandler.$emit('selectFile', file);
    },
    // 删除某行的文件
    deleteFileFromRow: function deleteFileFromRow(row) {
      var _this13 = this;

      var time = new Date().getTime();
      this.openParentConfirmBox(time, {
        confirmButtonText: '确认',
        cancelButtonText: '取消',
        message: "\u60A8\u786E\u5B9A\u8981\u5220\u9664\u6587\u4EF6\uFF1F",
        title: '提示',
        type: 'warning'
      });
      eventHandler.$on('confirmBoxHandler', function (res) {
        var _res$params2 = res.params,
            action = _res$params2.action,
            current = _res$params2.current;
        if (current !== time) return;

        if (action === 'confirm') {
          _this13.$set(row, 'ossInfoId', '');

          _this13.$set(row, 'evidencFileName', '');
        }

        eventHandler.$off('confirmBoxHandler');
      });
    },
    // 删除材料公共
    deleteRowPublic: function deleteRowPublic(index, originForm, originFormTwo) {
      var _this14 = this;

      var time = new Date().getTime();
      this.openParentConfirmBox(time, {
        confirmButtonText: '确认',
        cancelButtonText: '取消',
        message: "\u60A8\u786E\u5B9A\u8981\u5220\u9664\u6B64\u6761\u6750\u6599\uFF1F",
        title: '提示',
        type: 'warning'
      });
      eventHandler.$on('confirmBoxHandler', function (res) {
        var _res$params3 = res.params,
            action = _res$params3.action,
            current = _res$params3.current;
        if (current !== time) return;

        if (action === 'confirm') {
          _this14.form[originForm].splice(index, 1);

          if (originFormTwo) {
            _this14.form[originFormTwo].splice(index, 1);
          }
        }

        eventHandler.$off('confirmBoxHandler');
      });
    },
    // 更新某一行操作
    uploadFilePublic: function uploadFilePublic(row, $index, accept) {
      var _this15 = this;

      var currentTime = new Date().getTime() + '';
      this.currentUploadAccept = accept;
      this.$nextTick(function () {
        eventHandler.$off('selectFile');
        document.getElementById('identityUpload').click();
        eventHandler.$on('selectFile', function (file) {
          _this15.$set(row, 'uploadLoading', true);

          sendMessage({
            cmd: 'iframeGetData',
            params: {
              api: [{
                'fileUploadPublic': {
                  files: file.file,
                  type: 1,
                  dir: 'process_judge_case'
                }
              }],
              current: currentTime
            }
          });
          var that = _this15;
          eventHandler.$on('fileUploadPublic', {
            id: currentTime,
            handler: function handler(res) {
              if (currentTime !== res.from.current) return;
              that.$refs['identityUpload'].clearFiles();
              that.identityUploads = [];

              if (res.error) {
                that.$set(row, 'uploadLoading', false);
                eventHandler.$off('fileUploadPublic', currentTime);
                return;
              }

              var data = res.data.data;

              if (data instanceof Array && data.length > 0) {
                var _data$ = data[0],
                    id = _data$.id,
                    originalName = _data$.originalName;
                row.ossInfoId = id;
                row.evidencFileName = originalName;
                row.uid = currentTime;
                row.uploadDate = moment(new Date()).format('YYYY-MM-DD');
              } else {
                that.sendWarningMessage('error', '上传结果异常');
              }

              that.$set(row, 'uploadLoading', false);
              eventHandler.$off('fileUploadPublic', currentTime);
            }
          });
        });
      });
    },
    editPleadings: function editPleadings(row, index) {
      //TODO 编辑
      this.formToAddPleadings.fileList = [row];
      this.formToAddPleadings.type = 'edit';
      this.formToAddPleadings.defendants = row.defendant_part_pid;
      this.formToAddPleadings.plaintiffs = row.plaintiff_part_pid;
      this.formToAddPleadings.index = index;
      this.dialogToAddPleadings = true;
    },
    editEnforcementBasis: function editEnforcementBasis(row, index) {
      //TODO 编辑
      this.formToAddEnforcementBasis.fileList = [row];
      this.formToAddEnforcementBasisTypeCertificate.fileList = JSON.parse(JSON.stringify(this.form.enforcementBasisTypeCertificate));
      this.formToAddEnforcementBasis.type = 'edit';
      this.formToAddEnforcementBasis.enforcementType = this.form.basis_type;
      this.formToAddEnforcementBasis.enforcementNum = this.form.case_no;
      this.formToAddEnforcementBasis.index = index;
      this.dialogToAddenforcementBasis = true;
    },
    // 删除执行依据--两个材料都删除
    deleteEnforcementBasis: function deleteEnforcementBasis(index) {
      this.form.basis_type = '';
      this.form.case_no = '';
      this.deleteRowPublic(index, 'enforcementBasis', 'enforcementBasisTypeCertificate');
    },
    // 清空其他材料表单
    clearFormDialogOtherFiles: function clearFormDialogOtherFiles() {
      this.$refs.otherFileUpload.clearFiles();
      this.formToAddOtherFiles = {
        materialClassification: '',
        materialClassificationName: '',
        belongPerson: [],
        fileList: []
      };
      this.$refs.makeOtherFile.clearValidate();
    },
    // 清空证据材料表单
    clearFormDialogEvidence: function clearFormDialogEvidence() {
      this.$refs.evidenceUpload.clearFiles();
      this.formToAddEvidence = {
        belongPerson: [],
        fileList: [],
        proveProblem: '',
        proveType: ''
      };
      this.$refs.makeEvidenceForm.clearValidate();
    },
    clearFormDialogIdentify: function clearFormDialogIdentify() {
      this.$refs.identifyUpload.clearFiles();
      this.formToAddIdentityFile = {
        casePerson: '',
        fileList: []
      };
    },
    getMakeWriteForm: function getMakeWriteForm() {
      return {
        pid: new Date().getTime() + '',
        casePerson: '',
        recipients: '',
        address: '',
        mobilePhone: '',
        postcode: '',
        areaCode: '',
        phone: '',
        areaCodeFax: '',
        phoneFax: '',
        email: '',
        otherContact: ''
      };
    },
    // 清空起诉状表单
    clearFormDialogPleadings: function clearFormDialogPleadings() {
      this.$refs.pleadingsUpload.clearFiles();
      this.formToAddPleadings = {
        plaintiffs: [],
        defendants: [],
        fileList: [],
        type: 'add',
        index: 0
      };
      this.$refs.makePleadingForm.clearValidate();
    },
    // 清空执行依据表单
    clearFormDialogEnforcementBasis: function clearFormDialogEnforcementBasis() {
      this.$refs.enforcementBasisUpload.clearFiles();
      this.formToAddEnforcementBasis = {
        enforcementType: '0',
        enforcementNum: '',
        fileList: [],
        type: 'add',
        index: 0
      };
      this.formToAddEnforcementBasisTypeCertificate = {
        fileList: []
      };
      this.$refs.makeEnforcementBasisForm.clearValidate();
    },
    // 公共确认狂
    openParentConfirmBox: function openParentConfirmBox(current, config) {
      sendMessage({
        cmd: 'parentConfirmBox',
        config: config,
        current: current
      });
    },
    // 公共提示
    sendWarningMessage: function sendWarningMessage(type, message) {
      sendMessage({
        cmd: 'messageTips',
        type: type,
        message: message
      });
    },
    // 添加证据材料---确认
    makeEvidenceFiles: function makeEvidenceFiles() {
      var _this16 = this;

      this.$refs.makeEvidenceForm.validate(function (pass) {
        if (pass) {
          var _this16$formToAddEvid = _this16.formToAddEvidence,
              belongPerson = _this16$formToAddEvid.belongPerson,
              fileList = _this16$formToAddEvid.fileList,
              proveProblem = _this16$formToAddEvid.proveProblem,
              proveType = _this16$formToAddEvid.proveType;

          var plantiffPersons = _this16.form.plaintiffPersons.filter(function (item) {
            return belongPerson.includes(item.pid);
          });

          if (!_this16.form.evidenceFiles.filter(function (file) {
            return file.materialName === '证据材料清单';
          }).length) {
            // 长度为0时，生成一个额外的证据材料清单
            _this16.form.evidenceFiles = [].concat([{
              ossInfoId: '',
              materialName: '证据材料清单',
              casePersonType: '0',
              isRequired: true,
              casePersonTypeName: '原告',
              proveType: proveType,
              proveProblem: proveProblem,
              originForm: 'evidenceFiles',
              materialClassification: '0',
              materialClassificationName: '证据',
              uploadDate: moment(new Date()).format('YYYY-MM-DD'),
              case_part_id: _this16.form.plaintiffPersons.map(function (item) {
                return item.pid;
              }),
              part_name: _this16.form.plaintiffPersons.map(function (item) {
                return item.name;
              }).join(','),
              part_number: _this16.form.plaintiffPersons.map(function (item) {
                return "".concat(item.pid);
              }).join(',')
            }], fileList.map(function (file) {
              return _objectSpread(_objectSpread({}, file), {}, {
                casePersonType: '0',
                casePersonTypeName: '原告',
                originForm: 'evidenceFiles',
                isRequired: false,
                case_part_id: plantiffPersons.map(function (item) {
                  return item.pid;
                }),
                materialClassification: '0',
                proveProblem: proveProblem,
                proveType: proveType,
                materialClassificationName: '证据',
                uploadDate: moment(new Date()).format('YYYY-MM-DD'),
                part_name: plantiffPersons.map(function (item) {
                  return item.name;
                }).join(','),
                part_number: plantiffPersons.map(function (item) {
                  return "".concat(item.pid);
                }).join(','),
                materialName: '证据材料'
              });
            }), _this16.form.evidenceFiles);
          } else {
            // 否则照常添加
            // 证据材料清单必在第一位 其他按照后添加的在前的顺序
            _this16.form.evidenceFiles = [].concat(_this16.form.evidenceFiles.slice(0, 1), fileList.map(function (file) {
              return _objectSpread(_objectSpread({}, file), {}, {
                casePersonType: '0',
                casePersonTypeName: '原告',
                originForm: 'evidenceFiles',
                case_part_id: plantiffPersons.map(function (item) {
                  return item.pid;
                }),
                materialClassification: '0',
                proveProblem: proveProblem,
                proveType: proveType,
                uploadDate: moment(new Date()).format('YYYY-MM-DD'),
                materialClassificationName: '证据',
                part_name: plantiffPersons.map(function (item) {
                  return item.name;
                }).join(','),
                part_number: plantiffPersons.map(function (item) {
                  return "".concat(item.pid);
                }).join(','),
                materialName: '证据材料'
              });
            }), _this16.form.evidenceFiles.slice(1));
          }

          _this16.dialogToAddEvidence = false;
        } else {
          return false;
        }
      });
    },
    cancelMakeEvidenceFiles: function cancelMakeEvidenceFiles() {
      this.dialogToAddEvidence = false;
    },
    // 取消添加材料
    cancelAddToOtherFiles: function cancelAddToOtherFiles() {
      this.dialogToAddOtherFiles = false;
    },
    // 删除其他材料
    deleteOtherFileRow: function deleteOtherFileRow(row, index) {
      var _this17 = this;

      var time = new Date().getTime();
      this.openParentConfirmBox(time, {
        confirmButtonText: '确认',
        cancelButtonText: '取消',
        message: "\u60A8\u786E\u5B9A\u8981\u5220\u9664\u6B64\u6761".concat(row.materialClassificationName, "\uFF1F"),
        title: '提示',
        type: 'warning'
      });
      eventHandler.$on('confirmBoxHandler', function (res) {
        var _res$params4 = res.params,
            action = _res$params4.action,
            current = _res$params4.current;
        if (current !== time) return;

        if (action === 'confirm') {
          _this17.form.otherFiles.splice(index, 1);
        }

        eventHandler.$off('confirmBoxHandler');
      });
    },
    // 添加其他材料----确认
    addToOtherFiles: function addToOtherFiles() {
      var _this18 = this;

      this.$refs.makeOtherFile.validate(function (pass) {
        if (pass) {
          var _this18$formToAddOthe = _this18.formToAddOtherFiles,
              materialClassification = _this18$formToAddOthe.materialClassification,
              belongPerson = _this18$formToAddOthe.belongPerson,
              fileList = _this18$formToAddOthe.fileList;

          var belongPersons = _this18.form.plaintiffPersons.filter(function (item) {
            return belongPerson.includes(item.pid);
          });

          var materialClassificationName = _this18.materialClassificationType.find(function (item) {
            return item.value === materialClassification;
          }).label;

          _this18.form.otherFiles = _this18.form.otherFiles.concat(fileList.map(function (file) {
            return _objectSpread(_objectSpread({}, file), {}, {
              part_name: belongPersons.map(function (item) {
                return item.name;
              }).join(','),
              part_number: belongPersons.map(function (item) {
                return "".concat(item.pid);
              }).join(','),
              is_add: '1',
              uploadDate: moment(new Date()).format('YYYY-MM-DD'),
              case_part_id: belongPersons.map(function (item) {
                return item.pid;
              }),
              originForm: 'otherFiles',
              materialClassification: materialClassification,
              materialClassificationName: materialClassificationName,
              materialName: materialClassificationName
            });
          }));
          _this18.dialogToAddOtherFiles = false;
        } else {
          return false;
        }
      });
    },
    // 取消添加起诉状
    cancelMakePleadingsFiles: function cancelMakePleadingsFiles() {
      this.dialogToAddPleadings = false;
    },
    // 添加起诉状---确认
    makePleadingsFiles: function makePleadingsFiles() {
      var _this19 = this;

      this.$refs.makePleadingForm.validate(function (pass) {
        if (pass) {
          var _this19$formToAddPlea = _this19.formToAddPleadings,
              plaintiffs = _this19$formToAddPlea.plaintiffs,
              defendants = _this19$formToAddPlea.defendants,
              fileList = _this19$formToAddPlea.fileList,
              type = _this19$formToAddPlea.type,
              index = _this19$formToAddPlea.index;

          var plantiffPersons = _this19.form.plaintiffPersons.filter(function (item) {
            return plaintiffs.includes(item.pid);
          });

          var defendantPersons = _this19.form.defendantPersons.filter(function (item) {
            return defendants.includes(item.pid);
          });

          var plantiffPersonsName = plantiffPersons.map(function (item) {
            return item.name;
          }).join(',');
          var defendantPersonsName = defendantPersons.map(function (item) {
            return item.name;
          }).join(',');
          var persons = plantiffPersons.concat(defendantPersons);

          if (type === 'add') {
            _this19.form.pleadings = _this19.form.pleadings.concat(fileList.map(function (file) {
              return _objectSpread(_objectSpread({}, file), {}, {
                isRequired: true,
                originForm: 'pleadings',
                materialClassification: '1',
                materialClassificationName: '申请书',
                materialName: "".concat(plantiffPersonsName, "\u7684\u7533\u8BF7\u4E66"),
                applyPerson: _this19.form.applicationName,
                plaintiff_part_pid: plaintiffs,
                defendant_part_pid: defendants,
                uploadDate: moment(new Date()).format('YYYY-MM-DD'),
                case_part_id: plaintiffs.concat(defendants),
                part_name: persons.map(function (item) {
                  return item.name;
                }).join(','),
                part_number: persons.map(function (item) {
                  return "".concat(item.pid);
                }).join(',')
              });
            }));
          } else {
            var file = fileList[0];

            _this19.$set(_this19.form.pleadings, index, _objectSpread(_objectSpread({}, file), {}, {
              originForm: 'pleadings',
              materialClassification: '1',
              isRequired: true,
              materialClassificationName: '申请书',
              materialName: "".concat(plantiffPersonsName, "\u7684\u7533\u8BF7\u4E66"),
              applyPerson: _this19.form.applicationName,
              plaintiff_part_pid: plaintiffs,
              defendant_part_pid: defendants,
              uploadDate: moment(new Date()).format('YYYY-MM-DD'),
              case_part_id: plaintiffs.concat(defendants),
              part_name: persons.map(function (item) {
                return item.name;
              }).join(','),
              part_number: persons.map(function (item) {
                return "".concat(item.pid);
              }).join(',')
            }));
          }

          _this19.dialogToAddPleadings = false;
        } else {
          return false;
        }
      });
    },
    // 取消添加执行依据
    cancelMakeEnforcementBasisFiles: function cancelMakeEnforcementBasisFiles() {
      this.dialogToAddenforcementBasis = false;
    },
    // 添加执行依据---确认
    makeEnforcementBasisFiles: function makeEnforcementBasisFiles() {
      var _this20 = this;

      this.$refs.makeEnforcementBasisForm.validate(function (pass) {
        if (pass) {
          var _this20$formToAddEnfo = _this20.formToAddEnforcementBasis,
              enforcementType = _this20$formToAddEnfo.enforcementType,
              enforcementNum = _this20$formToAddEnfo.enforcementNum,
              fileList = _this20$formToAddEnfo.fileList,
              type = _this20$formToAddEnfo.type,
              index = _this20$formToAddEnfo.index;
          var fileListTypeCertificate = _this20.formToAddEnforcementBasisTypeCertificate.fileList;
          var plantiffPersons = _this20.form.plaintiffPersons;
          var defendantPersons = _this20.form.defendantPersons;
          var plantiffPersonsName = plantiffPersons.map(function (item) {
            return item.name;
          }).join(',');
          var defendantPersonsName = defendantPersons.map(function (item) {
            return item.name;
          }).join(',');
          var persons = plantiffPersons.concat(defendantPersons);

          var plaintiffs = _this20.form.plaintiffPersons.map(function (item) {
            return item.pid;
          });

          var defendants = _this20.form.defendantPersons.map(function (item) {
            return item.pid;
          });

          _this20.form.basis_type = enforcementType;
          _this20.form.case_no = enforcementNum;

          if (type === 'add') {
            _this20.form.enforcementBasis = _this20.form.enforcementBasis.concat(fileList.map(function (file) {
              return _objectSpread(_objectSpread({}, file), {}, {
                isRequired: true,
                originForm: 'enforcementBasis',
                materialClassification: '9',
                materialClassificationName: '裁判文书',
                materialName: "".concat(plantiffPersonsName, "\u7684\u88C1\u5224\u6587\u4E66"),
                applyPerson: _this20.form.applicationName,
                plaintiff_part_pid: plaintiffs,
                defendant_part_pid: defendants,
                case_part_id: plaintiffs.concat(defendants),
                part_name: persons.map(function (item) {
                  return item.name;
                }).join(','),
                part_number: persons.map(function (item) {
                  return "".concat(item.pid);
                }).join(','),
                uploadDate: moment(new Date()).format('YYYY-MM-DD')
              });
            }));
            _this20.form.enforcementBasisTypeCertificate = _this20.form.enforcementBasisTypeCertificate.concat(fileListTypeCertificate.map(function (file) {
              return _objectSpread(_objectSpread({}, file), {}, {
                isRequired: true,
                originForm: 'enforcementBasisTypeCertificate',
                materialClassification: '10',
                materialClassificationName: '生效证明',
                materialName: "".concat(plantiffPersonsName, "\u7684\u751F\u6548\u8BC1\u660E"),
                applyPerson: _this20.form.applicationName,
                plaintiff_part_pid: plaintiffs,
                defendant_part_pid: defendants,
                case_part_id: plaintiffs.concat(defendants),
                part_name: persons.map(function (item) {
                  return item.name;
                }).join(','),
                part_number: persons.map(function (item) {
                  return "".concat(item.pid);
                }).join(','),
                uploadDate: moment(new Date()).format('YYYY-MM-DD')
              });
            }));
          } else {
            var file = fileList[0];

            _this20.$set(_this20.form.enforcementBasis, index, _objectSpread(_objectSpread({}, file), {}, {
              originForm: 'enforcementBasis',
              materialClassification: '9',
              isRequired: true,
              materialClassificationName: '裁判文书',
              materialName: "".concat(plantiffPersonsName, "\u7684\u88C1\u5224\u6587\u4E66"),
              applyPerson: _this20.form.applicationName,
              plaintiff_part_pid: plaintiffs,
              defendant_part_pid: defendants,
              case_part_id: plaintiffs.concat(defendants),
              part_name: persons.map(function (item) {
                return item.name;
              }).join(','),
              part_number: persons.map(function (item) {
                return "".concat(item.pid);
              }).join(','),
              uploadDate: moment(new Date()).format('YYYY-MM-DD')
            }));

            if (fileListTypeCertificate.length > 0) {
              var fileTypeCertificateSingle = fileListTypeCertificate[0];

              _this20.$set(_this20.form.enforcementBasisTypeCertificate, index, _objectSpread(_objectSpread({}, fileTypeCertificateSingle), {}, {
                originForm: 'enforcementBasisTypeCertificate',
                materialClassification: '10',
                isRequired: true,
                materialClassificationName: '生效证明',
                materialName: "".concat(plantiffPersonsName, "\u7684\u751F\u6548\u8BC1\u660E"),
                applyPerson: _this20.form.applicationName,
                plaintiff_part_pid: plaintiffs,
                defendant_part_pid: defendants,
                case_part_id: plaintiffs.concat(defendants),
                part_name: persons.map(function (item) {
                  return item.name;
                }).join(','),
                part_number: persons.map(function (item) {
                  return "".concat(item.pid);
                }).join(','),
                uploadDate: moment(new Date()).format('YYYY-MM-DD')
              }));
            }
          }

          _this20.dialogToAddenforcementBasis = false;
        } else {
          return false;
        }
      });
    },
    // 添加起诉状
    addPleadings: function addPleadings() {
      this.dialogToAddPleadings = true;
    },
    // 添加执行依据
    addEnforcementBasis: function addEnforcementBasis() {
      this.dialogToAddenforcementBasis = true;
    }
  }, _defineProperty(_methods, "downloadTemplate", function downloadTemplate() {}), _defineProperty(_methods, "openSpecification", function openSpecification(type) {
    sendMessage({
      cmd: 'previewUploadStandard',
      type: type
    });
  }), _defineProperty(_methods, "setIdentify", function setIdentify(current) {}), _defineProperty(_methods, "setTypeNameByType", function setTypeNameByType(val, person, options, value, label, itemName, formRef, name, extraFunc) {
    if (val instanceof Array) {
      if (!val.length) {
        person[itemName] = '';
      } else {
        person[itemName] = options.filter(function (item) {
          return val.includes(item[value]);
        }).map(function (item) {
          return item[label];
        }).join(',');
      }
    } else {
      if (!val) {
        person[itemName] = '';
      } else {
        person[itemName] = options.find(function (item) {
          return item[value] === val;
        })[label];
      }
    } //  选完校验


    if (this.$refs[formRef] instanceof Array) {
      this.$refs[formRef].length > 0 && this.$refs[formRef][0].validateField(name);
    } else {
      this.$refs[formRef] && this.$refs[formRef].validateField(name);
    } // 触发额外函数


    extraFunc && this[extraFunc] && this[extraFunc](val, person, formRef);
  }), _defineProperty(_methods, "cancelSaveCasePerson", function cancelSaveCasePerson(person, index, originForm) {
    var _this21 = this;

    var time = new Date().getTime();
    sendMessage({
      cmd: 'parentConfirmBox',
      config: {
        confirmButtonText: '确认',
        cancelButtonText: '取消',
        message: "\u60A8\u786E\u5B9A\u8981\u53D6\u6D88".concat(person.isAdd ? '添加' : '修改', "\uFF1F"),
        title: '提示',
        type: 'warning'
      },
      current: time
    });
    eventHandler.$on('confirmBoxHandler', function (res) {
      var _res$params5 = res.params,
          action = _res$params5.action,
          current = _res$params5.current;
      if (current !== time) return;

      if (action === 'confirm') {
        if (person.isAdd) {
          _this21.form[originForm].splice(index, 1);
        } else {
          var originJson = JSON.parse(_this21.casePersonSaveJson[person.pid]);
          originJson.readonly = true;

          _this21.$set(_this21.form[originForm], index, originJson);
        }
      }

      eventHandler.$off('confirmBoxHandler');
    });
  }), _defineProperty(_methods, "saveCasePerson", function saveCasePerson(formRef, person, extraFuncs) {
    var _this22 = this;

    this.$refs[formRef][0].validate().then(function (s) {
      if (person.isAdd) {
        delete person.isAdd;

        _this22.$set(person, 'readonly', true); // 额外触发函数


        if (extraFuncs) {
          if (typeof extraFuncs === 'string') {
            _this22[extraFuncs] && typeof _this22[extraFuncs] === 'function' && _this22[extraFuncs](person, 'add');
          } else if (extraFuncs instanceof Array) {
            extraFuncs.forEach(function (item) {
              _this22[item] && typeof _this22[item] === 'function' && _this22[item](person, 'add');
            });
          }
        }
      } else {
        _this22.$set(person, 'readonly', true); // 额外触发函数


        if (extraFuncs) {
          if (typeof extraFuncs === 'string') {
            _this22[extraFuncs] && typeof _this22[extraFuncs] === 'function' && _this22[extraFuncs](person, 'update');
          } else if (extraFuncs instanceof Array) {
            extraFuncs.forEach(function (item) {
              _this22[item] && typeof _this22[item] === 'function' && _this22[item](person, 'update');
            });
          }
        }
      }
    })["catch"](function (err) {
      console.log(err);
    });
  }), _defineProperty(_methods, "applyTypeChange", function applyTypeChange(item) {
    if (item.value !== '9') {
      this.form.caseReasonId = '';
      this.form.caseReasonName = '';
    }

    this.form.applyTypeName = item.label;
    this.$refs.form.validateField('applyType');
  }), _defineProperty(_methods, "caseTypeChange", function caseTypeChange(item) {
    this.form.applyType = '';
    this.form.caseBaseTypeName = item.label;
    this.$refs.form.validateField('caseBaseType');
  }), _defineProperty(_methods, "editCaseperson", function editCaseperson(originForm, person) {
    if (this.getCasePersons.filter(function (person) {
      return !person.readonly;
    }).length) {
      this.sendWarningMessage('error', '您有尚未新增或编辑完毕的当事人信息，请先完善');
      return;
    }

    this.$set(person, 'readonly', false);
    this.casePersonSaveJson[person.pid] = JSON.stringify(person);
  }), _defineProperty(_methods, "updatePleadingFiles", function updatePleadingFiles(person, option) {
    var _this23 = this;

    switch (option) {
      case 'add':
        break;

      case 'update':
        this.form.pleadings = this.form.pleadings.map(function (item) {
          if (!item.case_part_id.includes(person.pid)) {
            return item;
          } else {
            var plaintiff_part_pid = item.plaintiff_part_pid,
                defendant_part_pid = item.defendant_part_pid;

            var plantiffs = _this23.form.plaintiffPersons.filter(function (person) {
              return plaintiff_part_pid.includes(person.pid);
            });

            var defendants = _this23.form.defendantPersons.filter(function (person) {
              return defendant_part_pid.includes(person.pid);
            });

            var persons = plantiffs.concat(defendants);
            return _objectSpread(_objectSpread({}, item), {}, {
              part_name: persons.map(function (item) {
                return item.name;
              }).join(','),
              part_number: persons.map(function (item) {
                return "".concat(item.pid);
              }).join(','),
              materialName: "".concat(plantiffs.map(function (person) {
                return person.name;
              }).join(','), "\u8BC9").concat(defendants.map(function (person) {
                return person.name;
              }).join(','), "\u7684\u8D77\u8BC9\u72B6")
            });
          }
        });
        break;

      case 'delete':
        if (!this.form.pleadings.length) return;
        this.form.pleadings = this.form.pleadings.filter(function (row) {
          return !row.case_part_id.includes(person.pid);
        });
        break;
    }
  }), _defineProperty(_methods, "updateIdentifyFiles", function updateIdentifyFiles(person, option) {
    switch (option) {
      case 'add':
        var personTypeName = {
          0: '原告',
          1: '被告',
          2: '第三人',
          3: '原告代理人',
          4: '证人'
        };
        var materialClassificationType = {
          0: '2',
          1: '3',
          2: '17',
          3: '18',
          4: '19'
        };
        this.form.casePersonIdentifyFiles.push({
          originForm: 'casePersonIdentifyFiles',
          part_name: person.name,
          ossInfoId: '',
          part_card_type: person.cardType,
          materialName: '身份证明材料',
          casePersonType: person.type,
          materialClassification: materialClassificationType[person.type],
          materialClassificationName: "".concat(personTypeName[person.type], "\u8EAB\u4EFD\u8BC1\u660E\u6750\u6599"),
          isRequired: ['0', '3'].includes(person.type),
          casePersonTypeName: personTypeName[person.type],
          evidencFileName: '',
          part_number: person.pid,
          case_part_id: person.pid
        });
        break;

      case 'update':
        this.form.casePersonIdentifyFiles = this.form.casePersonIdentifyFiles.map(function (item) {
          if (item.case_part_id !== person.pid) {
            return item;
          } else {
            return _objectSpread(_objectSpread({}, item), {}, {
              part_name: person.name,
              part_number: person.pid
            });
          }
        });
        break;

      case 'delete':
        if (!this.form.casePersonIdentifyFiles.length) return;
        this.form.casePersonIdentifyFiles = this.form.casePersonIdentifyFiles.filter(function (row) {
          return row.case_part_id !== person.pid;
        });
        break;
    }
  }), _defineProperty(_methods, "updateEvidenceFiles", function updateEvidenceFiles(person, option) {
    var _this24 = this;

    switch (option) {
      case 'add':
        var index = this.form.evidenceFiles.findIndex(function (item) {
          return item.materialName === '证据材料清单';
        });
        if (index === -1) return;
        this.$set(this.form.evidenceFiles, index, _objectSpread(_objectSpread({}, this.form.evidenceFiles[index]), {}, {
          case_part_id: this.form.plaintiffPersons.map(function (item) {
            return item.pid;
          }),
          part_name: this.form.plaintiffPersons.map(function (item) {
            return item.name;
          }).join(','),
          part_number: this.form.plaintiffPersons.map(function (item) {
            return "".concat(item.pid);
          }).join(',')
        }));
        break;

      case 'update':
        this.form.evidenceFiles = this.form.evidenceFiles.map(function (item) {
          if (!item.case_part_id.includes(person.pid)) {
            return item;
          } else {
            var case_part_id = item.case_part_id;

            var plantiffs = _this24.form.plaintiffPersons.filter(function (item) {
              return case_part_id.includes(item.pid);
            });

            return _objectSpread(_objectSpread({}, item), {}, {
              part_name: plantiffs.map(function (item) {
                return item.name;
              }).join(','),
              part_number: plantiffs.map(function (item) {
                return "".concat(item.pid);
              }).join(',')
            });
          }
        });
        break;

      case 'delete':
        if (!this.form.evidenceFiles.length) return;
        this.form.evidenceFiles = this.form.evidenceFiles.filter(function (row) {
          return row.materialName === '证据材料清单' || !row.case_part_id.includes(person.pid);
        }).map(function (item) {
          if (item.materialName === '证据材料清单') {
            return _objectSpread(_objectSpread({}, item), {}, {
              case_part_id: _this24.form.plaintiffPersons.map(function (item) {
                return item.pid;
              }),
              part_name: _this24.form.plaintiffPersons.map(function (item) {
                return item.name;
              }).join(','),
              part_number: _this24.form.plaintiffPersons.map(function (item) {
                return "".concat(item.pid);
              }).join(',')
            });
          } else {
            return item;
          }
        });
        break;
    }
  }), _defineProperty(_methods, "updateConfirmFiles", function updateConfirmFiles(person, option) {
    if (option = 'delete') {
      this.form.enforcementBasis = [];
      this.form.enforcementBasisTypeCertificate = [];
    } else {
      var persons = this.form.plaintiffPersons.concat(this.form.defendantPersons);
      this.form.enforcementBasis = this.form.enforcementBasis.map(function (item) {
        item.part_name = persons.map(function (key) {
          return key.name;
        }).join(',');
        item.part_number = persons.map(function (key) {
          return "".concat(item.pid);
        }).join(',');
        return item;
      });
      this.form.enforcementBasisTypeCertificate = this.form.enforcementBasisTypeCertificate.map(function (item) {
        item.part_name = persons.map(function (key) {
          return key.name;
        }).join(',');
        item.part_number = persons.map(function (key) {
          return "".concat(key.pid);
        }).join(',');
        return item;
      });
    }
  }), _defineProperty(_methods, "updateAgentJson", function updateAgentJson(person, option) {
    var _this25 = this;

    if (!this.form.agentJson.length) return;

    switch (option) {
      case 'add':
        break;

      case 'update':
        if (!this.form.agentJson.filter(function (p) {
          return p.belongToPlantiff.includes(person.pid);
        }).length) return;
        this.form.agentJson = this.form.agentJson.map(function (item) {
          if (item.belongToPlantiff.includes(person.pid)) {
            var ids = item.belongToPlantiff;

            var persons = _this25.form.plaintiffPersons.filter(function (u) {
              return ids.includes(u.pid);
            });

            return _objectSpread(_objectSpread({}, item), {}, {
              belongToPlantiff: ids,
              part_name: persons.map(function (u) {
                return u.name;
              }).join(','),
              part_number: ids.join(',')
            });
          } else {
            return item;
          }
        });
        break;

      case 'delete':
        if (!this.form.agentJson.filter(function (p) {
          return p.belongToPlantiff.includes(person.pid);
        }).length) return;
        this.sendWarningMessage('warning', '由于您删除了被代理人，请在代理人中重新选择被代理人。', 3000);
        this.form.agentJson = this.form.agentJson.map(function (item) {
          if (item.belongToPlantiff.includes(person.pid)) {
            var ids = item.belongToPlantiff.filter(function (u) {
              return u !== person.pid;
            });

            var persons = _this25.form.plaintiffPersons.filter(function (u) {
              return ids.includes(u.pid);
            });

            return _objectSpread(_objectSpread({}, item), {}, {
              belongToPlantiff: ids,
              part_name: persons.map(function (u) {
                return u.name;
              }).join(','),
              part_number: ids.join(',')
            });
          } else {
            return item;
          }
        });
        break;

      default:
        break;
    }
  }), _defineProperty(_methods, "updateWitnessJson", function updateWitnessJson(person) {
    var _this26 = this;

    var option = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : 'delete';
    if (!this.form.witnessStr.length) return;

    switch (option) {
      case 'add':
        break;

      case 'update':
        if (!this.form.witnessStr.filter(function (p) {
          return p.belongToPlantiff.includes(person.pid);
        }).length) return;
        this.form.witnessStr = this.form.witnessStr.map(function (item) {
          if (item.belongToPlantiff.includes(person.pid)) {
            var ids = item.belongToPlantiff;

            var persons = _this26.form.plaintiffPersons.filter(function (u) {
              return ids.includes(u.pid);
            });

            return _objectSpread(_objectSpread({}, item), {}, {
              belongToPlantiff: ids,
              part_name: persons.map(function (u) {
                return u.name;
              }).join(','),
              part_number: ids.join(',')
            });
          } else {
            return item;
          }
        });
        break;

      case 'delete':
        if (!this.form.witnessStr.filter(function (p) {
          return p.belongToPlantiff.includes(person.pid);
        }).length) return;
        this.form.witnessStr = this.form.witnessStr.map(function (item) {
          if (item.belongToPlantiff.includes(person.pid)) {
            var ids = item.belongToPlantiff.filter(function (u) {
              return u !== person.pid;
            });

            var persons = _this26.form.plaintiffPersons.filter(function (u) {
              return ids.includes(u.pid);
            });

            return _objectSpread(_objectSpread({}, item), {}, {
              belongToPlantiff: ids,
              part_name: persons.map(function (u) {
                return u.name;
              }).join(','),
              part_number: ids.join(',')
            });
          } else {
            return item;
          }
        });
        break;

      default:
        break;
    }
  }), _defineProperty(_methods, "updateOtherFiles", function updateOtherFiles(person, option) {
    var _this27 = this;

    switch (option) {
      case 'add':
        break;

      case 'update':
        this.form.otherFiles = this.form.otherFiles.map(function (item) {
          if (!item.case_part_id.includes(person.pid)) {
            return item;
          } else {
            var case_part_id = item.case_part_id;

            var plantiffs = _this27.form.plaintiffPersons.filter(function (item) {
              return case_part_id.includes(item.pid);
            });

            return _objectSpread(_objectSpread({}, item), {}, {
              part_name: plantiffs.map(function (item) {
                return item.name;
              }).join(','),
              part_number: plantiffs.map(function (item) {
                return "".concat(item.pid);
              }).join(',')
            });
          }
        });
        break;

      case 'delete':
        if (!this.form.otherFiles.length) return;
        this.form.otherFiles = this.form.otherFiles.filter(function (row) {
          return !row.case_part_id.includes(person.pid);
        });
        break;
    }
  }), _defineProperty(_methods, "deleteCasePerson", function deleteCasePerson(originForm, label, person, index, extraFuncs) {
    var _this28 = this;

    var time = new Date().getTime();
    sendMessage({
      cmd: 'parentConfirmBox',
      config: {
        confirmButtonText: '确认',
        cancelButtonText: '取消',
        message: "\u60A8\u786E\u5B9A\u8981\u5220\u9664".concat(label, "\uFF1A").concat(person.name, "\uFF1F"),
        title: '提示',
        type: 'warning'
      },
      current: time
    });
    eventHandler.$on('confirmBoxHandler', function (res) {
      var _res$params6 = res.params,
          action = _res$params6.action,
          current = _res$params6.current;
      if (current !== time) return;

      if (action === 'confirm') {
        _this28.form[originForm].splice(index, 1); // 额外触发函数


        if (extraFuncs) {
          if (typeof extraFuncs === 'string') {
            _this28[extraFuncs] && typeof _this28[extraFuncs] === 'function' && _this28[extraFuncs](person, 'delete');
          } else if (extraFuncs instanceof Array) {
            extraFuncs.forEach(function (item) {
              _this28[item] && typeof _this28[item] === 'function' && _this28[item](person, 'delete');
            });
          }
        } // TODO 编辑时取消 恢复原样

      }

      eventHandler.$off('confirmBoxHandler');
    });
  }), _defineProperty(_methods, "getBlankCasePersonJson", function getBlankCasePersonJson(type) {
    return {
      pid: new Date().getTime() + '',
      readonly: false,
      type: type,
      // 0 原告 1 被告 2 第三人
      peopleType: '0',
      // 0 自然人 1 法人 2 非法人组织
      name: '',
      // 姓名
      postName: '',
      // 法人/主要负责人职务
      cardType: '',
      // 证件类型
      cardTypeName: '',
      // 证件类型
      cardNumber: '',
      // 证件号
      nation: '',
      // 民族
      nationName: '',
      // 民族
      sex: '',
      // 性别
      sexName: '',
      // 性别
      occupation: '',
      // 职业
      occupationName: '',
      // 职业名称
      mobilePhone: '',
      // 联系电话
      applicantDetailedAddress: '',
      // 地址
      addressType: '0',
      // 住所地类型 自然人显示
      bornDate: '',
      // 出生日期
      postalCode: '',
      // 邮政编码
      unitName: '',
      // 单位名称
      unitNature: '',
      // 单位性质
      unitNatureName: '',
      // 单位性质名字
      licenseType: '',
      /// 证照类型
      licenseTypeName: '',
      /// 证照类型名字
      licenseNumber: '',
      // 证照号码
      phone: '',
      // 固定电话
      isAdd: true,
      // 是否为新增
      age: '',
      // 年龄
      leaderName: '',
      addressAreaCode: '' // 所在地区值

    };
  }), _defineProperty(_methods, "getBlankAgentJson", function getBlankAgentJson(type) {
    return {
      pid: new Date().getTime() + '',
      // uuid
      readonly: false,
      // 是否可编辑
      isAdd: true,
      // 是否为新增
      type: type,
      // 类型
      agentType: '',
      agentTypeName: '',
      age: '',
      // 年龄
      belongToPlantiff: '',
      // 所属原告
      part_name: '',
      // 所属原告名字
      mobilePhone: '',
      // 联系电话
      name: '',
      // 姓名
      cardType: '',
      // 证件类型
      cardTypeName: '',
      // 证件类型名称
      cardNumber: '',
      // 证件号
      registeredAddress: '',
      // 律所地址
      licenseNumber: '' // 执业证号

    };
  }), _defineProperty(_methods, "getBlankWitness", function getBlankWitness(type) {
    return {
      pid: new Date().getTime() + '',
      // uuid
      readonly: false,
      // 是否可编辑
      isAdd: true,
      // 是否为新增
      type: type,
      belongToPlantiff: '',
      // 所属原告
      part_name: '',
      // 所属原告名字
      appearCourt: '',
      // 是否出庭作证
      appearCourtName: '',
      // 是否出庭作证名字
      name: '',
      // 姓名
      mobilePhone: '',
      // 联系电话
      sex: '',
      // 性别
      sexName: '',
      // 性别
      cardType: '',
      // 证件类型
      cardTypeName: '',
      // 证件类型名称
      cardNumber: '',
      // 证件号
      bornDate: '',
      // 出生日期
      age: '',
      // 年龄
      unitName: '',
      // 单位名称
      applicantDetailedAddress: '',
      // 所在地址
      addressAreaCode: '' // 所在地区值

    };
  }), _defineProperty(_methods, "validateAddressCredit", function validateAddressCredit(addressRef, _ref2) {
    var _this29 = this;

    var addressAreaCode = _ref2.addressAreaCode;
    return function (rule, value, callback) {
      if (!value || !addressAreaCode) {
        callback();
      } else {
        var context = _this29.$refs[addressRef][0].getCheckedNodes();

        if (context.length > 0) {
          var text = context[0].pathLabels.join('');

          if (value.length <= text.length) {
            callback(new Error('请继续完善详细地址信息'));
          } else {
            callback();
          }
        } else {
          callback();
        }
      }
    };
  }), _defineProperty(_methods, "addCasePersonOpen", function addCasePersonOpen(type, originForm, func) {
    this.provienceCityAres = '';

    if (this.getCasePersons.filter(function (item) {
      return !item.readonly;
    }).length) {
      this.sendWarningMessage('error', '您有尚未新增或编辑完毕的当事人信息，请先完善');
      return;
    } // 添加一位当事人 0/1/2/3/4


    this.form[originForm].push(this[func](this.caseTypeMap[type]));
  }), _defineProperty(_methods, "courtChange", function courtChange(val) {
    if (!val) {
      this.form.courtName = '';
      return;
    }

    this.form.courtName = this.fys.find(function (item) {
      return item.value === val;
    }).label;
    this.$refs.form.validateField('courtId');
  }), _defineProperty(_methods, "caseReasonChange", function caseReasonChange(refs) {
    var e = this.$refs[refs].getCheckedNodes();

    if (e && e.length > 0) {
      this.form.caseReasonName = e[0].label;
    }

    this.$refs[refs].dropDownVisible = false;
    this.$refs.form.validateField('caseReasonId');
  }), _defineProperty(_methods, "typeAndFileRequired", function typeAndFileRequired(rule, value, call, index) {
    if (!this.form.other_case_files[index].materialClassification) {
      call(new Error('请选择材料类别'));
    }

    if (this.form.other_case_files[index].fileList.length === 0) {
      call(new Error('请上传诉讼文件'));
    }

    call();
  }), _defineProperty(_methods, "handlePowerJson", function handlePowerJson(data) {
    var _this30 = this;

    this.powerJson = Object.assign({}, data.params);
    var _data$params = data.params,
        flowType = _data$params.flowType,
        instanceStatus = _data$params.instanceStatus; // this.getNeedData()
    // 根据flowType考虑是否将form赋值

    if (flowType === 1) {
      this.getNeedData();
    }

    if (flowType !== 1 || flowType === 1 && instanceStatus != '1') {
      for (var key in this.powerJson) {
        if (this.powerJson[key] && _typeof(this.powerJson[key]) === 'object') {
          this.$set(this.form, key, parseJsonBack(this.powerJson[key].fieldValue));
        }

        this.form.caseReasonId = Number(this.form.caseReasonId) || '';
      }

      this.form.plaintiffPersons = this.form.suitCaseParts.filter(function (person) {
        return person.type === '0';
      });
      this.form.defendantPersons = this.form.suitCaseParts.filter(function (person) {
        return person.type === '1';
      });
      this.form.thirdParty = this.form.suitCaseParts.filter(function (person) {
        return person.type === '2';
      });
      this.form.pleadings = this.form.materialsStr.filter(function (item) {
        return item.originForm === 'pleadings';
      });
      this.form.casePersonIdentifyFiles = this.form.materialsStr.filter(function (item) {
        return item.originForm === 'casePersonIdentifyFiles';
      });
      this.form.evidenceFiles = this.form.materialsStr.filter(function (item) {
        return item.originForm === 'evidenceFiles';
      });
      this.form.enforcementBasis = this.form.materialsStr.filter(function (item) {
        return item.materialClassification === '9' && item.is_add !== '1';
      });
      this.form.enforcementBasisTypeCertificate = this.form.materialsStr.filter(function (item) {
        return item.materialClassification === '10' && item.is_add !== '1';
      });
      this.form.otherFiles = this.form.materialsStr.filter(function (item) {
        return item.originForm === 'otherFiles';
      });

      if (flowType === 1 && instanceStatus == '2') {
        this.$refs.form.setStep(Number(this.form.currentStep || this.steps.filter(function (step) {
          return step.type === 'onlyDisplay';
        }).length));
      }
    }

    this.$nextTick(function () {
      setTimeout(function () {
        _this30.getClientHeight(); // this.scrollPosition()

      }, 100); // this.getQueryProcessCommitDTOList("powerJsonCallback");
    });
  }), _defineProperty(_methods, "getClientHeight", function getClientHeight() {
    var clientHeight = 500;
    sendMessage({
      cmd: 'getClientHeight',
      params: {
        clientHeight: clientHeight
      }
    });
    return clientHeight;
  }), _defineProperty(_methods, "handleBlankChildren", function handleBlankChildren(data) {
    var _this31 = this;

    var children = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : 'children';
    return data.map(function (item) {
      if (!item[children] || !item[children].length) {
        delete item[children];
        return item;
      } else {
        return _objectSpread(_objectSpread({}, item), {}, _defineProperty({}, children, _this31.handleBlankChildren(item[children], children)));
      }
    });
  }), _defineProperty(_methods, "visibleChange", function visibleChange(e) {
    if (e) {
      this.provienceCityAres = '';
    }
  }), _defineProperty(_methods, "provienceCityAresChange", function provienceCityAresChange(event, refs, person, input) {
    var context = this.$refs[refs][0].getCheckedNodes();

    if (context.length > 0) {
      person.applicantDetailedAddress = context[0].pathLabels.join('');
      var contextInput = this.$refs[input];

      if (contextInput instanceof Array) {
        contextInput[0] && contextInput[0].focus();
      } else {
        contextInput && contextInput.focus();
      }
    }
  }), _defineProperty(_methods, "getNeedData", function getNeedData() {
    var _this32 = this;

    var normalOptionsByDict = {
      party_duty: 'occupation',
      // 职业
      party_unit_nature: 'unitNature',
      // 单位性质
      suit_nation: 'nation',
      // 民族
      'SUIT_LITIGAIONJURISDICTIONAL-M': 'jurisdictionalBasis',
      // 管辖依据
      party_agent_type: 'agentType',
      // 代理人类型
      'SUIT_BUS_DAMAGES_INFOR_F': 'compensateTypes',
      'SUIT_BUS_DOCUMENT_NATURE_X': 'normativeFileNature',
      'SUIT_BUS_APPLICATION_REASON_M': 'applyReasonDeclare',
      'SUIT_BUS_APPLICATION_ITEM_M': 'applyMatterDeclare',
      'SUIT_BUS_APPLYTIAON_TYPE_M': 'applyPersonTypeDeclare'
    };
    sendMessage({
      cmd: 'iframeGetData',
      params: {
        api: ['queryCaseTypes', 'getUserInfoStatic', 'querySuitregionList', {
          'normalOptionsByDict': Object.keys(normalOptionsByDict).join(',').toUpperCase()
        }]
      }
    }); //  案件案由

    eventHandler.$on('queryCaseTypes', function (res) {
      var firstLevelReason = [{
        defaultLabel: '民事',
        label: '民事',
        defaultValue: '556',
        root: 1,
        applyType: [{
          value: 'MSYS',
          label: '起诉'
        }, {
          value: 'XGSZSW',
          label: '宣告失踪、宣告死亡'
        }, {
          value: 'XWNLRD',
          label: '行为能力认定案件'
        }, {
          value: 'JHRZDYY',
          label: '监护人指定异议'
        }, {
          value: 'JHGXBG',
          label: '监护关系变更'
        }, {
          value: 'SXDBWQ',
          label: '实现担保物权'
        }, {
          value: 'TJXYSFQR',
          label: '调解协议司法确认'
        }]
      }, {
        defaultLabel: '行政',
        label: '行政',
        defaultValue: '580',
        root: 2,
        applyType: [{
          value: 'XZYS',
          label: '起诉'
        }]
      }, {
        defaultLabel: '国家赔偿',
        label: '赔偿',
        defaultValue: '585',
        root: 1,
        applyType: [{
          value: 'FYXWPCYWJGZP',
          label: ' 自赔'
        }]
      }];
      var caseBaseType = res.data.data;
      _this32.publicOptions.caseBaseType = firstLevelReason.map(function (item) {
        var single = caseBaseType.find(function (list) {
          return list.value === item.defaultLabel;
        });
        var dictValue = single ? single.businessId + '' : item.defaultValue;

        if (!_this32.form.caseBaseType && item.label === '民事') {
          _this32.form.caseBaseType = dictValue;
          _this32.form.caseBaseTypeName = item.label;
        }

        _this32.$set(_this32.publicOptions.applyType, dictValue, item.applyType);

        return {
          value: dictValue,
          label: item.label,
          root: item.root,
          caseId: single.caseId
        };
      });

      _this32.getReasonsByCaseBaseType();

      eventHandler.$off('queryCaseReasonWrapper');
    }); //  省市级

    eventHandler.$on('querySuitregionList', function (res) {
      _this32.publicOptions.provience = _this32.handleBlankChildren(res.data.data.childList, 'childList');
      console.log(res.data.data.childList, 'res.data.childList');
      eventHandler.$off('querySuitregionList');
    }); //  用户信息

    eventHandler.$on('getUserInfoStatic', function (res) {
      console.log(new Date().getTime());
      var _res$data$data = res.data.data,
          userName = _res$data$data.userName,
          userId = _res$data$data.userId,
          idCard = _res$data$data.idCard,
          phonenumber = _res$data$data.phonenumber,
          lawyerAuthStatus = _res$data$data.lawyerAuthStatus,
          lawyerAuth = _res$data$data.lawyerAuth;
      _this32.form.applicationName = userName;
      _this32.form.userId = userId;
      _this32.form.idCard = idCard;
      _this32.form.phonenumber = phonenumber;
      _this32.form.lawyerAuthStatus = lawyerAuthStatus;
      _this32.form.lawyerAuth = lawyerAuth;
      eventHandler.$off('getUserInfoStatic');
    }); // 下拉选项集合

    eventHandler.$on('normalOptionsByDict', function (res) {
      eventHandler.$off('normalOptionsByDict');

      var fileByType = function fileByType(type) {
        var dictType = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : 'dictType';
        return function (item) {
          var realType = typeof type === 'string' ? type.toUpperCase() : type;
          return realType === item[dictType];
        };
      };

      Object.keys(normalOptionsByDict).forEach(function (type) {
        _this32.publicOptions[normalOptionsByDict[type]] = res.data.data.filter(fileByType(type)).map(function (item) {
          return {
            label: item.dictLabel,
            value: item.dictValue
          };
        });
      });
    });
  }), _defineProperty(_methods, "handleSubmitData", function handleSubmitData() {
    var data = [];

    for (var key in this.powerJson) {
      if (_typeof(this.powerJson[key]) === 'object') {
        data.push({
          fieldId: this.powerJson[key].businessId,
          fieldValue: stringFyJson(this.form[key]),
          remark: '',
          specialTag: key
        });
      }
    }

    return data;
  }), _defineProperty(_methods, "requiredFiles", function requiredFiles() {
    if (!this.form.pleadings.length) {
      this.sendWarningMessage('warning', '请添加申请执行书材料');
      return false;
    }

    if (this.form.casePersonIdentifyFiles.filter(function (item) {
      return item.isRequired && !item.ossInfoId;
    }).length) {
      this.sendWarningMessage('warning', '请上传必要的申请人身份证明材料');
      return false;
    }

    if (!this.form.evidenceFiles.length) {
      this.sendWarningMessage('warning', '请添加证据证明材料');
      return false;
    }

    if (this.form.evidenceFiles.filter(function (item) {
      return item.isRequired && !item.ossInfoId;
    }).length) {
      this.sendWarningMessage('warning', '请上传必要的证据材料');
      return false;
    }

    if (!this.form.evidenceFiles.filter(function (item) {
      return item.materialName === '证据材料' && item.ossInfoId;
    }).length) {
      this.sendWarningMessage('warning', '请添加证据证明材料');
      return false;
    }

    if (!this.form.enforcementBasis.length) {
      this.sendWarningMessage('warning', '请上传必要的执行依据');
      return false;
    }

    if (this.form.enforcementBasis.filter(function (item) {
      return item.isRequired && !item.ossInfoId;
    }).length) {
      this.sendWarningMessage('warning', '请上传必要的执行依据');
      return false;
    }

    return true;
  }), _defineProperty(_methods, "checkCasePersonJson", function checkCasePersonJson() {
    if (!this.form.plaintiffPersons.length || !this.form.defendantPersons.length) {
      this.sendWarningMessage('error', '请至少添加一位申请人与被申请人');
      return false;
    }

    if (this.getCasePersons.filter(function (item) {
      return !item.readonly;
    }).length) {
      this.sendWarningMessage('error', '您有尚未新增或编辑完毕的当事人信息，请先完善');
      return false;
    }

    if (this.form.agentJson.filter(function (p) {
      return !p.belongToPlantiff.length;
    }).length) {
      this.sendWarningMessage('error', '由于您删除了绑定了所属申请人，请在代理人中重新选择所属申请人');
      return false;
    }

    return true;
  }), _defineProperty(_methods, "beforeNextStep", function beforeNextStep(current, done) {
    if (current === 2) {
      this.checkCasePersonJson() && done();
    } else if (current === 3) {
      if (this.requiredFiles()) {
        done();
      }
    } else {
      done();
    }
  }), _defineProperty(_methods, "onSubmissionProcess", function onSubmissionProcess(message) {
    console.log('submit--------------------');

    if (message === '保存') {
      this.form.materialsStr = [].concat(this.form.pleadings, this.form.casePersonIdentifyFiles, this.form.enforcementBasis, this.form.enforcementBasisTypeCertificate, this.form.evidenceFiles, this.form.otherFiles);
      this.form.suitCaseParts = [].concat(this.form.plaintiffPersons, this.form.defendantPersons, this.form.thirdParty);
      this.form.currentStep = this.$refs.form.getStep();
      this.form.applicationChannel = 'web';
      sendMessage({
        cmd: 'onSubmissionProcess',
        params: {
          success: true,
          data: this.handleSubmitData(),
          message: message
        }
      });
    } else {
      if (this.requiredFiles()) {
        this.form.materialsStr = [].concat(this.form.pleadings, this.form.casePersonIdentifyFiles, this.form.enforcementBasis, this.form.enforcementBasisTypeCertificate, this.form.evidenceFiles, this.form.otherFiles);
        this.form.suitCaseParts = [].concat(this.form.plaintiffPersons, this.form.defendantPersons, this.form.thirdParty);
        this.form.currentStep = this.$refs.form.getStep();
        sendMessage({
          cmd: 'onSubmissionProcess',
          params: {
            success: true,
            data: this.handleSubmitData(),
            message: message
          }
        });
      }
    }
  }), _defineProperty(_methods, "isDef", function isDef(value) {
    return ![undefined, null, '', ''].includes(value);
  }), _defineProperty(_methods, "cancelSave", function cancelSave() {
    sendMessage({
      cmd: 'cancelSaveProcess'
    });
  }), _defineProperty(_methods, "checkFormStatus", function checkFormStatus() {
    var _this33 = this;

    var keys = ['courtId'];
    var defaultValKeys = [{
      key: 'caseBaseType',
      "default": '3'
    }, {
      key: 'applyType',
      "default": '9'
    }];
    var arrKeys = ['plaintiffPersons', 'defendantPersons', 'pleadings', 'casePersonIdentifyFiles', 'enforcementBasis', 'evidenceFiles', 'enforcementBasis']; // 只要有一个不为空 就触发是否保存确认框

    var flag = // 不为空的表单输入项 && 长度全部为 0的表单素组项 && 默认值全部没有改变的表单输入项 时 为空
    keys.every(function (key) {
      return !_this33.isDef(_this33.form[key]);
    }) && arrKeys.every(function (key) {
      return !_this33.form[key].length;
    }) && defaultValKeys.every(function (item) {
      return _this33.form[item.key] === item["default"];
    });
    sendMessage({
      cmd: 'checkFormStatus',
      blank: flag
    });
  }), _defineProperty(_methods, "saveProcessFormMoment", function saveProcessFormMoment() {
    this.form.materialsStr = [].concat(this.form.pleadings, this.form.casePersonIdentifyFiles, this.form.evidenceFiles, this.form.otherFiles, this.form.enforcementBasis);
    this.form.suitCaseParts = [].concat(this.form.plaintiffPersons, this.form.defendantPersons, this.form.thirdParty);
    sendMessage({
      cmd: 'saveProcessFormMoment',
      params: {
        success: true,
        data: this.handleSubmitData(),
        message: '保存'
      }
    });
  }), _defineProperty(_methods, "handleMessage", function handleMessage(e) {
    var data = e.data;
    var cmd = data.cmd,
        params = data.params;

    if (cmd !== 'backData') {
      // 不是向父页面发送接口请求的 直接
      eventHandler.$emit("".concat(cmd), data);
    } else {
      eventHandler.$emit("".concat(params.name), params);
    }
  }), _defineProperty(_methods, "validateLicenseNumberByType", function validateLicenseNumberByType(person) {
    var _this34 = this;

    var type = person.licenseType;

    var licenseNumberDuplicate = function licenseNumberDuplicate(value, callback) {
      // 获取原告、被告、当事人中  排除自身后， 不为自然人并且证照类型相同的组织、非组织机构
      var persons = _this34.form.plaintiffPersons.concat(_this34.form.defendantPersons, _this34.form.thirdParty).filter(function (u) {
        return ['1', '2'].includes(u.peopleType) && person.pid !== u.pid && person.licenseType === u.licenseType;
      });

      return persons.filter(function (u) {
        return value === u.licenseNumber;
      }).length ? callback(new Error('证照号存在重复，请核对后再保存')) : callback();
    };

    return function (rule, value, callback) {
      if (!value || !type) {
        callback();
      }

      if (!validateMapLicenseType[type]) {
        callback();
      } else {
        if (validateMapLicenseType[type] instanceof Array) {
          if (validateMapLicenseType[type].some(function (item) {
            return item.test(value);
          })) {
            return licenseNumberDuplicate(value, callback);
          } else {
            callback(new Error('该证件类型下，证照号码格式错误'));
          }
        } else {
          if (validateMapLicenseType[type].test(value)) {
            return licenseNumberDuplicate(value, callback);
          } else {
            callback(new Error('该证件类型下，证照号码格式错误'));
          }
        }
      }
    };
  }), _defineProperty(_methods, "validateCardNumByType", function validateCardNumByType(person) {
    var type = person.cardType; // 查出所有当事人中证件类型相同的排除自己的所有当事人

    var persons = this.getCasePersons.filter(function (item) {
      return item.cardType === type && person.pid !== item.pid;
    }); // 验重函数

    var cardNumberDuplicate = function cardNumberDuplicate(value, callback) {
      // 如果存在有
      return persons.filter(function (item) {
        return item.cardNumber === value;
      }).length ? callback(new Error('证件号存在重复，请核对后再保存')) : callback();
    };

    return function (rule, value, callback) {
      if (!value || !type) {
        callback();
      }

      if (!validateMapCardType[type]) {
        callback();
      } else {
        // 多个验证条件的情况下 满足一条即可
        if (validateMapCardType[type] instanceof Array) {
          if (validateMapCardType[type].some(function (item) {
            return item.test(value);
          })) {
            // 验证通过后 证件号查重
            return cardNumberDuplicate(value, callback);
          } else {
            callback(new Error('该证件类型下，证件号格式错误'));
          }
        } else {
          // 否则只要满足正则即可
          if (validateMapCardType[type].test(value)) {
            return cardNumberDuplicate(value, callback);
          } else {
            callback(new Error('该证件类型下，证件号格式错误'));
          }
        }
      }
    };
  }), _defineProperty(_methods, "fixPhoneValidate", function fixPhoneValidate(areaCdoe, phone, errMsg) {
    return function (rule, value, callback) {
      if (!areaCdoe && !phone) {
        callback();
      }

      var fixPhone = "".concat(areaCdoe, "-").concat(phone);

      if ($validate.isPhoneNum(fixPhone)) {
        callback();
      } else {
        callback(new Error(errMsg));
      }
    };
  }), _defineProperty(_methods, "validateMobilePhone", function validateMobilePhone(rule, value, callback) {
    if (!value) callback();

    if ($validate.isMobilePhoneNum(value)) {
      callback();
    } else {
      callback(new Error('请输入正确的手机号'));
    }
  }), _methods)
});
