'use strict';
var useSettings = function () {
  return {
    //  第二部-当事人信息配置项
    casePerson: {
      //  民事一审（起诉）
      '': { 0: {}, 1: {}, 2: {}, 3: {}, 4: {} },
      'undefined': { 0: {}, 1: {}, 2: {}, 3: {}, 4: {} },
      'null': { 0: {}, 1: {}, 2: {}, 3: {}, 4: {} },
      'MSYS': {
        0: { show: true, type: '0', required: true, label: '原告当事人' },
        1: { show: true, type: '1', required: true, label: '被告当事人' },
        2: { show: true, type: '2', label: '第三人' },
        3: { show: true, type: '3', label: '原告代理人' },
        4: { show: true, type: '4', label: '证人' }
      },
      //  宣告死亡
      'XGSZSW': {
        0: { show: true, type: '5', required: true, label: '申请人' },
        1: { show: true, type: '6', required: true, label: '被申请人' },
        2: { show: false },
        3: { show: true, type: '7', label: '申请人代理人' },
        4: { show: true, type: '4', label: '证人' }
      },
      //  行为能力认定
      'XWNLRD': {
        0: { show: true, type: '8', required: true, label: '申请人' },
        1: { show: true, type: '9', required: true, label: '被申请人' },
        2: { show: false },
        3: { show: true, type: '7', label: '申请人代理人' },
        4: { show: true, type: '4', label: '证人' }
      },
      //  监护人指定异议
      'JHRZDYY': {
        0: { show: true, type: '10', required: true, label: '异议人' },
        1: { show: false },
        2: { show: false },
        3: { show: true, type: '11', label: '异议人代理人' },
        4: { show: true, type: '4', label: '证人' }
      },
      // 监护关系变更
      'JHGXBG': {
        0: { show: true, type: '12', required: true, label: '起诉人' },
        1: { show: true, type: '13', required: true, label: '被诉监护人' },
        2: { show: false },
        3: { show: true, type: '14', label: '起诉人代理人' },
        4: { show: true, type: '4', label: '证人' }
      },
      //  实现物品担保权
      'SXDBWQ': {
        0: { show: true, type: '15', required: true, label: '申请人' },
        1: { show: true, type: '6', required: true, label: '被申请人' },
        2: { show: false },
        3: { show: true, type: '7', label: '申请人代理人' },
        4: { show: true, type: '4', label: '证人' }
      },
      //  调解协议司法确认
      'TJXYSFQR': {
        0: { show: true, type: '5', required: true, label: '申请人' },
        1: { show: false },
        2: { show: false },
        3: { show: true, type: '7', label: '申请人代理人' },
        4: { show: true, type: '4', label: '证人' }
      },
      //  起诉（行政）
      'XZYS': {
        0: { show: true, type: '0', required: true, label: '原告当事人' },
        1: { show: true, type: '1', required: true, label: '被告当事人' },
        2: { show: true, type: '2', label: '第三人' },
        3: { show: true, type: '3', label: '原告代理人' },
        4: { show: true, type: '4', label: '证人' }
      },
      //     自赔
      'FYXWPCYWJGZP': {
        0: { show: true, type: '16', required: true, label: '赔偿请求人' },
        1: { show: true, type: '17', required: true, label: '赔偿义务机关', initPeopleType: '1', limitSize: 1 },
        2: { show: false, type: '2' },
        3: { show: true, type: '18', label: '代理人' },
        4: { show: false, type: '4' }
      }
    },
    //  第三步-诉讼材料信息配置项
    caseMaterial: {
      '': { pleadings: {}, casePersonIdentifyFiles: {}, evidenceFiles: {}, evidenceFilesOther: {}, casePersonConfirmFiles: {}, otherFiles: {} },
      'undefined': { pleadings: {}, casePersonIdentifyFiles: {}, evidenceFiles: {}, evidenceFilesOther: {}, casePersonConfirmFiles: {}, otherFiles: {} },
      'null': { pleadings: {}, casePersonIdentifyFiles: {}, evidenceFiles: {}, evidenceFilesOther: {}, casePersonConfirmFiles: {}, otherFiles: {} },
      //  起诉
      'MSYS': {
        pleadings: {  title: '起诉状',  materialClassification: '1', materialClassificationName: '起诉状', apply: '原告', applied: '被告', materialName(y,b) { return `${y}诉${b}的起诉状` },casePersonTypeName: { '0': '原告', '1': '被告' }   }, // 起诉状、申请书、国家赔偿申请书
        casePersonIdentifyFiles: { materialClassification: { 0: '2', 1: '3', 2: '17', 3: '18', 4: '19' }, materialClassificationName: { 0: '原告', 1: '被告', 2: '第三人', 3: '原告代理人', 4: '证人' }, require: { 0: true, 1: false, 2: false, 3: true, 4: false } }, // 身份证明材料
        evidenceFiles: { show: true, casePersonTypeName: '原告' }, // 证据材料
        evidenceFilesOther: { show: false, casePersonTypeName: '原告' }, // 证据材料
        casePersonConfirmFiles: { materialClassification: '4', materialClassificationName: '送达地址确认书', casePersonTypeName: '原告' }, // 当事人送达确认书
        otherFiles: { materialType: 'select',casePersonTypeName: { '0': '原告', '1': '被告' } } // 其他材料
      },
      //  宣告死亡
      'XGSZSW': {
        pleadings: { title: '申请书',  materialClassification: '1', materialClassificationName: '申请书', apply: '申请人', applied: '被申请人', materialName(y,b) { return `${y}对${b}的申请书`  }, casePersonTypeName: { '0': '申请人', '1': '被申请人' }    }, // 起诉状、申请书、国家赔偿申请书
        casePersonIdentifyFiles: { title: '身份证明材料',  materialClassification: { 0: '2', 1: '3', 2: '17', 3: '18', 4: '19' }, materialClassificationName: { 0: '申请人', 1: '被申请人', 2: '', 3: '申请人代理人', 4: '证人' }, require: { 0: true, 1: false, 2: false, 3: true, 4: false } }, // 身份证明材料
        evidenceFiles: { show: false, casePersonTypeName: '申请人' }, // 证据材料
        evidenceFilesOther: { show: true, casePersonTypeName: '申请人' }, // 证据材料
        casePersonConfirmFiles: { materialClassification: '4', materialClassificationName: '送达地址确认书', casePersonTypeName: '申请人' }, // 当事人送达确认书
        otherFiles: { materialType: 'input', casePersonTypeName: { '0': '申请人', '1': '被申请人' } } // 其他材料
      },
      //  行为能力认定
      'XWNLRD': {
        pleadings: { title: '申请书',  materialClassification: '1', materialClassificationName: '申请书', apply: '申请人', applied: '被申请人', materialName(y,b) { return `${y}对${b}的申请书`  }, casePersonTypeName: { '0': '申请人', '1': '被申请人' }   }, // 起诉状、申请书、国家赔偿申请书
        casePersonIdentifyFiles: { title: '身份证明材料',  materialClassification: { 0: '2', 1: '3', 2: '17', 3: '18', 4: '19' }, materialClassificationName: { 0: '申请人', 1: '被申请人', 2: '', 3: '申请人代理人', 4: '证人' }, require: { 0: true, 1: false, 2: false, 3: true, 4: false } }, // 身份证明材料
        evidenceFiles: { show: false, casePersonTypeName: '申请人' }, // 证据材料
        evidenceFilesOther: { show: true, casePersonTypeName: '申请人' }, // 证据材料
        casePersonConfirmFiles: { materialClassification: '4', materialClassificationName: '送达地址确认书', casePersonTypeName: '申请人' }, // 当事人送达确认书
        otherFiles: { materialType: 'input', casePersonTypeName: { '0': '申请人', '1': '被申请人' } } // 其他材料
      },
      // 监护关系变更
      'JHGXBG': {
        pleadings: { title: '申请书',  materialClassification: '1', materialClassificationName: '申请书', apply: '起诉人', applied: '被诉监护人', materialName(y,b) { return `${y}对${b}的申请书`  }, casePersonTypeName: { '0': '起诉人', '1': '被诉监护人' }  }, // 起诉状、申请书、国家赔偿申请书
        casePersonIdentifyFiles: { title: '身份证明材料',  materialClassification: { 0: '2', 1: '3', 2: '17', 3: '18', 4: '19' }, materialClassificationName: { 0: '起诉人', 1: '被诉监护人', 2: '', 3: '起诉人代理人', 4: '证人' }, require: { 0: true, 1: false, 2: false, 3: true, 4: false } }, // 身份证明材料
        evidenceFiles: { show: false, casePersonTypeName: '起诉人' }, // 证据材料
        evidenceFilesOther: { show: true, casePersonTypeName: '起诉人' }, // 证据材料
        casePersonConfirmFiles: { materialClassification: '4', materialClassificationName: '送达地址确认书', casePersonTypeName: '起诉人' }, // 当事人送达确认书
        otherFiles: { materialType: 'input', casePersonTypeName: { '0': '起诉人', '1': '被诉监护人' } } // 其他材料
      },
      //  实现物品担保权
      'SXDBWQ': {
        pleadings: { title: '申请书',  materialClassification: '1', materialClassificationName: '申请书', apply: '申请人', applied: '被申请人', materialName(y,b) { return `${y}对${b}的申请书`  }, casePersonTypeName: { '0': '申请人', '1': '被申请人' }  }, // 起诉状、申请书、国家赔偿申请书
        casePersonIdentifyFiles: { title: '身份证明材料',  materialClassification: { 0: '2', 1: '3', 2: '17', 3: '18', 4: '19' }, materialClassificationName: { 0: '申请人', 1: '被申请人', 2: '', 3: '申请人代理人', 4: '证人' }, require: { 0: true, 1: false, 2: false, 3: true, 4: false } }, // 身份证明材料
        evidenceFiles: { show: false, casePersonTypeName: '申请人' }, // 证据材料
        evidenceFilesOther: { show: true, casePersonTypeName: '申请人' }, // 证据材料
        casePersonConfirmFiles: { materialClassification: '4', materialClassificationName: '送达地址确认书', casePersonTypeName: '申请人' }, // 当事人送达确认书
        otherFiles: { materialType: 'input', casePersonTypeName: { '0': '申请人', '1': '被申请人' } } // 其他材料
      },
      //  调解协议司法确认
      'TJXYSFQR': {
        pleadings: { title: '申请书',  materialClassification: '1', materialClassificationName: '申请书', apply: '申请人', materialName(y,b) { return `${y}的申请书`  } ,casePersonTypeName: { '0': '申请人', '1': '被申请人' }   }, // 起诉状、申请书、国家赔偿申请书
        casePersonIdentifyFiles: { title: '身份证明材料',  materialClassification: { 0: '2', 1: '3', 2: '17', 3: '18', 4: '19' }, materialClassificationName: { 0: '申请人', 1: '被申请人', 2: '', 3: '申请人代理人', 4: '证人' }, require: { 0: true, 1: false, 2: false, 3: true, 4: false } }, // 身份证明材料
        evidenceFiles: { show: false, casePersonTypeName: '申请人' }, // 证据材料
        evidenceFilesOther: { show: true, casePersonTypeName: '申请人' }, // 证据材料
        casePersonConfirmFiles: { materialClassification: '4', materialClassificationName: '送达地址确认书', casePersonTypeName: '申请人' }, // 当事人送达确认书
        otherFiles: { materialType: 'input', casePersonTypeName: { '0': '申请人', '1': '被申请人' } } // 其他材料
      },
      //  监护人指定异议
      'JHRZDYY': {
        pleadings: { title: '申请书',  materialClassification: '1', materialClassificationName: '申请书', apply: '异议人', materialName(y,b) { return `${y}的申请书`  }, casePersonTypeName: { '0': '异议人', '1': '被申请人' }   }, // 起诉状、申请书、国家赔偿申请书
        casePersonIdentifyFiles: { title: '身份证明材料',  materialClassification: { 0: '2', 1: '3', 2: '17', 3: '18', 4: '19' }, materialClassificationName: { 0: '异议人', 1: '', 2: '', 3: '异议人代理人', 4: '证人' }, require: { 0: true, 1: false, 2: false, 3: true, 4: false } }, // 身份证明材料
        evidenceFiles: { show: false, casePersonTypeName: '异议人' }, // 证据材料
        evidenceFilesOther: { show: true, casePersonTypeName: '异议人' }, // 证据材料
        casePersonConfirmFiles: { materialClassification: '4', materialClassificationName: '送达地址确认书', casePersonTypeName: '异议人' }, // 当事人送达确认书
        otherFiles: { materialType: 'input', casePersonTypeName: { '0': '异议人', '1': '被申请人' } } // 其他材料
      },
      //  起诉（行政）
      'XZYS': {
        pleadings: { title: '起诉状',  materialClassification: '1', materialClassificationName: '起诉状', apply: '原告', applied: '被告', materialName(y,b) { return `${y}诉${b}的起诉状`  }, casePersonTypeName: { '0': '原告', '1': '被告' }   }, // 起诉状、申请书、国家赔偿申请书
        casePersonIdentifyFiles: { title: '起诉状',  materialClassification: { 0: '2', 1: '3', 2: '17', 3: '18', 4: '19' }, materialClassificationName: { 0: '原告', 1: '被告', 2: '第三人', 3: '原告代理人', 4: '证人' }, require: { 0: true, 1: false, 2: false, 3: true, 4: false } }, // 身份证明材料
        evidenceFiles: { show: false, casePersonTypeName: '原告' }, // 证据材料
        evidenceFilesOther: { show: true, casePersonTypeName: '原告' }, // 证据材料
        casePersonConfirmFiles: { materialClassification: '4', materialClassificationName: '送达地址确认书', casePersonTypeName: '原告' }, // 当事人送达确认书
        otherFiles: { materialType: 'select', casePersonTypeName: { '0': '原告', '1': '被告' }  }, // 其他材料
        normativeFiles: { materialClassification: '22', materialClassificationName: '规范性文件' }
      },
      //     自赔
      'FYXWPCYWJGZP': {
        pleadings: { title: '申请书',  materialClassification: '1', materialClassificationName: '申请书', apply: '赔偿请求人', applied: '赔偿义务机关', materialName(y,b) { return `${y}对${b}的申请书`  }, casePersonTypeName: { '0': '赔偿请求人', '1': '赔偿义务机关' }   }, // 起诉状、申请书、国家赔偿申请书
        casePersonIdentifyFiles: { title: '身份证明材料',  materialClassification: { 0: '2', 1: '3', 2: '17', 3: '18', 4: '19' }, materialClassificationName: { 0: '赔偿请求人', 1: '赔偿义务机关', 2: '', 3: '代理人', 4: '证人' }, require: { 0: true, 1: false, 2: false, 3: true, 4: false } }, // 身份证明材料
        evidenceFiles: { show: false, casePersonTypeName: '赔偿请求人' }, // 证据材料
        evidenceFilesOther: { show: true, casePersonTypeName: '赔偿请求人' }, // 证据材料
        casePersonConfirmFiles: { materialClassification: '4', materialClassificationName: '送达地址确认书', casePersonTypeName: '赔偿请求人' }, // 当事人送达确认书
        otherFiles: { materialType: 'input' ,casePersonTypeName: { '0': '赔偿请求人', '1': '赔偿义务机关' } } // 其他材料
      }
    },
    //  第四步---案件信息配置项
    caseBasic: {
      //  未定义默认不显示
      '': [],
      undefined: [],
      null: [],
      //  起诉
      'MSYS': [
        { validateLabel: '管辖依据', label: '管辖依据', required: false, specialTag: 'jurisdictionalBasis', type: 'string',prop: 'jurisdictionalBasis', labelWidth: '120px'  },
        { validateLabel: '诉讼标的额', label: '诉讼标的额', required: true, specialTag: 'prosecutionAmount', type :'string', prop: 'prosecutionAmount', labelWidth: '120px', rules: [
          { required: true, message: '请输入诉讼标的额', trigger: 'blur' }
          ]  },
        { validateLabel: '请输入诉讼标的额', label: '诉讼请求', required: true, specialTag: 'caims', type :'string', prop: 'caims', labelWidth: '120px', rules: [
            { required: true, message: '请输入诉讼请求', trigger: 'blur' },
            { min: 20, message: '诉讼需控制在20-200字之间', trigger: 'blur' }
        ]}
      ],
      //  宣告死亡
      'XGSZSW': [
        { validateLabel: '证据', required: true, specialTag: 'evidenceFilesOther', type: 'array', prop: 'evidenceFilesOther' },
        { validateLabel: '原宣告案件案号', required: false, specialTag: 'announcedCaseNo', type :'string', prop: 'announcedCaseNo' },
        { validateLabel: '申请情况', required: false, specialTag: 'conditionApplyPersonType', type :'string', prop: 'conditionApplyPersonType' },
      ],
      // 行为能力认定
      'XWNLRD': [
        { validateLabel: '证据', required: true, specialTag: 'evidenceFilesOther', prop: 'evidenceFilesOther', type: 'array' },
        { validateLabel: '原认定案件案号', required: false, specialTag: 'originalCaseNumber', type :'string', prop: 'originalCaseNumber' },
      ],
      // 监护关系变更
      'JHGXBG': [
        { validateLabel: '证据', required: true, specialTag: 'evidenceFilesOther', prop: 'evidenceFilesOther',  type: 'array' }
      ],
      // 实现物品担保权
      'SXDBWQ': [
        { validateLabel: '证据', required: true, specialTag: 'evidenceFilesOther', type: 'array', prop: 'evidenceFilesOther' },
        { validateLabel: '担保债权数额', required: false, specialTag: 'amountDebtSecured', type: 'string', prop: 'amountDebtSecured' }
      ],
      // 调解协议司法确认
      'TJXYSFQR': [
        { validateLabel: '证据', required: true, specialTag: 'evidenceFilesOther', type: 'array', prop: 'evidenceFilesOther' },
        { validateLabel: '调解协议签订日期', required: false, specialTag: 'agreementDate', type: 'select', prop: 'agreementDate' },
        { validateLabel: '调解案件案号', required: false, specialTag: 'mediationCaseNo', type: 'string', prop: 'mediationCaseNo' }
      ],
      // 监护人指定异议
      'JHRZDYY': [
        { validateLabel: '证据', required: true, specialTag: 'evidenceFilesOther', type: 'array', prop: 'evidenceFilesOther' }
      ],
      //  起诉(行政)
      'XZYS': [
        { validateLabel: '证据', required: true, specialTag: 'evidenceFilesOther', type: 'array', prop: 'evidenceFilesOther' },
        { validateLabel: '规范性文件审查', required: false, specialTag: 'normativeFiles', type: 'array', prop: 'normativeFiles' }
      ],
      //   自赔
      'FYXWPCYWJGZP': [
        { validateLabel: '证据', required: true, specialTag: 'evidenceFilesOther', type: 'array', prop: 'evidenceFilesOther' },
        { validateLabel: '法律依据', required: true, specialTag: 'legalBasis', type: 'string', prop: 'legalBasis' },
        { validateLabel: '申请损害赔偿信息', required: false, specialTag: 'compensateForDamageApply', type: 'array', prop: 'compensateForDamageApply' }
      ]
    },
    //  当事人信息修改来改变后方的材料及信息驱动配置
    updateByCasePerson: {
      '': { 0: [], 1: [], 2: [], 3: [], 4: [] },
      undefined: { 0: [], 1: [], 2: [], 3: [], 4: [] },
      null: { 0: [], 1: [], 2: [], 3: [], 4: [] },
      // 民事起诉
      'MSYS': {
        0: [ 'updatePleadingFiles', 'updateIdentifyFiles' ,'updateEvidenceFiles' ,'updateConfirmFiles' ,'updateOtherFiles', 'updateAgentJson', 'updateWitnessJson'],
        1: [ 'updatePleadingFiles', 'updateIdentifyFiles'],
        2: [ 'updateIdentifyFiles'],
        3: [ 'updateIdentifyFiles'],
        4: [ 'updateIdentifyFiles']
      },
      'XGSZSW': {
        0: [ 'updatePleadingFiles', 'updateIdentifyFiles' ,'updateEvidenceFilesOther' ,'updateConfirmFiles' ,'updateOtherFiles', 'updateAgentJson', 'updateWitnessJson'],
        1: [ 'updatePleadingFiles', 'updateIdentifyFiles'],
        3: [ 'updateIdentifyFiles' ],
        4: [ 'updateIdentifyFiles']
      },
      'XWNLRD': {
        0: [ 'updatePleadingFiles', 'updateIdentifyFiles' ,'updateEvidenceFilesOther' ,'updateConfirmFiles' ,'updateOtherFiles', 'updateAgentJson', 'updateWitnessJson'],
        1: [ 'updatePleadingFiles', 'updateIdentifyFiles'],
        3: [ 'updateIdentifyFiles' ],
        4: [ 'updateIdentifyFiles']
      },
      'JHGXBG': {
        0: [ 'updatePleadingFiles', 'updateIdentifyFiles' ,'updateEvidenceFilesOther' ,'updateConfirmFiles' ,'updateOtherFiles', 'updateAgentJson', 'updateWitnessJson'],
        1: [ 'updatePleadingFiles', 'updateIdentifyFiles'],
        3: [ 'updateIdentifyFiles' ],
        4: [ 'updateIdentifyFiles']
      },
      'SXDBWQ': {
        0: [ 'updatePleadingFiles', 'updateIdentifyFiles' ,'updateEvidenceFilesOther' ,'updateConfirmFiles' ,'updateOtherFiles', 'updateAgentJson', 'updateWitnessJson'],
        1: [ 'updatePleadingFiles', 'updateIdentifyFiles'],
        3: [ 'updateIdentifyFiles' ],
        4: [ 'updateIdentifyFiles']
      },
      'TJXYSFQR': {
        0: [ 'updatePleadingFiles', 'updateIdentifyFiles' ,'updateEvidenceFilesOther' ,'updateConfirmFiles' ,'updateOtherFiles', 'updateAgentJson', 'updateWitnessJson'],
        1: [ 'updatePleadingFiles', 'updateIdentifyFiles'],
        3: [ 'updateIdentifyFiles' ],
        4: [ 'updateIdentifyFiles']
      },
      'JHRZDYY': {
        0: [ 'updatePleadingFiles', 'updateIdentifyFiles' ,'updateEvidenceFilesOther' ,'updateConfirmFiles' ,'updateOtherFiles', 'updateAgentJson', 'updateWitnessJson'],
        1: [ 'updatePleadingFiles', 'updateIdentifyFiles'],
        3: [ 'updateIdentifyFiles' ],
        4: [ 'updateIdentifyFiles']
      },
      // 行政起诉
      'XZYS': {
        0: [ 'updatePleadingFiles', 'updateIdentifyFiles' ,'updateEvidenceFilesOther' ,'updateConfirmFiles' ,'updateOtherFiles', 'updateAgentJson', 'updateWitnessJson', 'updateEvidences', 'updateNormalFileCheck'],
        1: [ 'updatePleadingFiles', 'updateIdentifyFiles'],
        2: [ 'updateIdentifyFiles'],
        3: [ 'updateIdentifyFiles' ],
        4: [ 'updateIdentifyFiles']
      },
      //  自赔
      'FYXWPCYWJGZP': {
        0: [ 'updatePleadingFiles', 'updateIdentifyFiles' ,'updateEvidenceFilesOther' ,'updateConfirmFiles' ,'updateOtherFiles', 'updateAgentJson', 'updateWitnessJson', 'updateEvidences'],
        1: [ 'updatePleadingFiles', 'updateIdentifyFiles'],
        3: [ 'updateIdentifyFiles' ],
        4: [ 'updateIdentifyFiles']
      }
    },
    caseStepValidate: {
      'MSYS': { 3: 'requiredFiles', 4: 'requireCaseBasic' },
      'XGSZSW': { 3: 'requireCaseBasic', 4: 'requiredFiles' },
      'XWNLRD': { 3: 'requireCaseBasic', 4: 'requiredFiles' },
      'JHGXBG': { 3: 'requireCaseBasic', 4: 'requiredFiles' },
      'SXDBWQ': { 3: 'requireCaseBasic', 4: 'requiredFiles' },
      'TJXYSFQR': { 3: 'requireCaseBasic', 4: 'requiredFiles' },
      'JHRZDYY': { 3: 'requireCaseBasic', 4: 'requiredFiles' },
      'XZYS': { 3: 'requireCaseBasic', 4: 'requiredFiles' },
      'FYXWPCYWJGZP': { 3: 'requireCaseBasic', 4: 'requiredFiles' }
    },
    caseFileRequires: {
      // 民事一审
      'MSYS': [
        function () { return this.form.pleadings.length ? true : '请添加起诉状'},
        function() {
          return !this.form.casePersonIdentifyFiles.filter(item => item.isRequired && !item.ossInfoId).length ? true : '请上传必要的当事人身份证明材料'
        },
        function () {
          return this.form.evidenceFiles.length ? true : '请添加证据材料'
        },
        function () {
          return !this.form.evidenceFiles.filter(item => item.isRequired && !item.ossInfoId).length ? true : '请上传证据材料清单'
        },
        function () {
          return this.form.evidenceFiles.filter(item => item.materialName === '证据材料' && item.ossInfoId).length ? true: '请添加证据材料'
        },
        function () {
          return !this.form.casePersonConfirmFiles.filter(item => item.isRequired && !item.ossInfoId).length ? true : '请上传必要的当事人送达地址确认书'
        }
      ],
      // 宣告死亡
      'XGSZSW': [
        function () { return this.form.pleadings.length ? true : '请添加申请书'},
        function() {
          return !this.form.casePersonIdentifyFiles.filter(item => item.isRequired && !item.ossInfoId).length ? true : '请上传必要的当事人身份证明材料'
        },
        function () {
          return !this.form.evidenceFilesOther.filter(item => item.isRequired && !item.ossInfoId).length ? true : '请上传必要的证据材料'
        },
        function () {
          return !this.form.casePersonConfirmFiles.filter(item => item.isRequired && !item.ossInfoId).length ? true : '请上传必要的当事人送达地址确认书'
        }
      ],
      // 行为能力认定
      'XWNLRD': [
        function () { return this.form.pleadings.length ? true : '请添加申请书'},
        function() {
          return !this.form.casePersonIdentifyFiles.filter(item => item.isRequired && !item.ossInfoId).length ? true : '请上传必要的当事人身份证明材料'
        },
        function () {
          return !this.form.evidenceFilesOther.filter(item => item.isRequired && !item.ossInfoId).length ? true : '请上传必要的证据材料'
        },
        function () {
          return !this.form.casePersonConfirmFiles.filter(item => item.isRequired && !item.ossInfoId).length ? true : '请上传必要的当事人送达地址确认书'
        }
      ],
      // 监护关系变更
      'JHGXBG': [
        function () { return this.form.pleadings.length ? true : '请添加申请书'},
        function() {
          return !this.form.casePersonIdentifyFiles.filter(item => item.isRequired && !item.ossInfoId).length ? true : '请上传必要的当事人身份证明材料'
        },
        function () {
          return !this.form.evidenceFilesOther.filter(item => item.isRequired && !item.ossInfoId).length ? true : '请上传必要的证据材料'
        },
        function () {
          return !this.form.casePersonConfirmFiles.filter(item => item.isRequired && !item.ossInfoId).length ? true : '请上传必要的当事人送达地址确认书'
        }
      ],
      // 实现物品担保权
      'SXDBWQ': [
        function () { return this.form.pleadings.length ? true : '请添加申请书'},
        function() {
          return !this.form.casePersonIdentifyFiles.filter(item => item.isRequired && !item.ossInfoId).length ? true : '请上传必要的当事人身份证明材料'
        },
        function () {
          return !this.form.evidenceFilesOther.filter(item => item.isRequired && !item.ossInfoId).length ? true : '请上传必要的证据材料'
        },
        function () {
          return !this.form.casePersonConfirmFiles.filter(item => item.isRequired && !item.ossInfoId).length ? true : '请上传必要的当事人送达地址确认书'
        }
      ],
      // 调解协议司法确认
      'TJXYSFQR': [
        function () { return this.form.pleadings.length ? true : '请添加申请书'},
        function() {
          return !this.form.casePersonIdentifyFiles.filter(item => item.isRequired && !item.ossInfoId).length ? true : '请上传必要的当事人身份证明材料'
        },
        function () {
          return !this.form.evidenceFilesOther.filter(item => item.isRequired && !item.ossInfoId).length ? true : '请上传必要的证据材料'
        },
        function () {
          return !this.form.casePersonConfirmFiles.filter(item => item.isRequired && !item.ossInfoId).length ? true : '请上传必要的当事人送达地址确认书'
        }
      ],
      // 监护人指定异议
      'JHRZDYY': [
        function () { return this.form.pleadings.length ? true : '请添加申请书'},
        function() {
          return !this.form.casePersonIdentifyFiles.filter(item => item.isRequired && !item.ossInfoId).length ? true : '请上传必要的当事人身份证明材料'
        },
        function () {
          return !this.form.evidenceFilesOther.filter(item => item.isRequired && !item.ossInfoId).length ? true : '请上传必要的证据材料'
        },
        function () {
          return !this.form.casePersonConfirmFiles.filter(item => item.isRequired && !item.ossInfoId).length ? true : '请上传必要的当事人送达地址确认书'
        }
      ],
      // 行政起诉
      'XZYS': [
        function () { return this.form.pleadings.length ? true : '请添加起诉状'},
        function() {
          return !this.form.casePersonIdentifyFiles.filter(item => item.isRequired && !item.ossInfoId).length ? true : '请上传必要的当事人身份证明材料'
        },
        function () {
          return !this.form.evidenceFilesOther.filter(item => item.isRequired && !item.ossInfoId).length ? true : '请上传必要的证据材料'
        },
        function () {
          return !this.form.casePersonConfirmFiles.filter(item => item.isRequired && !item.ossInfoId).length ? true : '请上传必要的当事人送达地址确认书'
        },
        function () {
          return !this.form.normativeFiles.filter(item => item.isRequired && !item.ossInfoId).length ? true : '请上传必要的规范性文件'
        }
      ],
      //  自赔
      'FYXWPCYWJGZP': [
        function () { return this.form.pleadings.length ? true : '请添加申请书'},
        function() {
          return !this.form.casePersonIdentifyFiles.filter(item => item.isRequired && !item.ossInfoId).length ? true : '请上传必要的当事人身份证明材料'
        },
        function () {
          return !this.form.evidenceFilesOther.filter(item => item.isRequired && !item.ossInfoId).length ? true : '请上传必要的证据材料'
        },
        function () {
          return !this.form.casePersonConfirmFiles.filter(item => item.isRequired && !item.ossInfoId).length ? true : '请上传必要的当事人送达地址确认书'
        }
      ]
    },
    //  申请类型不同对应的步骤
    caseSteps: {
      '': [],
      undefined: [],
      null: [],
      // 民事一审
      'MSYS': [
        {
          title: '材料上传', keys: [
            { prop: 'fileUploadTip' },
            { prop: 'pleadings' },
            { prop: 'casePersonIdentifyFiles' },
            { prop: 'evidenceFiles' },
            { prop: 'evidenceFilesOther' },
            { prop: 'casePersonConfirmFiles' },
            { prop: 'otherFiles' },
            { prop: 'normativeFiles'}
          ],
          activeIcon: './suitStatic/image/case-upload--active.png',
          defaultIcon: './suitStatic/image/case-upload.png'
        },
        {
          title: '案件信息', keys: [ { validateLabel: '管辖依据', label: '管辖依据', required: false, specialTag: 'jurisdictionalBasis', type: 'string',prop: 'jurisdictionalBasis', labelWidth: '120px'  },
            { validateLabel: '诉讼标的额', label: '诉讼标的额', required: true, specialTag: 'prosecutionAmount', type :'string', prop: 'prosecutionAmount', labelWidth: '120px', rules: [
                { required: true, message: '请输入诉讼标的额', trigger: 'blur' }
              ]  },
            { validateLabel: '请输入诉讼标的额', label: '诉讼请求', required: true, specialTag: 'caims', type :'string', prop: 'caims', customClass: 'el-form-item__isTextArea', labelWidth: '120px', rules: [
                { required: true, message: '请输入诉讼请求', trigger: 'blur' },
                { min: 20, message: '诉讼需控制在20-200字之间', trigger: 'blur' }
              ]}],
          bodyStyle: { padding: '30px 70px', border: '1px solid #efefef' },
          activeIcon: './suitStatic/image/case-info--active.png',
          defaultIcon: './suitStatic/image/case-info.png'
        }
      ],
      // 宣告死亡
      'XGSZSW': [
        {
          title: '案件信息', keys: [
            { validateLabel: '证据', required: true, specialTag: 'evidences', type: 'array', prop: 'evidences' },
            { validateLabel: '原宣告案件案号', required: false, specialTag: 'announcedCaseNo', type :'string', prop: 'announcedCaseNo' },
            { validateLabel: '申请情况', required: false, specialTag: 'applyCondition', type :'array', prop: 'applyCondition' },
          ],
          activeIcon: './suitStatic/image/case-info--active.png',
          defaultIcon: './suitStatic/image/case-info.png'
        },
        {
          title: '材料上传', keys: [
            { prop: 'fileUploadTip' },
            { prop: 'pleadings' },
            { prop: 'casePersonIdentifyFiles' },
            { prop: 'evidenceFiles' },
            { prop: 'evidenceFilesOther' },
            { prop: 'casePersonConfirmFiles' },
            { prop: 'otherFiles' },
            { prop: 'normativeFiles'}
          ],
          activeIcon: './suitStatic/image/case-upload--active.png',
          defaultIcon: './suitStatic/image/case-upload.png'
        }
      ],
      // 行为能力认定
      'XWNLRD': [
        {
          title: '案件信息', keys: [
            { validateLabel: '证据', required: true, specialTag: 'evidences', prop: 'evidences', type: 'array' },
            { validateLabel: '原认定案件案号', required: false, specialTag: 'originalCaseNumber', type :'string', prop: 'originalCaseNumber' },
          ],
          activeIcon: './suitStatic/image/case-info--active.png',
          defaultIcon: './suitStatic/image/case-info.png'
        },
        {
          title: '材料上传', keys: [
            { prop: 'fileUploadTip' },
            { prop: 'pleadings' },
            { prop: 'casePersonIdentifyFiles' },
            { prop: 'evidenceFiles' },
            { prop: 'evidenceFilesOther' },
            { prop: 'casePersonConfirmFiles' },
            { prop: 'otherFiles' },
            { prop: 'normativeFiles'}
          ],
          activeIcon: './suitStatic/image/case-upload--active.png',
          defaultIcon: './suitStatic/image/case-upload.png'
        }
      ],
      // 监护关系变更
      'JHGXBG': [
        {
          title: '案件信息', keys: [
            { validateLabel: '证据', required: true, specialTag: 'evidences', prop: 'evidences',  type: 'array' }
          ],
          activeIcon: './suitStatic/image/case-info--active.png',
          defaultIcon: './suitStatic/image/case-info.png'
        },
        {
          title: '材料上传', keys: [
            { prop: 'fileUploadTip' },
            { prop: 'pleadings' },
            { prop: 'casePersonIdentifyFiles' },
            { prop: 'evidenceFiles' },
            { prop: 'evidenceFilesOther' },
            { prop: 'casePersonConfirmFiles' },
            { prop: 'otherFiles' },
            { prop: 'normativeFiles'}
          ],
          activeIcon: './suitStatic/image/case-upload--active.png',
          defaultIcon: './suitStatic/image/case-upload.png'
        }
      ],
      // 实现物品担保权
      'SXDBWQ':[
        {
          title: '案件信息', keys: [
            { validateLabel: '证据', required: true, specialTag: 'evidences', type: 'array', prop: 'evidences' },
            { validateLabel: '担保债权数额', required: false, specialTag: 'amountDebtSecured', type: 'string', prop: 'amountDebtSecured' }
          ],
          activeIcon: './suitStatic/image/case-info--active.png',
          defaultIcon: './suitStatic/image/case-info.png'
        },
        {
          title: '材料上传', keys: [
            { prop: 'fileUploadTip' },
            { prop: 'pleadings' },
            { prop: 'casePersonIdentifyFiles' },
            { prop: 'evidenceFiles' },
            { prop: 'evidenceFilesOther' },
            { prop: 'casePersonConfirmFiles' },
            { prop: 'otherFiles' },
            { prop: 'normativeFiles'}
          ],
          activeIcon: './suitStatic/image/case-upload--active.png',
          defaultIcon: './suitStatic/image/case-upload.png'
        }
      ],
      // 调解协议司法确认
      'TJXYSFQR': [
        {
          title: '案件信息', keys: [
            { validateLabel: '证据', required: true, specialTag: 'evidences', type: 'array', prop: 'evidences' },
            { validateLabel: '调解协议签订日期', required: false, specialTag: 'agreementDate', type: 'select', prop: 'agreementDate' },
            { validateLabel: '调解案件案号', required: false, specialTag: 'mediationCaseNo', type: 'string', prop: 'mediationCaseNo' }
          ],
          activeIcon: './suitStatic/image/case-info--active.png',
          defaultIcon: './suitStatic/image/case-info.png'
        },
        {
          title: '材料上传', keys: [
            { prop: 'fileUploadTip' },
            { prop: 'pleadings' },
            { prop: 'casePersonIdentifyFiles' },
            { prop: 'evidenceFiles' },
            { prop: 'evidenceFilesOther' },
            { prop: 'casePersonConfirmFiles' },
            { prop: 'otherFiles' },
            { prop: 'normativeFiles'}
          ],
          activeIcon: './suitStatic/image/case-upload--active.png',
          defaultIcon: './suitStatic/image/case-upload.png'
        }
      ],
      // 监护人指定异议
      'JHRZDYY': [
        {
          title: '案件信息', keys: [
            { validateLabel: '证据', required: true, specialTag: 'evidences', type: 'array', prop: 'evidences' }
        ],
          activeIcon: './suitStatic/image/case-info--active.png',
          defaultIcon: './suitStatic/image/case-info.png'
        },
        {
          title: '材料上传', keys: [
            { prop: 'fileUploadTip' },
            { prop: 'pleadings' },
            { prop: 'casePersonIdentifyFiles' },
            { prop: 'evidenceFiles' },
            { prop: 'evidenceFilesOther' },
            { prop: 'casePersonConfirmFiles' },
            { prop: 'otherFiles' },
            { prop: 'normativeFiles'}
          ],
          activeIcon: './suitStatic/image/case-upload--active.png',
          defaultIcon: './suitStatic/image/case-upload.png'
        }
      ],
      // 行政起诉
      'XZYS': [
        {
          title: '案件信息', keys: [
            { validateLabel: '证据', required: true, specialTag: 'evidences', type: 'array', prop: 'evidences' },
            { validateLabel: '规范性文件审查', required: false, specialTag: 'normativeFilesCheck', type: 'array', prop: 'normativeFilesCheck' }
          ],
          activeIcon: './suitStatic/image/case-info--active.png',
          defaultIcon: './suitStatic/image/case-info.png'
        },
        {
          title: '材料上传', keys: [
            { prop: 'fileUploadTip' },
            { prop: 'pleadings' },
            { prop: 'casePersonIdentifyFiles' },
            { prop: 'evidenceFiles' },
            { prop: 'evidenceFilesOther' },
            { prop: 'casePersonConfirmFiles' },
            { prop: 'otherFiles' },
            { prop: 'normativeFiles'}
          ],
          activeIcon: './suitStatic/image/case-upload--active.png',
          defaultIcon: './suitStatic/image/case-upload.png'
        }
      ],
      //  自赔
      'FYXWPCYWJGZP': [
        {
          title: '案件信息', keys: [
            { validateLabel: '证据', required: true, specialTag: 'evidences', type: 'array', prop: 'evidences' },
            { validateLabel: '法律依据', required: true, specialTag: 'legalBasis', type: 'string', prop: 'legalBasis' },
            { validateLabel: '申请损害赔偿信息', required: false, specialTag: 'compensateForDamageApply', type: 'array', prop: 'compensateForDamageApply' }
          ],
          activeIcon: './suitStatic/image/case-info--active.png',
          defaultIcon: './suitStatic/image/case-info.png'
        },
        {
          title: '材料上传', keys: [
            { prop: 'fileUploadTip' },
            { prop: 'pleadings' },
            { prop: 'casePersonIdentifyFiles' },
            { prop: 'evidenceFiles' },
            { prop: 'evidenceFilesOther' },
            { prop: 'casePersonConfirmFiles' },
            { prop: 'otherFiles' },
            { prop: 'normativeFiles'}
          ],
          activeIcon: './suitStatic/image/case-upload--active.png',
          defaultIcon: './suitStatic/image/case-upload.png'
        }
      ],
    }
  }
}
