// 适合表单项比较多的模板 节省性能
// 监听form的属性变化 设置iframe高度
class NodeListener {
  constructor(target, config, interval) {
    // 坚挺的目标节点
    this.target = document.querySelector(target) || document.body
    // 监听的配置
    this.config = config || { attributes: true, childList: true, subtree: true }
    // 每次监听执行时，下一次监听执行的等待间隔  默认0.2秒
    this.await = false
    this.interval = interval || 100
  }
  start() {
    const MutationObserver =
      window.MutationObserver ||
      window.WebKitMutationObserver ||
      window.MozMutationObserver
    this.observe = new MutationObserver((mutationsList, observer) => {
      if (this.await) {
        // console.warn(`Nodelistener change methods need ${this.interval}ms interval`)
        return
      }
      this.await = true
      this.onchange && this.onchange(mutationsList, observer)
      setTimeout(() => {
        this.await = false
      }, this.interval)
    })
    this.observe.observe(this.target, this.config)
  }
  destroy() {
    try {
      this.observe.disconnect()
    } catch (e) {
      throw 'no nodeListener useable'
    } finally {
      this.observe = null
    }
  }
}
