function sleep(time) {
  return new Promise(resolve => {
    setTimeout(() => {
      resolve()
    },time)
  })
}
const scrollToFirstError = function (Vue) {
    Vue.$nextTick(() => {
      // 锚点 scrollIntoView 方法
      const target = document.createElement('a')
      target.style.position = 'absolute'
      target.style.top = '-60px' // 减去头部定位的60px高度
      const targetClass = 'el-form-item__error' // 需要滚动到容器class
      const firstErrorItem = document.querySelector(`.${targetClass}`)
      if (!firstErrorItem) {
        return
      }
      // 插入 目标锚点
      firstErrorItem.parentNode.appendChild(target)
      // 查询input
      const inputFirst = firstErrorItem.parentNode.querySelector('input')
      if (inputFirst) {
        // 设置监听事件
        const scrollStart = function() {
          sleep(1).then(() => { target.scrollIntoView() })
        }
        // input只读并且 可编辑 触发点击事件
        if (inputFirst.readOnly && !inputFirst.disabled) {
          // 加入监听事件
          inputFirst.addEventListener('click', scrollStart, {
            once: true
          })
          inputFirst.click()
          // 点击后马上移除 防止 再次点击时 滚动
          // inputFirst.removeEventListener('click', scrollStart)
          // 不只读并且可输入 触发聚焦事件
        } else if (!inputFirst.readOnly && !inputFirst.disabled) {
          // 加入监听事件
          inputFirst.addEventListener('focus', scrollStart, {
            once: true
          })
          inputFirst.focus()
          // 点击后马上移除 防止 再次点击时 滚动
          // inputFirst.removeEventListener('focus', scrollStart)
        } else {
          target.scrollIntoView({
            behavior: "smooth"
          })
        }
      } else {
        target.scrollIntoView({
          behavior: "smooth"
        })
      }
      sleep(300).then(() => { firstErrorItem.parentNode.removeChild(target) })
    })
}
const ScrollError = {
  sleep,
  scrollToFirstError
}
