const CasePersonForm = {
    name: 'CasePersonForm',
    props: {
      type: {
          type: String,
          default: '0'
      },
      show: {
          type: Boolean,
          default: false
      },
      value: {
          type: Object,
          default: () => { return {} }
      },
      options: {
          type: Object,
          default: () => { return {} }
      },
      openType: {
          type: String,
          default: 'add'
      }
    },
    template: `
        <nav-page-popup v-model="show" @open="setValue" :title="typeName[type]" :left-click="closeModel">
           <van-form ref="casePersonForm" id="casePersonFormPublic" :key="show"  style="height: auto"  input-align="right"  validate-first scroll-to-error>
<!--           当事人类型-->
                <template v-if="visible('peopleType')">
                  <van-tabs v-if="!is('detail')" v-model="form.peopleType" @change="clearFormAndValidate" background="#f4f4f4" color="#018BE8">
                    <van-tab :disabled="is('detail')" name="0" title="自然人"></van-tab>
                    <van-tab :disabled="is('detail')" name="1" title="法人"></van-tab>
                    <van-tab :disabled="is('detail')" name="2" title="非法人组织"></van-tab>
                  </van-tabs>
                  <van-field
                    v-else
                    :value="{ '0': '自然人', '1': '法人', '2': '非法人组织' }[form.peopleType]"
                    readonly
                    label="当事人类型"
                    placeholder="-"
                  >

                  </van-field>
                </template>
<!--                特殊字段-->
<!--              申请人类型--能力认定-->
                <van-field
                  v-if="visible('applyPersonTypePowerIdentify')"
                  :rules="[{ required: requiredRules[type].applyPersonType || false, message: '请选择申请人类型' }]"
                  v-model="form.applyPersonTypeName"
                  name="applyPersonTypeName"
                  readonly
                  @click.stop="onPublicRadioSelect({
                     type: 'applyPersonTypePowerIdentify',
                     label: 'label',
                     title: '申请人类型',
                     map: { 'applyPersonType': 'value', 'applyPersonTypeName': 'label' }
                  })"
                  label="申请人类型"
                  :right-icon="getRightIcon"
                  :placeholder="getPlaceHolderEntry('请选择申请人类型')"
                  :required="getRequired('applyPersonType')"
                ></van-field>
<!--                申请人类型====物品担保权-->
                <van-field
                  v-if="visible('applyPersonTypeItem')"
                  :rules="[{ required: requiredRules[type].applyPersonType || false, message: '请选择申请人类型' }]"
                  v-model="form.applyPersonTypeName"
                  name="applyPersonTypeName"
                  readonly
                  @click.stop="onPublicRadioSelect({
                     type: 'applyPersonTypeItem',
                     label: 'label',
                     title: '申请人类型',
                     map: { 'applyPersonType': 'value', 'applyPersonTypeName': 'label' }
                  })"
                  label="申请人类型"
                  :right-icon="getRightIcon"
                  :placeholder="getPlaceHolderEntry('请选择申请人类型')"
                  :required="getRequired('applyPersonType')"
                ></van-field>
<!--               当事人类型--申请人类型-- 自赔-->
                <van-field
                  v-if="visible('applyPersonTypeFromCourt')"
                  :rules="[{ required: requiredRules[type].applyPersonType || false, message: '请选择申请人类型' }]"
                  v-model="form.applyPersonTypeName"
                  name="applyPersonTypeName"
                  readonly
                  @click.stop="onPublicRadioSelect({
                     type: 'applyPersonTypeFromCourt',
                     label: 'label',
                     title: '申请人类型',
                     map: { 'applyPersonType': 'value', 'applyPersonTypeName': 'label' }
                  })"
                  label="申请人类型"
                  :right-icon="getRightIcon"
                  :placeholder="getPlaceHolderEntry('请选择申请人类型')"
                  :required="getRequired('applyPersonType')"
                ></van-field>
<!--                被申请人====申请事项-->
                <van-field
                  v-if="visible('applyMatterPowerIdentify')"
                  :rules="[{ required: requiredRules[type].applyMatter || false, message: '请选择申请事项' }]"
                  v-model="form.applyMatterName"
                  name="applyMatterName"
                  readonly
                  @click.stop="onPublicRadioSelect({
                     type: 'applyMatterPowerIdentify',
                     label: 'label',
                     title: '申请事项',
                     map: { 'applyMatter': 'value', 'applyMatterName': 'label' }
                  })"
                  label="申请事项"
                  :right-icon="getRightIcon"
                  :placeholder="getPlaceHolderEntry('请选择申请事项')"
                  :required="getRequired('applyMatter')"
                ></van-field>
<!--               起诉类型 -->
                <van-field
                  v-if="visible('prosecutionType')"
                  :rules="[{ required: requiredRules[type].prosecutionType || false, message: '请选择起诉类型' }]"
                  v-model="form.prosecutionTypeName"
                  name="prosecutionType"
                  readonly
                  @click.stop="onPublicRadioSelect({
                     type: 'prosecutionType',
                     label: 'label',
                     title: '起诉类型',
                     map: { 'prosecutionType': 'value', 'prosecutionTypeName': 'label' }
                  })"
                  label="起诉类型"
                  :right-icon="getRightIcon"
                  :placeholder="getPlaceHolderEntry('请选择起诉类型')"
                  :required="getRequired('prosecutionType')"
                ></van-field>
<!--               代理人---代理人类型 -->
                <van-field
                  v-if="visible('agentType')"
                  :rules="[{ required: requiredRules[type].agentType || false, message: '请选择代理人类型' }]"
                  v-model="form.agentTypeName"
                  name="agentTypeName"
                  readonly
                  @click.stop="onPublicRadioSelect({
                     type: 'agentType',
                     label: 'label',
                     title: '代理人类型',
                     map: { 'agentType': 'value', 'agentTypeName': 'label' }
                  })"
                  label="代理人类型"
                  :right-icon="getRightIcon"
                  :placeholder="getPlaceHolderEntry('请选择代理人类型')"
                  :required="getRequired('agentType')"
                ></van-field>
<!--             自然人-->
                <template v-if="form.peopleType !== '1' && form.peopleType !== '2'">
<!--                自然人姓名-->
                    <van-field
                            v-if="visible('name')"
                            :rules="[
                              { required: requiredRules[type].name || false, message: getPlaceHolder('输入', '', '姓名'), trigger: 'onSubmit' },
                              { validator: validateRuleName, message: typeName[type] + '姓名必须为2到16位中英文', trigger: 'onSubmit' }
                            ]"
                            name="name"
                            v-model="form.name"
                            :label="typeName[type] + '姓名'"
                            :formatter="handleName"
                            maxlength="16"
                            :placeholder="getPlaceHolderEntry(getPlaceHolder('输入', '', '姓名'))"
                            :readonly="is('detail')"
                            :required="getRequired('name')"
                            >
                    </van-field>
<!--                    自然人手机号-->
                    <van-field
                            v-if="visible('mobilePhone')"
                            :rules="[
                               { required: requiredRules[type].mobilePhone || false, message: getPlaceHolder('输入', '', '手机号') },
                               { validator: validateMPhoneNumber, message: '手机号码格式不正确' }
                            ]"
                            type="digit"
                            maxlength="11"
                            name="mobilePhone"
                            v-model="form.mobilePhone"
                            label="手机号码"
                            :placeholder="getPlaceHolderEntry(getPlaceHolder('输入', '', '手机号'))"
                            :readonly="is('detail')"
                            :required="getRequired('name')"
                            :border="form.type !== '3' && form.type !== '4'"
                            >
                    </van-field>
<!--                    代理人被代理人-->
<!--                被代理人  -->
                  <div style="margin: var(--13pxToRem) 0" v-if="visible('belongToPlantiffAgent')">
                      <van-field
                              label="被代理人"
                              :required="!is('detail')"
                              name="belongToPlantiff"
                              :border="false"
                              :rules="[{ validator: () => form.belongToPlantiff.length > 0, message: '请至少选择一位被代理人' }]"
                      >
                          <div slot="input"></div>
                      </van-field>
                      <van-field
                              label-width="0"
                              input-align="left"
                               class="multi-cell"
                      >
                          <template slot="input">
                            <van-checkbox-group
                               v-if="getPlaintiffPersons.length > 0"
                               @change="setCasePersonIdentify"
                                style="width: 100%"
                                v-model="form.belongToPlantiff"
                            >
                                  <div class="radio-cell" v-for="item in getPlaintiffPersons" :key="item.pid">
                                      <van-checkbox :disabled="limitSelect(item) || is('detail')" shape="round" icon-size="0.95rem" :name="item.pid" >
                                          <div class="radio-cell--name">
                                              {{ item.name }}
                                          </div>
                                      </van-checkbox>
                                  </div>
                            </van-checkbox-group>
                            <div v-else class="empty-tips-center">
                               请先新增当事人
                            </div>
                          </template>
                      </van-field>
                  </div>
<!--                  证人有立方-->
                  <div style="margin: var(--13pxToRem) 0" v-if="visible('belongToPlantiffWitness')">
                      <van-field
                              label="证人有利方"
                              name="belongToPlantiff"
                              :border="false"
                      >
                          <div slot="input"></div>
                      </van-field>

                      <van-field
                              label-width="0"
                              input-align="left"
                              class="multi-cell"
                      >
                          <template slot="input">
                              <van-checkbox-group
                                v-if="getPlaintiffPersons.length > 0"
                                @change="setCasePersonIdentify"
                                style="width: 100%"
                                v-model="form.belongToPlantiff"
                              >
                                  <div class="radio-cell" v-for="item in getPlaintiffPersons" :key="item.pid">
                                      <van-checkbox :disabled="is('detail')" shape="round" icon-size="0.95rem" :name="item.pid" >
                                        <div class="radio-cell--name">
                                          {{ item.name }}
                                        </div>
                                      </van-checkbox>
                                  </div>
                              </van-checkbox-group>
                              <div v-else class="empty-tips-center">
                                  请先新增当事人
                              </div>
                          </template>
                      </van-field>
                  </div>
<!--                  证人是否出庭作证-->
                  <van-field
                          v-if="visible('inCourt')"
                          :rules="[{ required: false, message: '请选择证人是否出庭作证' }]"
                          v-model="form.inCourtName"
                          name="inCourtName"
                          readonly
                          @click.stop="onPublicRadioSelect({
                              type: 'attendCourt',
                              label: 'label',
                              title: '是否出庭作证',
                              map: { 'inCourt': 'value', 'inCourtName': 'label' } }
                          )"
                          label="出庭作证"
                          :right-icon="getRightIcon"
                          :placeholder="getPlaceHolderEntry('请选择证人是否出庭作证')"
                          :required="getRequired('inCourt')"
                  ></van-field>
<!--                  代理人是律师或者代理律师时显示-->
                   <template v-if="['0', '1'].includes(form.agentType) && visible('agentType')">
                     <van-field
                              :rules="[ { required: requiredRules[type].licenseNumber || false, message: '请输入执业证号' } ]"
                              name="licenseNumber"
                              v-model.trim="form.licenseNumber"
                              label="执业证号"
                              :placeholder="getPlaceHolderEntry('请输入执业证号')"
                              :readonly="is('detail')"
                              :required="getRequired('licenseNumber')"
                              >
                      </van-field>
                      <van-field
                              :rules="[ { required: requiredRules[type].registeredAddress || false, message: '请输入律所名称' } ]"
                              name="registeredAddress"
                              v-model.trim="form.registeredAddress"
                              label="律所名称"
                              :placeholder="getPlaceHolderEntry('请输入律所名称')"
                              :readonly="is('detail')"
                              :required="getRequired('registeredAddress')"
                              >
                      </van-field>
                   </template>
<!--                    自然人证件类型-->
                    <van-field
                            v-if="visible('cardType')"
                            :rules="[{ required: requiredRules[type].cardType || false, message: '请选择证件类型' }]"
                            v-model="form.cardTypeName"
                            name="cardTypeName"
                            readonly
                            @click.stop="onPublicRadioSelect({
                                type: 'cardType',
                                label: 'label',
                                title: '证件类型',
                                map: { 'cardType': 'value', 'cardTypeName': 'label' }
                            })"
                            label="证件类型"
                            :right-icon="getRightIcon"
                            :placeholder="getPlaceHolderEntry('请选择证件类型')"
                            :required="getRequired('cardType')"
                    ></van-field>
<!--                    自然人证件号-->
                    <van-field
                           v-if="visible('cardNumber')"
                           :rules="[
                              { required: requiredRules[type].cardNumber || false, message: '请输入证件号' },
                              { validator: validateCardNumber(form) }
                           ]"
                            name="cardNumber"
                            v-model="form.cardNumber"
                            label="证件号"
                            @click.stop="noPrevValueToast(form.cardType, '请先选择证件类型')"
                            :required="getRequired('cardNumber')"
                            :readonly="!isDef(form.cardType) || is('detail')"
                            :placeholder="getPlaceHolderEntry('请输入证件号')"
                    ></van-field>
<!--                    自然人民族-->
                    <van-field
                            v-if="visible('nation')"
                            :rules="[{ required: requiredRules[type].nation || false, message: '请选择民族' }]"
                            v-model="form.nationName"
                            name="nationName"
                            readonly
                            @click.stop="onPublicRadioSelect({
                                type: 'nation',
                                label: 'label',
                                title: '民族',
                                map: { 'nation': 'value', 'nationName': 'label' }
                            })"
                            label="民族"
                            :right-icon="getRightIcon"
                            :placeholder="getPlaceHolderEntry('请选择民族')"
                            :required="getRequired('nation')"
                    ></van-field>
<!--                    自然人性别-->
                     <van-field
                            v-if="visible('sex')"
                            :rules="[{ required: requiredRules[type].sex || false, message: getPlaceHolder('选择', '', '性别') }]"
                            :value="{ '0': '男', '1': '女', '2': '其他' }[form.sex] || ''"
                            name="sex"
                            readonly
                            :required="requiredRules[type].sex || false"
                            @click.stop="onPublicRadioSelect({
                                type: 'sex',
                                label: 'label',
                                title: '民族',
                                map: { 'sex': 'value', 'sexName': 'label' }
                            })"
                            label="性别"
                            :right-icon="getRightIcon"
                            :placeholder="getPlaceHolderEntry('请选择性别')"
                            :required="getRequired('sex')"
                    ></van-field>
<!--                   自然人出生日期 -->
                    <van-field
                            v-if="visible('bornDate')"
                            :rules="[{ required: requiredRules[type].bornDate || false, message: '请选择出生日期' }]"
                            v-model="form.bornDate"
                            name="bornDate"
                            @click.stop="is('detail') ? '' : bornDatePickerVisible = true"
                            readonly
                            label="出生日期"
                            :right-icon="getRightIcon"
                            :placeholder="getPlaceHolderEntry('请选择出生日期')"
                            :required="getRequired('bornDate')"
                    ></van-field>
<!--                   自然人年龄 -->
                    <van-field
                            v-if="visible('age')"
                            :rules="[ { required: requiredRules[type].age || false, message: '请选择出生日期', trigger: 'blur' }]"
                            type="digit"
                            readonly
                            name="age"
                            :required="requiredRules[type].age || false"
                            @click.stop="noPrevValueToast('', '请先选择出生日期')"
                            maxlength="3"
                            v-model="form.age"
                            label="年龄"
                            :placeholder="getPlaceHolderEntry('请选择出生日期')"
                            :required="getRequired('age')"
                    >
                    </van-field>
<!--                    自然人职业-->
                    <van-field
                            v-if="visible('occupation')"
                           :rules="[{ required: requiredRules[type].occupation || false, message: getPlaceHolder('选择', '', '职业') }]"
                            v-model="form.occupationName"
                            name="occupationName"
                            readonly
                            @click.stop="onPublicRadioSelect({
                              type: 'occupation',
                              label: 'label',
                              title: '职业',
                              map: { 'occupation': 'value', 'occupationName': 'label' }
                            })"
                            label="职业"
                            :right-icon="getRightIcon"
                            :placeholder="getPlaceHolderEntry(getPlaceHolder('选择', '', '职业'))"
                            :required="getRequired('occupation')"
                    ></van-field>
<!--                    自然人工作单位-->
                    <van-field
                            v-if="visible('unitName')"
                            :rules="[ { required: requiredRules[type].unitName || false, message: '请输入工作单位' }]"
                            name="unitName"
                            maxlength="100"
                            v-model="form.unitName"
                            label="工作单位"
                            :placeholder="getPlaceHolderEntry('请输入工作单位')"
                            :readonly="is('detail')"
                            :required="getRequired('unitName')"
                            >
                    </van-field>
<!--                    自然人固定电话-->
                    <van-field
                            v-if="visible('phone')"
                            :rules="[ { required: requiredRules[type].phone || false, message: '请输入固定电话' }]"
                            name="phone"
                            maxlength="100"
                            v-model="form.phone"
                            label="固定电话"
                            :placeholder="getPlaceHolderEntry('请输入固定电话')"
                            :readonly="is('detail')"
                            :required="getRequired('phone')"
                    >
                    </van-field>
<!--                    自然人地址类型-->
                    <van-field
                            v-if="visible('addressType')"
                            :rules="[{ required: requiredRules[type].addressType || false, message: '请选择地址类型' }]"
                            :value="form.addressType ? form.addressType === '0' ? '经常居住地' : '户籍所在地' : ''"
                            name="addressType"
                            readonly
                            @click.stop="onPublicRadioSelect({
                              type: 'addressType',
                              label: 'label',
                              title: '职业',
                              map: { 'addressType': 'value', 'addressTypeName': 'label' }
                            })"
                            label="地址类型"
                            :right-icon="getRightIcon"
                            :placeholder="getPlaceHolderEntry('请选择地址类型')"
                            :required="getRequired('addressType')"
                    ></van-field>
<!--                    自然人地区-->
                    <van-field
                             v-if="visible('addressAreaCode')"
                            :rules="[{ required: requiredRules[type].addressAreaCode || false, message: '请选择所在地区' }]"
                            v-model="form.addressAreaCodeName"
                            name="addressAreaCodeName"
                            readonly
                            @click.stop="is('detail') ? '' : addressAreaVisible = true"
                            label="所在地区"
                            :right-icon="getRightIcon"
                            :placeholder="getPlaceHolderEntry('请选择所在地区')"
                            :required="getRequired('addressAreaCode')"
                    ></van-field>
<!--                  自然人详细地址 -->
                    <template v-if="visible('applicantDetailedAddress')">
                      <van-field
                            :border="false"
                            label="详细地址"
                            :required="getRequired('applicantDetailedAddress')"
                      > <div slot="input"></div> </van-field>
                      <van-field
                            :rules="[
                              { required: requiredRules[type].applicantDetailedAddress || false, message: '请输入详细地址' },
                              { validator: validateAddressCredit(form) }
                            ]"
                            name="applicantDetailedAddress"
                            v-model="form.applicantDetailedAddress"
                            maxlength="100"
                            :show-word-limit="!is('detail')"
                            label-width="0"
                            type="textarea"
                            autosize
                            input-align="left"
                            :placeholder="getPlaceHolderEntry('请输入详细地址')"
                            :readonly="is('detail')"
                      >
                      </van-field>
                    </template>
                </template>
<!--                法人、非法人组织-->
                <template v-else>
<!--                单位名称-->
                  <van-field
                            v-if="visible('name')"
                            :rules="[
                              { required: requiredRules[type].name || false, message: '请输入单位名称', trigger: 'onSubmit' }
                            ]"
                            name="name"
                            v-model="form.name"
                            label="单位名称"
                            maxlength="100"
                            :placeholder="getPlaceHolderEntry('请输入单位名称')"
                            :readonly="is('detail')"
                            :required="getRequired('name')"
                    >
                    </van-field>
<!--                  查询国家真实信息  -->
                 <div style="padding: var(--13pxToRem)" v-if="visible('business_info') && !is('detail')">
                    <van-button @click.stop="openInternetOuter" round size="small" type="default" block native-type="button">国家企业信用信息公示系统</van-button>
                 </div>
<!--                 单位性质-->
            <van-field
              v-if="visible('unitNature')"
              :rules="[{ required: requiredRules[type].unitNature || false, message: '请选择单位性质' }]"
              v-model="form.unitNatureName"
              name="unitNatureName"
              readonly
              @click.stop="onPublicRadioSelect({
                   type: 'unitNature',
                   label: 'label',
                   title: '单位性质',
                   map: { 'unitNature': 'value', 'unitNatureName': 'label' }
              })"
              label="单位性质"
              :right-icon="getRightIcon"
              :placeholder="getPlaceHolderEntry('请选择单位性质')"
              :required="getRequired('unitNature')"
            ></van-field>
<!--            证照类型-->
            <van-field
              v-if="visible('licenseType')"
              :rules="[{ required: requiredRules[type].licenseType || false, message: '请选择证照类型' }]"
              v-model="form.licenseTypeName"
              name="licenseTypeName"
              readonly
              @click.stop="onPublicRadioSelect({
                   type: 'licenseType',
                   label: 'label',
                   title: '证照类型',
                   map: { 'licenseType': 'value', 'licenseTypeName': 'label' }
              })"
              label="证照类型"
              :right-icon="getRightIcon"
              :placeholder="getPlaceHolderEntry('请选择证照类型')"
              :required="getRequired('licenseType')"
            ></van-field>
<!--            证照号码-->
         <van-field
              v-if="visible('licenseNumber')"
              :rules="[ { required: requiredRules[type].licenseNumber || false, message: '请输入证照号码' }, { validator: validateLicenseNumber(form) } ]"
              name="name"
              maxlength="50"
              :readonly="!isDef(form.licenseType) || is('detail')"
              v-model="form.licenseNumber"
              label="证照号码"
              @click.stop="noPrevValueToast(casePersonForm.licenseType, '请先选择证照类型')"
              :placeholder="getPlaceHolderEntry('请输入证照号码')"
              :required="getRequired('licenseNumber')"
         >
         </van-field>
<!--              赔偿义务机关类型-->
          <van-field
                  v-if="visible('obligationOrganType')"
                  :rules="[{ required: requiredRules[type].obligationOrganType || false, message: '请选择赔偿义务机关类型' }]"
                  v-model="form.obligationOrganTypeName"
                  name="obligationOrganTypeName"
                  readonly
                  @click.stop="onPublicRadioSelect({
                     type: 'obligationOrganType',
                     label: 'label',
                     title: '赔偿义务机关类型',
                     map: { 'obligationOrganType': 'value', 'obligationOrganTypeName': 'label' }
                  })"
                  label="赔偿义务机关类型"
                  :right-icon="getRightIcon"
                  :placeholder="getPlaceHolderEntry('请选择赔偿义务机关类型')"
                  :required="getRequired('obligationOrganType')"
              ></van-field>
<!--              赔偿义务机关名称-->
          <van-field
                  v-if="visible('obligationOrganName')"
                  :rules="[
                     { required: requiredRules[type].name || false, message: '请输入赔偿义务机关名字', trigger: 'onSubmit' }
                   ]"
                   name="obligationOrganName"
                   v-model="form.name"
                   label="赔偿义务机关名字"
                   maxlength="100"
                   :placeholder="getPlaceHolderEntry('请输入赔偿义务机关名字')"
                   :required="getRequired('name')"
                   :readonly="is('detail')"
                >
              </van-field>
<!--              赔偿义务机关地址类型-->
          <van-field
                   v-if="visible('obligationOrganAddressType')"
                   :rules="[{ required: requiredRules[type].addressType || false, message: '请选择地址类型' }]"
                   :value="form.addressType ? form.addressType === '0' ? '经常居住地' : '户籍所在地' : ''"
                   name="addressType"
                   readonly
                   @click.stop="onPublicRadioSelect({
                       type: 'addressType',
                       label: 'label',
                       title: '地址类型',
                       map: { 'addressType': 'value', 'addressTypeName': 'label' }
                   })"
                   label="地址类型"
                   :right-icon="getRightIcon"
                   :placeholder="getPlaceHolderEntry('请选择地址类型')"
                   :required="getRequired('addressType')"
              ></van-field>
<!--              赔偿义务机关所在地区-->
          <van-field
                    v-if="visible('obligationOrganAddressAreaCode')"
                    :rules="[{ required: requiredRules[type].addressAreaCode || false, message: '请选择所在地区' }]"
                    v-model="form.addressAreaCodeName"
                    name="addressAreaCodeName"
                    readonly
                    @click.stop="is('detail') ? '' : addressAreaVisible = true"
                    label="所在地区"
                    :right-icon="getRightIcon"
                    :placeholder="getPlaceHolderEntry('请选择所在地区')"
                    :required="getRequired('addressAreaCode')"
               ></van-field>
<!--              赔偿义务机关详细地址-->
          <template v-if="visible('obligationOrganApplicantDetailedAddress')">
                 <van-field
                     :border="false"
                     label="详细地址"
                     :required="getRequired('applicantDetailedAddress')"
                 > <div slot="input"></div> </van-field>
                 <van-field
                     :rules="[
                       { required: requiredRules[type].applicantDetailedAddress || false, message: '请输入详细地址' },
                       { validator: validateAddressCredit(form) }
                     ]"
                     name="applicantDetailedAddress"
                     v-model="form.applicantDetailedAddress"
                     maxlength="100"
                     :show-word-limit="!is('detail')"
                     label-width="0"
                     type="textarea"
                     autosize
                     input-align="left"
                     :readonly="is('detail')"
                     :placeholder="getPlaceHolderEntry('请输入详细地址')"
                 >
                 </van-field>
              </template>
<!--           法人、主要负责人姓名 -->
           <van-field
               v-if="visible('leaderName')"
              :rules="[
                 { required: requiredRules[type].leaderName || false, message: getPlaceHolder('输入', getPeopleTypeName(), '姓名') },
                 { validator: validateRuleName, message: getPeopleTypeName() + '姓名必须为2到16位中英文' }
              ]"
              name="leaderName"
              v-model="form.leaderName"
              :label="getPeopleTypeName() + '姓名'"
              :formatter="handleName"
              maxlength="16"
              :readonly="is('detail')"
              :placeholder="getPlaceHolderEntry(getPlaceHolder('输入', getPeopleTypeName(), '姓名'))"
              :required="getRequired('leaderName')"
            >
            </van-field>
           <!--        法人、主要负责人职务  -->
            <van-field
              v-if="visible('postName')"
              v-model.trim="form.postName"
              :rules="[
                { required:  requiredRules[type].postName || false, message: getPlaceHolder('输入', getPeopleTypeName(), '职务') }
              ]"
              maxlength="9"
              name="postName"
              :label="getPeopleTypeName() + '职务'"
              :readonly="is('detail')"
              :placeholder="getPlaceHolderEntry(getPlaceHolder('输入', getPeopleTypeName(), '职务'))"
              :required="getRequired('postName')"
            />
<!--       法人、非法人组织证件类型   -->
           <van-field
               v-if="visible('cardType')"
               :rules="[{ required: requiredRules[type].cardType || false, message: getPlaceHolder('选择', getPeopleTypeName(), '证件类型') }]"
               v-model="form.cardTypeName"
               name="cardTypeName"
               readonly
               @click.stop="onPublicRadioSelect({
                  type: 'cardType',
                  label: 'label',
                  title: '证件类型',
                  map: { 'cardType': 'value', 'cardTypeName': 'label' }
               })"
               :label="getPeopleTypeName() + '证件类型'"
               :right-icon="getRightIcon"
               :placeholder="getPlaceHolderEntry(getPlaceHolder('选择', getPeopleTypeName(), '证件类型'))"
              :required="getRequired('cardType')"
            ></van-field>
<!--       法人、非法人组织证件号-->
           <van-field
                   v-if="visible('cardNumber')"
                   :rules="[
                       { required: requiredRules[type].cardNumber || false, message: getPlaceHolder('输入', getPeopleTypeName(), '证件号') },
                       { validator: validateCardNumber(form) }
                   ]"
                   name="cardNumber"
                   v-model="form.cardNumber"
                   :label="getPeopleTypeName() + '证件号'"
                   @click.stop="noPrevValueToast(form.cardType, '请先选择证件类型')"
                   :readonly="!isDef(form.cardType) || is('detail')"
                   :placeholder="getPlaceHolderEntry(getPlaceHolder('输入', getPeopleTypeName(), '证件号'))"
                   :required="getRequired('cardNumber')"
               ></van-field>
<!--       法人、非法人组织、手机号-->
           <van-field
                   v-if="visible('mobilePhone')"
                   :rules="[
                       { required: requiredRules[type].mobilePhone || false, message: getPlaceHolder('输入', getPeopleTypeName(), '手机号') },
                       { validator: validateMPhoneNumber, message: '手机号码格式不正确' }
                   ]"
                   type="digit"
                   maxlength="11"
                   name="mobilePhone"
                   v-model="form.mobilePhone"
                  :label="getPeopleTypeName() + '手机号码'"
                   :readonly="is('detail')"
                   :placeholder="getPlaceHolderEntry(getPlaceHolder('输入', getPeopleTypeName(), '手机号'))"
                   :required="getRequired('mobilePhone')"
                   >
              </van-field>
<!--       单位固定电话-->
           <van-field
                  v-if="visible('phone')"
                  :rules="[ { required: requiredRules[type].phone || false, message: '请输入单位固定电话' }]"
                  name="phone"
                  maxlength="100"
                  v-model="form.phone"
                  label="单位固定电话"
                  :readonly="is('detail')"
                  :placeholder="getPlaceHolderEntry('请输入单位固定电话')"
                  :required="getRequired('phone')"
              >
              </van-field>
<!--       单位所在地区-->
           <van-field
                  v-if="visible('addressAreaCode')"
                  :rules="[{ required: requiredRules[type].addressAreaCode || false, message: '请选择单位所在地区' }]"
                  v-model="form.addressAreaCodeName"
                  name="addressAreaCodeName"
                  readonly
                  @click.stop="is('detail') ? '' : addressAreaVisible = true"
                  label="单位所在地区"
                  :right-icon="getRightIcon"
                  :placeholder="getPlaceHolderEntry('请选择单位所在地区')"
                  :required="getRequired('addressAreaCode')"
              ></van-field>
<!--       单位详细地址-->
           <template v-if="visible('applicantDetailedAddress')">
                 <van-field
                     :border="false"
                     label="单位详细地址"
                     :required="getRequired('applicantDetailedAddress')"
                 > <div slot="input"></div> </van-field>
                 <van-field
                     :rules="[
                       { required: requiredRules[type].applicantDetailedAddress || false, message: '请输入单位详细地址' },
                       { validator: validateAddressCredit(form) }
                     ]"
                     name="applicantDetailedAddress"
                     v-model="form.applicantDetailedAddress"
                     maxlength="100"
                     :show-word-limit="!is('detail')"
                     label-width="0"
                     type="textarea"
                     autosize
                     input-align="left"
                     :readonly="is('detail')"
                     :placeholder="getPlaceHolderEntry('请输入单位详细地址')"
                 >
                 </van-field>
              </template>
          </template>
<!--                提交-->
          <div class="command-submit" v-if="!is('detail')">
                   <van-button
                     native-type="button"
                     @click.stop="submitForm"
                     type="info"
                     round
                     block>
                     提交
                   </van-button>
                </div>
      </van-form>
      <sf-radio
             :title="selectConfig.title"
             :label="selectConfig.label || 'label'"
             :show.sync="selectVisible"
             :options="options[selectConfig.type] || selectConfig.options"
             @confirm="publicSelectConfirm"
      ></sf-radio>
      <sf-date-picker
       :show.sync="bornDatePickerVisible"
        @confirm="getAgeByDate"
        :default-value="'1990/01/01'"
        :min-date="new Date(1900, 1, 1)"
        v-model="form.bornDate"
      ></sf-date-picker>
      <sf-address-picker
         title="请选择所在地区"
         @finish="onAddressFinish"
         :show.sync="addressAreaVisible"
         v-model="form.addressAreaCode"
         :options="options.addressArea"
         :field-names="{ text: 'name', value: 'id', children: 'childList' }"
         ></sf-address-picker>
      </nav-page-popup>
    `,
    data() {
      return {
          form: {},
          id: new Date().getTime(),
          //  各个类型的当事人名字
          typeName: {
              0: '原告当事人', // 起诉、行政、执行
              1: '被告当事人', // 起诉、行政、执行
              2: '第三人', // 起诉、新政、执行
              3: '原告代理人', // 起诉、行政、执行
              4: '证人', // 起诉、宣告死亡、执行、行政、行为能力认定、监护人指定异议、维护关系变更、实现物品担保权、调解协议司法确认
              5: '申请人', // 宣告死亡、执行、保全、调解、调解协议司法确认
              6: '被申请人', // 宣告死亡、执行、保全、调解、实现物品担保权
              7: '申请人代理人', // 宣告死亡、执行、保全、行为能力认定、调解协议司法确认、实现物品担保权
              8: '申请人', // 行为能力认定（new：申请人类型 ）
              9: '被申请人', // 行为能力认定（new：申请事项）
              10: '异议人', // 监护人指定异议
              11: '异议人代理人', // 监护人指定异议
              12: '起诉人', // 维护关系变更（new：起诉人类型）
              13: '被诉监护人', // 维护关系变更
              14: '起诉人代理人', // 维护关系变更
              15: '申请人', // 实现物品担保权（new：申请人类型）
              16: '赔偿请求人', //  自赔（new: 申请人类型 ）
              17: '赔偿义务机关', //  自赔
              18: '代理人' //  自赔
          },
          //  各个类型的当事人表单必填字段
          requiredRules: {
              0: {
                  peopleType: true,
                  name: true,
                  sex: true,
                  mobilePhone: true,
                  cardType: true,
                  cardNumber: true,
                  nation: true,
                  bornDate: true,
                  age: true,
                  occupation: false,
                  unitName: false,
                  phone: false,
                  addressType: true,
                  addressAreaCode: true,
                  applicantDetailedAddress: true,
                  unitNature: false,
                  licenseType: true,
                  licenseNumber: true,
                  leaderName: true,
                  postName: true
              },
              1: {
                  peopleType: true,
                  name: true,
                  sex: true,
                  addressType: true,
                  addressAreaCode: true,
                  applicantDetailedAddress: true
              },
              2: {
                  peopleType: true,
                  name: true,
                  sex: true,
                  addressType: true,
                  addressAreaCode: true,
                  applicantDetailedAddress: true
              },
              3: {
                  name: true,
                  agentType: true,
                  belongToPlantiff: true,
                  mobilePhone: true,
                  cardType: true,
                  cardNumber: true,
                  licenseNumber: true,
                  registeredAddress: true
              },
              4: {
                  name: true,
                  mobilePhone: true,
                  sex: true,
                  addressAreaCode: true,
                  applicantDetailedAddress: true
              },
              5: {
                  peopleType: true,
                  name: true,
                  sex: true,
                  mobilePhone: true,
                  cardType: true,
                  cardNumber: true,
                  nation: true,
                  bornDate: true,
                  age: true,
                  occupation: false,
                  unitName: false,
                  phone: false,
                  addressType: true,
                  addressAreaCode: true,
                  applicantDetailedAddress: true,
                  unitNature: false,
                  licenseType: true,
                  licenseNumber: true,
                  leaderName: true,
                  postName: true
              },
              6: {
                  peopleType: true,
                  name: true,
                  sex: true,
                  addressType: true,
                  addressAreaCode: true,
                  applicantDetailedAddress: true
              },
              7: {
                  name: true,
                  agentType: true,
                  belongToPlantiff: true,
                  mobilePhone: true,
                  cardType: true,
                  cardNumber: true,
                  licenseNumber: true,
                  registeredAddress: true
              },
              8: {
                  applyPersonType: true,
                  peopleType: true,
                  name: true,
                  sex: true,
                  mobilePhone: true,
                  cardType: true,
                  cardNumber: true,
                  nation: true,
                  bornDate: true,
                  age: true,
                  occupation: false,
                  unitName: false,
                  phone: false,
                  addressType: true,
                  addressAreaCode: true,
                  applicantDetailedAddress: true,
                  unitNature: false,
                  licenseType: true,
                  licenseNumber: true,
                  leaderName: true,
                  postName: true
              },
              9: {
                  applyMatter: true,
                  peopleType: true,
                  name: true,
                  sex: true,
                  addressType: true,
                  addressAreaCode: true,
                  applicantDetailedAddress: true
              },
              10: {
                  peopleType: true,
                  name: true,
                  sex: true,
                  mobilePhone: true,
                  cardType: true,
                  cardNumber: true,
                  nation: true,
                  bornDate: true,
                  age: true,
                  occupation: false,
                  unitName: false,
                  phone: false,
                  addressType: true,
                  addressAreaCode: true,
                  applicantDetailedAddress: true,
                  unitNature: false,
                  licenseType: true,
                  licenseNumber: true,
                  leaderName: true,
                  postName: true
              },
              11: {
                  name: true,
                  agentType: true,
                  belongToPlantiff: true,
                  mobilePhone: true,
                  cardType: true,
                  cardNumber: true,
                  licenseNumber: true,
                  registeredAddress: true
              },
              12: {
                  prosecutionType: true,
                  peopleType: true,
                  name: true,
                  sex: true,
                  mobilePhone: true,
                  cardType: true,
                  cardNumber: true,
                  nation: true,
                  bornDate: true,
                  age: true,
                  occupation: false,
                  unitName: false,
                  phone: false,
                  addressType: true,
                  addressAreaCode: true,
                  applicantDetailedAddress: true,
                  unitNature: false,
                  licenseType: true,
                  licenseNumber: true,
                  leaderName: true,
                  postName: true
              },
              13: {
                  peopleType: true,
                  name: true,
                  sex: true,
                  addressType: true,
                  addressAreaCode: true,
                  applicantDetailedAddress: true
              },
              14: {
                  name: true,
                  agentType: true,
                  belongToPlantiff: true,
                  mobilePhone: true,
                  cardType: true,
                  cardNumber: true,
                  licenseNumber: true,
                  registeredAddress: true
              },
              15: {
                  applyPersonType: true,
                  peopleType: true,
                  name: true,
                  sex: true,
                  mobilePhone: true,
                  cardType: true,
                  cardNumber: true,
                  nation: true,
                  bornDate: true,
                  age: true,
                  occupation: false,
                  unitName: false,
                  phone: false,
                  addressType: true,
                  addressAreaCode: true,
                  applicantDetailedAddress: true,
                  unitNature: false,
                  licenseType: true,
                  licenseNumber: true,
                  leaderName: true,
                  postName: true
              },
              16: {
                  applyPersonType: true,
                  peopleType: true,
                  name: true,
                  sex: true,
                  mobilePhone: true,
                  cardType: true,
                  cardNumber: true,
                  nation: true,
                  bornDate: true,
                  age: true,
                  occupation: false,
                  unitName: false,
                  phone: false,
                  addressType: true,
                  addressAreaCode: true,
                  applicantDetailedAddress: true,
                  unitNature: false,
                  licenseType: true,
                  licenseNumber: true,
                  leaderName: true,
                  postName: true
              },
              17: {
                  obligationOrganType: true,
                  name: true,
                  addressType: true,
                  addressAreaCode: true,
                  applicantDetailedAddress: true,
                  leaderName: false,
                  mobilePhone: false,
                  postName: false
              },
              18: {
                  name: true,
                  agentType: true,
                  belongToPlantiff: true,
                  mobilePhone: true,
                  cardType: true,
                  cardNumber: true,
                  licenseNumber: true,
                  registeredAddress: true
              }
          },
          // 各个类型的当事人表单显示字段
          typeKeys: {
              // 原告
              0: ['peopleType', 'blankPlaceholder', 'import', 'name', 'sex', 'mobilePhone', 'cardType', 'cardNumber', 'nation',
                  'bornDate', 'age',
                  'occupation', 'unitName', 'phone', 'addressType', 'addressAreaCode',
                  'applicantDetailedAddress',
                  'business_info', 'unitNature', 'licenseType', 'licenseNumber', 'leaderName', 'postName',
                  'addressTips'
              ],
              // 被告
              1: ['peopleType', 'blankPlaceholder', 'import', 'name', 'sex', 'mobilePhone', 'cardType', 'cardNumber', 'nation',
                  'bornDate', 'age',
                  'occupation', 'unitName', 'phone', 'addressType', 'addressAreaCode',
                  'applicantDetailedAddress',
                  'business_info', 'unitNature', 'licenseType', 'licenseNumber', 'leaderName', 'postName',
                  'addressTips'
              ],
              // 第三人
              2: ['peopleType', 'blankPlaceholder', 'import', 'name', 'sex', 'mobilePhone', 'cardType', 'cardNumber', 'nation',
                  'bornDate', 'age',
                  'occupation', 'unitName', 'phone', 'addressType', 'addressAreaCode',
                  'applicantDetailedAddress',
                  'business_info', 'unitNature', 'licenseType', 'licenseNumber', 'leaderName', 'postName',
                  'addressTips'
              ],
              // 代理人
              3: ['agentType', 'belongToPlantiffAgent', 'import', 'name', 'mobilePhone', 'cardType', 'cardNumber',
                  'licenseNumber', 'registeredAddress'
              ],
              //  证人
              4: ['belongToPlantiffWitness', 'inCourt', 'name', 'mobilePhone', 'sex', 'cardType',
                  'cardNumber',
                  'bornDate', 'age', 'unitName', 'addressAreaCode', 'applicantDetailedAddress'

              ],
              // 申请人-----宣告死亡、执行、保全、调解、调解协议司法确认
              5: ['peopleType', 'blankPlaceholder', 'import', 'name', 'sex', 'mobilePhone', 'cardType', 'cardNumber', 'nation',
                  'bornDate', 'age',
                  'occupation', 'unitName', 'phone', 'addressType', 'addressAreaCode',
                  'applicantDetailedAddress',
                  'business_info', 'unitNature', 'licenseType', 'licenseNumber', 'leaderName', 'postName',
                  'addressTips'
              ],
              // 被申请人----宣告死亡、执行、保全、调解、调解协议司法确认
              6: ['peopleType', 'blankPlaceholder', 'import', 'name', 'sex', 'mobilePhone', 'cardType', 'cardNumber', 'nation',
                  'bornDate', 'age',
                  'occupation', 'unitName', 'phone', 'addressType', 'addressAreaCode',
                  'applicantDetailedAddress',
                  'business_info', 'unitNature', 'licenseType', 'licenseNumber', 'leaderName', 'postName',
                  'addressTips'
              ],
              // 申请人代理人-----宣告死亡、执行、保全、行为能力认定、调解协议司法确认、实现物品担保权
              7: ['agentType', 'belongToPlantiffAgent', 'import', 'name', 'mobilePhone', 'cardType', 'cardNumber',
                  'licenseNumber', 'registeredAddress'
              ],
              // 行为能力认定---申请人
              8: ['applyPersonTypePowerIdentify', 'peopleType', 'import', 'name', 'sex', 'mobilePhone',
                  'cardType', 'cardNumber', 'nation', 'bornDate', 'age',
                  'occupation', 'unitName', 'phone', 'addressType', 'addressAreaCode',
                  'applicantDetailedAddress',
                  'business_info', 'unitNature', 'licenseType', 'licenseNumber', 'leaderName', 'postName',
                  'addressTips'
              ],
              // 被申请人---行为能力认定
              9: ['applyMatterPowerIdentify', 'peopleType', 'import', 'name', 'sex', 'mobilePhone', 'cardType',
                  'cardNumber', 'nation', 'bornDate', 'age',
                  'occupation', 'unitName', 'phone', 'addressType', 'addressAreaCode',
                  'applicantDetailedAddress',
                  'business_info', 'unitNature', 'licenseType', 'licenseNumber', 'leaderName', 'postName',
                  'addressTips'
              ],
              // 异议人----监护人指定异议
              10: ['peopleType', 'blankPlaceholder', 'import', 'name', 'sex', 'mobilePhone', 'cardType', 'cardNumber', 'nation',
                  'bornDate', 'age',
                  'occupation', 'unitName', 'phone', 'addressType', 'addressAreaCode',
                  'applicantDetailedAddress',
                  'business_info', 'unitNature', 'licenseType', 'licenseNumber', 'leaderName', 'postName',
                  'addressTips'
              ],
              // 异议人代理人----监护人指定异议
              11: ['agentType', 'belongToPlantiffAgent', 'import', 'name', 'mobilePhone', 'cardType',
                  'cardNumber',
                  'licenseNumber', 'registeredAddress'
              ],
              // 起诉人----维护关系变更
              12: ['prosecutionType', 'peopleType', 'import', 'name', 'sex', 'mobilePhone', 'cardType',
                  'cardNumber', 'nation', 'bornDate', 'age',
                  'occupation', 'unitName', 'phone', 'addressType', 'addressAreaCode',
                  'applicantDetailedAddress',
                  'business_info', 'unitNature', 'licenseType', 'licenseNumber', 'leaderName', 'postName',
                  'addressTips'
              ],
              // 被诉监护人----维护关系变更
              13: ['peopleType', 'blankPlaceholder', 'import', 'name', 'sex', 'mobilePhone', 'cardType', 'cardNumber', 'nation',
                  'bornDate', 'age',
                  'occupation', 'unitName', 'phone', 'addressType', 'addressAreaCode',
                  'applicantDetailedAddress',
                  'business_info', 'unitNature', 'licenseType', 'licenseNumber', 'leaderName', 'postName',
                  'addressTips'
              ],
              // 起诉人代理人----维护关系变更
              14: ['agentType', 'belongToPlantiffAgent', 'import', 'name', 'mobilePhone', 'cardType',
                  'cardNumber',
                  'licenseNumber', 'registeredAddress'
              ],
              // 申请人----实现物品担保权
              15: ['applyPersonTypeItem', 'peopleType', 'import', 'name', 'sex', 'mobilePhone', 'cardType',
                  'cardNumber', 'nation', 'bornDate', 'age',
                  'occupation', 'unitName', 'phone', 'addressType', 'addressAreaCode',
                  'applicantDetailedAddress',
                  'business_info', 'unitNature', 'licenseType', 'licenseNumber', 'leaderName', 'postName',
                  'addressTips'
              ],
              // 申请人---- 自赔
              16: ['applyPersonTypeFromCourt', 'peopleType', 'import', 'name', 'sex', 'mobilePhone',
                  'cardType', 'cardNumber', 'nation', 'bornDate', 'age', 'occupation', 'unitName', 'phone',
                  'addressType', 'addressAreaCode', 'applicantDetailedAddress', 'business_info', 'unitNature',
                  'licenseType', 'licenseNumber', 'leaderName', 'postName', 'addressTips'
              ],
              17: ['obligationOrganType', 'obligationOrganName', 'obligationOrganAddressType', 'obligationOrganAddressAreaCode', 'addressTips',
                  'obligationOrganApplicantDetailedAddress', 'leaderName', 'postName', 'mobilePhone'
              ],
              // 代理人---- 自赔
              18: ['agentType', 'belongToPlantiffAgent', 'import', 'name', 'mobilePhone', 'cardType',
                  'cardNumber', 'licenseNumber', 'registeredAddress'
              ]
          },
          peopleTypeMap: {
              0: '自然人',
              1: '法人',
              2: '非法人组织'
          },
          selectConfig: {
             type: '',
             options: [],
             title: '',
             label: '',
             map: {},
             extraFunc: ''
          },
          selectVisible: false,
          bornDatePickerVisible: false,
          addressAreaVisible: false
      }
    },
    inject: ['allCasePerson', 'plaintiffPersons'],
    computed: {
        headerTitle() {
            return index => {
                return this.typeName[this.type] + numberTransferChinese(index + 1)
            }
        },
        visible() {
            const {
                typeKeys,
                type
            } = this
            return function(key) {
                return typeKeys[type].includes(key)
            }
        },
        allPerson() {
            return this.allCasePerson()
        },
        getPlaintiffPersons() {
            return this.plaintiffPersons()
        },
        isOverSelected() {
            return item => {
                const {
                    value
                } = this
                const {
                    pid
                } = item
                return value.filter(person => person.readonly &&
                    $validate.isArray(person.belongToPlantiff) &&
                    person.belongToPlantiff.includes(pid)
                ).length < 2
            }
        },
        // 代理人超过选择个数
        limitSelect() {
            return (person) => {
                const { pid } = person
                const agentJson = this.allCasePerson().filter(person => person.type === '3')
                return agentJson.filter(item => this.form.pid !== item.pid && item.belongToPlantiff.includes(pid)).length >= 2
            }
        },
        getRightIcon() {
            return this.is('detail') ? undefined : 'arrow'
        },
    },
    methods: {
        is(openType) {
          return openType === this.openType
        },
        //
        getPlaceHolderEntry(text) {
          return this.is('detail')  ? '-' : text
        },
        getRequired(name) {
          return this.is('detail')  ? false : this.requiredRules[this.type][name]
        },
        //
        noPrevValueToast(val, errMes) {
          if(this.is('detail')) return
          if(!val) {
            this.normalTips(errMes)
          }
          return val !== ''
        },
        // 提交表单
        submitForm() {
           this.$refs.casePersonForm.validate().then(() => {
               this.$emit('complete', deepClone(this.form))
               this.close()
           }).catch(() => {
               scrollFistErrorAndShowToast(document.getElementById('casePersonFormPublic'))
           })
        },
        openInternetOuter() {
            sendMessage({
                cmd: 'openInternetOuter',
                http: 'https://a.app.qq.com/o/simple.jsp?pkgname=com.zongjucredit'
            })
        },
        closeModel(emit) {
           this.close()
           this.$refs.casePersonForm.resetValidation()
        },
        close() {
          this.$emit('update:show', false)
        },
        isDef(value) {
          return value !== undefined && value !== null && value !== ''
        },
        normalTips(message) {
            sendMessage({
                cmd: 'warnInfo',
                params: {
                    type: 'text',
                    message
                }
            })
        },
        // 限制输入中英文
        handleName(value) {
            if(!value) return ''
            return value.replace(/[^\a-zA-Z\u4E00-\u9FA5\㛑]/g, '')
        },
        // 打开时设置初始值
        setValue() {
            this.form = deepClone(this.value)
        },
        // 当事人类型变化后，清空表单
        clearFormAndValidate() {
            const keys = ["name", "postName", "cardType", "cardTypeName", "cardNumber", "nation",
                "nationName", "sex", "sexName", "occupation", "occupationName", "age",
                "mobilePhone", "applicantDetailedAddress", "bornDate",
                "postalCode", "unitName", "unitNature", "unitNatureName", "addressAreaCodeName",
                "licenseType", "licenseTypeName", "licenseNumber", "phone", "leaderName", 'addressAreaCode'
            ]
            keys.forEach(key => {
                this.form[key] = ''
            })
            this.$nextTick(() => {
               this.$refs.casePersonForm.resetValidation()
            })
        },
        // 打开公共单选
        onPublicRadioSelect(config) {
          if(this.is('detail')) return
          this.$set(this, 'selectConfig', config)
          this.selectVisible = true
        },
        // 公共单选确定后
        publicSelectConfirm(item) {
          const { map, extraFunc  } = this.selectConfig
          if(map) {
                for(const k in map) {
                    this.form[k] = item[map[k]]
                }
            }
            if(extraFunc && typeof this[extraFunc] === 'function') {
                this[extraFunc](item)
            }
        },
        // 日期选择确定后，根据日期计算年龄
        getAgeByDate(date) {
            const timeStep = new Date().getTime()
            sendMessage({
                cmd: 'iframeGetData',
                params: {
                    api: ['getServerDate'],
                    timeStep
                }
            })
            eventHandler.$on('getServerDate', (res) => {
                eventHandler.$off('getServerDate')
                const { from } = res
                if(from.timeStep !== timeStep) return
                if(!res.data || !res.data.data) return
                const currentDate = new Date(res.data.data.replace(/-/g, '/'))
                this.form.age = getAgeByDateTime(date, currentDate)[0]
            })
        },
        // 选择完被代理人后，设置名字
        // 点击有利方/被代理人后添加对应的身份证号
        setCasePersonIdentify(val) {
            if(!val.length) {
                this.form.part_name = ''
                this.form.part_number = ''
                return
            }
            const planitiffPersons = this.getPlaintiffPersons.filter(item => val.includes(item.pid))
            this.form.part_name  = planitiffPersons.map(item => item.name).join(',')
            this.form.part_number = planitiffPersons.map(item => item.pid).join(',')
        },
        // 所在地区选择完成后，赋值
        onAddressFinish({ value, selectedOptions, tabIndex}) {
            this.form.addressAreaCodeName = selectedOptions.map((option) => option.name).join('')
            this.form.applicantDetailedAddress =  selectedOptions.map((option) => option.name).join('')
        },
        // 返回自然人类型名称
        getPeopleTypeName() {
            return {
                0: '自然人',
                1: '法定代表人',
                2: '主要负责人'
            } [this.form.peopleType]
        },
        // 生成占位符
        getPlaceHolder(wei, bin, key) {
            const {
                typeName,
                type
            } = this
            return `请${wei}${bin || typeName[type]}${key}`
        },
        // 验证姓名
        validateRuleName(value) {
            if(!value) return true
            return $validate.isRuleName(value)
        },
        // 验证职务
        validateChinese(start, end, func) {
            const personName = this[func]() + '职务'
            const arr = []
            for (let i = start; i <= end; i++) {
                arr.push(i)
            }
            return (value) => {
                if (!value) return true
                else {
                    if ($validate.isChinese(value)) {
                        if (arr.includes(value.length)) {
                            return true
                        } else {
                            this.normalTips(`${personName}必须为${start}到${end}个汉字`)
                            return false
                        }
                    } else {
                        this.normalTips(`${personName}必须为汉字`)
                        return false
                    }
                }
            }
        },
        // 验证手机号码
        validateMPhoneNumber(val) {
            if(!val) { return true }
            return $validate.isMobilePhoneNum(val)
        },
        // 验证证件类型
        validateCardNumber(person) {
            return (value) => {
                const type = person.cardType
                // 验重函数
                const cardNumberDuplicate = (value) => {
                    const pid = person.pid
                    const persons = this.allPerson.filter(item => item.cardType === type && pid !== item.pid)
                    // 没有重复-----过滤结果长度为0 返回真
                    if(!persons.filter(item => item.cardNumber === value).length) {
                        return true
                    } else {
                        this.normalTips('证件号码与其他当事人重复，请核对后填写')
                        return false
                    }
                }
                if(!value || !type) return true
                const validateMap = {
                    0: $validate.isIdentify, // 身份证号
                    1: '', // 军官证
                    2: '', // 士兵证
                    3: '', // 学生证
                    4: '', // 警官证
                    5: '', // 工作证
                    6: '', // 中国公民护照
                    7: '', // 港澳通行证 CW开头后接8位数字
                    8: /^[A-Z]\d{6}\([\dA]\)$/, // 香港永久性居民身份证
                    9: '', // 律师执业证
                    10: '', // 香港居民身份证,
                    11: /^[1|5|7][0-9]{6}\([0-9Aa]\)/, // 澳门特别行政区永久性居民身份证
                    12: /^[1|5|7][0-9]{6}\([0-9Aa]\)/, // 澳门特别行政区非永久性居民身份证
                    13: '', // 机动车驾驶证
                    14: '', // 台湾居民来往大陆通行证
                    15: '', // 外国公民护照
                    16: '' // 户口簿
                }
                if(!validateMap[type]) return true
                if(validateMap[type] instanceof Array) {
                    if(validateMap[type].some(item => {
                        return typeof item === 'function' ? item(value) : item.test(value)
                    })) {
                        return cardNumberDuplicate(value)
                    } else {
                        this.normalTips('证件号码格式错误')
                        return false
                    }
                } else {
                    const res = typeof validateMap[type] === 'function' ? validateMap[type](value) : validateMap[type].test(value)
                    if(res) {
                        return cardNumberDuplicate(value)
                    } else {
                        this.normalTips('证件号码格式错误')
                        return false
                    }

                }
            }
        },
        // 证照号 格式、验重汇总
        validateLicenseNumber(person) {
            return (value) => {
                const type = person.licenseType
                // 验重函数
                const licenseNumberDuplicate = (value) => {
                    const pid = person.pid
                    const persons = this.allPerson.filter(item => item.licenseType === type && pid !== item.pid)
                    // 没有重复-----过滤结果长度为0 返回真
                    if(!persons.filter(item => item.licenseNumber === value).length) {
                        return true
                    } else {
                        this.normalTips('证照号码与其他当事人重复，请核对后填写')
                        return false
                    }
                }
                if(!value || !type) return true
                // 证照号----类型验证
                const validateMapLicenseType = {
                    1: /^([0-9A-HJ-NPQRTUWXY]{2}\d{6}[0-9A-HJ-NPQRTUWXY]{10}|[1-9]\d{14})$/, // 企业信用代码
                    2: /^[a-zA-Z0-9]{8}-?[a-zA-Z0-9]$/, //组织机构代码
                    3: /(^(?:(?![IOZSV])[\dA-Z]){2}\d{6}(?:(?![IOZSV])[\dA-Z]){10}$)|(^\d{15}$)/, // 营业执照,
                    4: /^([0-9A-HJ-NPQRTUWXY]{2}\d{6}[0-9A-HJ-NPQRTUWXY]{10}|[1-9]\d{14})$/ // 法人登记证号
                }
                if(!validateMapLicenseType[type]) return true
                if(validateMapLicenseType[type] instanceof Array) {
                    if( validateMapLicenseType[type].some(item => item.test(value))) {
                        return licenseNumberDuplicate(value)
                    } else {
                        this.normalTips('证照号码错误')
                        return false
                    }
                } else {
                    if(validateMapLicenseType[type].test(value)) {
                        return licenseNumberDuplicate(value)
                    } else {
                        this.normalTips('证照号码错误')
                        return false
                    }
                }
            }
        },
        validateAddressCredit({ addressAreaCodeName }) {
            return (value) => {
                if(!value || !addressAreaCodeName) {
                    return true
                } else {
                    if(value.length <= addressAreaCodeName.length) {
                        this.normalTips('请继续完善详细地址信息')
                        return false
                    } else {
                        return true
                    }
                }
            }
        }
    }

}
