const NavPage = {
    name: 'NavPage',
    template: `
      <div class="nav_page">
            <van-nav-bar
      :border="false"
      fixed
      class="public_nav"
      :title="title"
      @click-left="handleLeftClick"
    >
      <template v-if="showLeft" v-slot:left>
        <i class="van-icon van-nav-bar__arrow van-icon-arrow-left" />
        <span v-if="leftTitle" class="van-nav-bar__text">{{ leftTitle }}</span>
      </template>
      <!--            标题自定义-->
      <template v-if="$slots.title" v-slot:title>
        <slot name="title" />
      </template>
      <!--            右侧自定义-->
      <template v-if="$slots.right" v-slot:right>
        <slot name="right" />
      </template>
    </van-nav-bar>
    <slot></slot>
</div>
    `,
    props: {
        // 标题
        title: {
            type: [String, Number],
            default: '导航栏'
        },
        // 左侧返回标题
        leftTitle: {
            type: String,
            default: () => ''
        },
        // 是否展示左侧返回图标
        showLeft: {
            type: Boolean,
            default: () => true
        }
    },
    data() {
        return {

        }
    },
    methods: {
        handleLeftClick() {
           this.$emit('click-left')
        }
    }
}
