const NavPagePopup = {
  name: 'NavPagePopup',
  template: `
    <van-popup
     get-container="body"
      :duration="0"
       :overlay="false"
       :style="{ width:'100%', height: '100%' }"
        v-model="value"
         round
         @closed="$emit('closed')"
         @close="scrollToTop"
         @opened="$emit('opened')"
         @open="hiddenAppHeader"
         position="bottom">
    <div class="popup_page">
    <van-nav-bar
      :border="false"
      fixed
      :title="title"
      @click-left="handleLeftClick"
    >
      <template v-if="showLeft" v-slot:left>
        <i class="van-icon van-nav-bar__arrow van-icon-arrow-left" />
        <span v-if="leftTitle" class="van-nav-bar__text">{{ leftTitle }}</span>
      </template>
      <!--            右侧自定义-->
      <template v-if="$slots.right" v-slot:right>
        <slot name="right" />
      </template>
    </van-nav-bar>
    <div class="screenContent" :id="id">
      <slot></slot>
    </div>
</div>
</van-popup>
    `,
  props: {
    value: {
      type: Boolean
    },
    // 标题
    title: {
      type: [String, Number],
      default: '导航栏'
    },
    // 左侧返回标题
    leftTitle: {
      type: String,
      default: () => ''
    },
    // 是否展示左侧返回图标
    showLeft: {
      type: Boolean,
      default: () => true
    },
    leftClick: {
      type: Function
    }
  },
  data() {
    return {
      id: new Date().getTime()
    }
  },
  methods: {
    handleLeftClick() {
      if(this.leftClick && typeof this.leftClick === 'function') {
        this.leftClick(this.$emit)
      } else {
        this.close()
        this.$emit('close')
      }
    },
    close() {
      this.$emit('input', false)
      showAppHeader()
    },
    hiddenAppHeader() {
      hideAppHeader()
      this.$emit('open')
    },
    scrollToTop() {
      const { id } = this
      document.getElementById(id) && document.getElementById(id).scroll(0, 0)
      showAppHeader()
      this.$emit('close')
    }
  }
}
