const ProcessDetail = {
  name: 'ProcessDetail',
  props: {
    // 绑定的数组
    value: {
      type: Array,
      default() {
        return []
      }
    }
  },
  template: `
    <template>
      <div>
        <!--        审判开始-->
        <!--        代缴费-->
        <div v-if="visible('SPDJF')">
          <van-field
              v-model="value.auditFindings"
              name="auditFindings"
              readonly
              label="审核结果"
          >
            <template slot="input">
              {{ value.auditFindings === '1' ? '通过' : '不通过' }}
            </template>
          </van-field>
          <van-field
              v-model="value.reviewName"
              name="reviewName"
              readonly
              label="审核人"
          >
            <template slot="input">
              {{ value.reviewName | valueFilter}}
            </template>
          </van-field>
          <van-field
              v-model="value.examineEndDate"
              name="examineEndDate"
              readonly
              label="审核时间"
          >
            <template slot="input">
              {{ moment(value.examineEndDate).format('YYYY-MM-DD HH:mm:ss') | valueFilter}}
            </template>
          </van-field>
          <van-field
              v-model="value.mediation"
              name="mediation"
              readonly
              label="是否调解"
          >
            <template slot="input">
              {{ value.mediation == '1' ? '是' : '否' }}
            </template>
          </van-field>
          <van-field
              v-model="value.caseReasonName"
              name="caseReasonName"
              readonly
              label="案由"
          >
            <template slot="input">
              {{ value.caseReasonName | valueFilter}}
            </template>
          </van-field>
          <van-field
              v-if="applyType !=='FYXWPCYWJGZP'"
              v-model="value.applicableProceduresName"
              name="applicableProceduresName"
              readonly
              label="适用程序"
          >
            <template slot="input">
              {{ value.applicableProceduresName | valueFilter}}
            </template>
          </van-field>
          <van-field
              v-if="applyType ==='FYXWPCYWJGZP'"
              v-model="value.applicableProceduresName"
              name="applicableProceduresName"
              readonly
              label="受理程序"
          >
            <template slot="input">
              司法赔偿
            </template>
          </van-field>
          <van-field
              v-model="value.caseAcceptanceFee"
              name="caseAcceptanceFee"
              readonly
              label="案件受理费"
          >
            <template slot="input">
              {{ value.caseAcceptanceFee | valueFilter('money')}}
            </template>
          </van-field>
          <van-field
              v-model="value.reviewNumber"
              name="reviewNumber"
              readonly
              label="联系方式"
          >
            <template slot="input">
              {{ value.reviewNumber | valueFilter}}
            </template>
          </van-field>
          <van-field
              label="审核意见"
              :border="false"
          >
            <div slot="input"></div>
          </van-field>
          <van-field
              v-model="value.auditRemarks"
              label-width="0"
              name="auditRemarks"
              input-align="left"
              autosize
              readonly
              type="textarea">
          </van-field>
          <van-field
              v-model="value.isPayment"
              name="isPayment"
              readonly
              label="缴费状态"
          >
            <template slot="input">
              {{ value.isPayment == '1' ? '已缴费' : '未缴费' }}
            </template>
          </van-field>
        </div>
        <!--        待修改-->
        <div v-if="visible('SPDXG')">
          <van-field
              v-model="value.auditFindings"
              name="auditFindings"
              readonly
              label="审核结果"
          >
            <template slot="input">
              {{ value.auditFindings === '1' ? '通过' : '不通过' }}
            </template>
          </van-field>
          <van-field
              v-model="value.reviewName"
              name="reviewName"
              readonly
              label="审核人"
          >
            <template slot="input">
              {{ value.reviewName | valueFilter}}
            </template>
          </van-field>
          <van-field
              v-model="value.examineEndDate"
              name="examineEndDate"
              readonly
              label="审核时间"
          >
            <template slot="input">
              {{ moment(value.examineEndDate).format('YYYY-MM-DD HH:mm:ss') | valueFilter}}
            </template>
          </van-field>
          <van-field
              v-model="value.againSubmit"
              name="againSubmit"
              readonly
              label="可重新提交"
          >
            <template slot="input">
              {{ value.againSubmit == '1' ? '是' : '否' }}
            </template>
          </van-field>
          <van-field
              v-model="value.notPassCauseName"
              name="notPassCauseName"
              readonly
              label="不通过原因"
          >
            <template slot="input">
              {{ value.notPassCauseName | valueFilter}}
            </template>
          </van-field>
          <van-field
              v-model="value.reviewNumber"
              name="reviewNumber"
              readonly
              label="联系方式"
          >
            <template slot="input">
              {{ value.reviewNumber | valueFilter}}
            </template>
          </van-field>
          <van-field
              label="审核意见"
              :border="false"
          >
            <div slot="input"></div>
          </van-field>
          <van-field
              v-model="value.auditRemarks"
              label-width="0"
              name="auditRemarks"
              input-align="left"
              autosize
              readonly
              type="textarea">
          </van-field>
<!--          <van-field-->
<!--              v-model="value.reviewNumber"-->
<!--              name="reviewNumber"-->
<!--              readonly-->
<!--              label="联系方式"-->
<!--          >-->
<!--            <template slot="input">-->
<!--              {{ value.reviewNumber | valueFilter}}-->
<!--            </template>-->
<!--          </van-field>-->
        </div>
        <!--        待递交-->
        <div v-if="visible('SPDDJCL')">
          <van-field
              v-model="value.auditFindings"
              name="auditFindings"
              readonly
              label="审核结果"
          >
            <template slot="input">
              {{ value.auditFindings === '1' ? '通过' : '不通过' }}
            </template>
          </van-field>
          <van-field
              v-model="value.reviewName"
              name="reviewName"
              readonly
              label="审核人"
          >
            <template slot="input">
              {{ value.reviewName | valueFilter}}
            </template>
          </van-field>
          <van-field
              v-model="value.examineEndDate"
              name="examineEndDate"
              readonly
              label="审核时间"
          >
            <template slot="input">
              {{  moment(value.examineEndDate).format('YYYY-MM-DD HH:mm:ss') | valueFilter}}
            </template>
          </van-field>
          <van-field
              v-model="value.mediation"
              name="mediation"
              readonly
              label="是否调解"
          >
            <template slot="input">
              {{ value.mediation == '1' ? '是' : '否' }}
            </template>
          </van-field>
          <van-field
              v-model="value.caseReasonName"
              name="caseReasonName"
              readonly
              label="案由"
          >
            <template slot="input">
              {{ value.caseReasonName | valueFilter}}
            </template>
          </van-field>
          <van-field
              v-if="applyType !=='FYXWPCYWJGZP'"
              v-model="value.applicableProceduresName"
              name="applicableProceduresName"
              readonly
              label="适用程序"
          >
            <template slot="input">
              {{ value.applicableProceduresName | valueFilter}}
            </template>
          </van-field>
          <van-field
              v-if="applyType ==='FYXWPCYWJGZP'"
              v-model="value.applicableProceduresName"
              name="applicableProceduresName"
              readonly
              label="受理程序"
          >
            <template slot="input">
              司法赔偿
            </template>
          </van-field>
          <van-field
              v-model="value.caseAcceptanceFee"
              name="caseAcceptanceFee"
              readonly
              label="案件受理费"
          >
            <template slot="input">
              {{ value.caseAcceptanceFee | valueFilter('money')}}
            </template>
          </van-field>
          <van-field
              v-model="value.reviewNumber"
              name="reviewNumber"
              readonly
              label="联系方式"
          >
            <template slot="input">
              {{ value.reviewNumber | valueFilter}}
            </template>
          </van-field>
          <van-field
              label="审核意见"
              :border="false"
          >
            <div slot="input"></div>
          </van-field>
          <van-field
              v-model="value.auditRemarks"
              label-width="0"
              name="auditRemarks"
              input-align="left"
              autosize
              readonly
              type="textarea">
          </van-field>
          <van-field
              v-model="value.isPayment"
              name="isPayment"
              readonly
              label="缴费状态"
          >
            <template slot="input">
              {{ value.isPayment == '1' ? '已缴费' : '未缴费' }}
            </template>
          </van-field>
          <van-field
              v-model="value.actualPay"
              name="actualPay"
              readonly
              label="实际缴费金额"
          >
            <template slot="input">
              {{ value.actualPay | valueFilter('money')}}
            </template>
          </van-field>
          <van-field
              v-model="value.payEndDate"
              name="payEndDate"
              readonly
              label="缴费日期"
          >
            <template slot="input">
              {{ moment(value.payEndDate).format('YYYY-MM-DD')  | valueFilter }}
            </template>
          </van-field>
          <van-field
              v-model="value.isMaterials"
              name="isMaterials"
              readonly
              label="材料状态"
          >
            <template slot="input">
              {{ value.isMaterials == '1' ? '已递交材料' : '待递交材料' }}
            </template>
          </van-field>

<!--          <van-field
              v-model="value.materialsLimit"
              name="materialsLimit"
              readonly
              label="递交材料时限"
          >
            <template slot="input">
              {{ value.materialsLimit | valueFilter('dayLimit')}}
            </template>
          </van-field>-->
        </div>
        <!--        待庭审-->
        <div v-if="visible('SPDTS')">
          <van-field
              v-model="value.isTake"
              name="isTake"
              readonly
              label="收案状态"
          >
            <template slot="input">
              {{ value.isTake == '1' ? '已收案' : '未收案' }}
            </template>
          </van-field>
          <van-field
              v-model="value.receiveMaterialsName"
              name="receiveMaterialsName"
              readonly
              label="材料接收人"
          >
            <template slot="input">
              {{ value.receiveMaterialsName | valueFilter}}
            </template>
          </van-field>
          <van-field
              v-model="value.receiveMaterialsDate"
              name="receiveMaterialsDate"
              readonly
              label="材料接收时间"
          >
            <template slot="input">
              {{ moment(value.receiveMaterialsDate).format('YYYY-MM-DD HH:mm:ss') | valueFilter}}
            </template>
          </van-field>
          <van-field
              v-model="value.reviewNumber"
              name="reviewNumber"
              readonly
              label="联系方式"
          >
            <template slot="input">
              {{ value.reviewNumber }}
            </template>
          </van-field>
          <van-field
              v-model="value.caseNo"
              name="caseNo"
              readonly
              label="案号"
          >
            <template slot="input">
              {{ value.caseNo | valueFilter('caseNo')}}
            </template>
          </van-field>
          <van-field
              v-model="value.judgeName"
              name="judgeName"
              readonly
              label="承办法官"
          >
            <template slot="input">
              {{ value.judgeName | valueFilter('judgeName')}}
            </template>
          </van-field>
          <van-field
              v-model="value.judgePhone"
              name="judgePhone"
              readonly
              label="法官联系方式"
          >
            <template slot="input">
              {{ value.judgePhone | valueFilter('judgePhone','',value.divisionFlag) }}
            </template>
          </van-field>
          <van-field
              v-if="applyType !=='FYXWPCYWJGZP'"
              v-model="value.applicableProceduresName"
              name="applicableProceduresName"
              readonly
              label="适用程序"
          >
            <template slot="input">
              {{ value.applicableProceduresName | valueFilter}}
            </template>
          </van-field>
          <van-field
              v-if="applyType ==='FYXWPCYWJGZP'"
              v-model="value.applicableProceduresName"
              name="applicableProceduresName"
              readonly
              label="受理程序"
          >
            <template slot="input">
              司法赔偿
            </template>
          </van-field>
          <van-field
              v-model="value.trialProceduresName"
              name="trialProceduresName"
              readonly
              label="审判程序"
          >
            <template slot="input">
              {{ applyType === 'FYXWPCYWJGZP' ? '-' : value.trialProceduresName | valueFilter }}
            </template>
          </van-field>
          <van-field
              v-model="value.scheduleStartDate"
              name="scheduleStartDate"
              readonly
              label="庭审时间"
          >
            <template slot="input">
              {{ moment(value.scheduleStartDate).format('YYYY-MM-DD HH:mm') | valueFilter('scheduleStartDate')}}
            </template>
          </van-field>
          <van-field
              v-model="value.courtName"
              name="courtName"
              readonly
              label="庭审法庭"
          >
            <template slot="input">
              {{ value.courtName | valueFilter('courtName')}}
            </template>
          </van-field>
        </div>
        <!--        已结案-->
        <div v-if="visible('SPYJA')">
          <van-field
              v-model="value.caseNo"
              name="caseNo"
              readonly
              label="案号"
          >
            <template slot="input">
              {{ value.caseNo  | valueFilter('caseNo')}}
            </template>
          </van-field>
          <van-field
              v-model="value.trialProceduresName"
              name="trialProceduresName"
              readonly
              label="审判程序"
          >
            <template slot="input">
              {{ applyType === 'FYXWPCYWJGZP' ? '-' : value.trialProceduresName | valueFilter }}
            </template>
          </van-field>
          <van-field
              v-if="applyType !=='FYXWPCYWJGZP'"
              v-model="value.applicableProceduresName"
              name="applicableProceduresName"
              readonly
              label="适用程序"
          >
            <template slot="input">
              {{ value.applicableProceduresName | valueFilter}}
            </template>
          </van-field>
          <van-field
              v-if="applyType ==='FYXWPCYWJGZP'"
              v-model="value.applicableProceduresName"
              name="applicableProceduresName"
              readonly
              label="受理程序"
          >
            <template slot="input">
              司法赔偿
            </template>
          </van-field>
          <van-field
              v-model="value.trialChamberName"
              name="trialChamberName"
              readonly
              label="承办庭室"
          >
            <template slot="input">
              {{ value.trialChamberName }}
            </template>
          </van-field>
          <van-field
              v-model="value.judgeName"
              name="judgeName"
              readonly
              label="承办法官"
          >
            <template slot="input">
              {{ value.judgeName | valueFilter('judgeName')}}
            </template>
          </van-field>
          <van-field
              v-model="value.closeTypeName"
              name="closeTypeName"
              readonly
              label="结案方式"
          >
            <template slot="input">
              {{ value.closeTypeName | valueFilter}}
            </template>
          </van-field>
          <van-field
              v-model="value.closeEndDate"
              name="closeEndDate"
              readonly
              label="结案日期"
          >
            <template slot="input">
              {{ moment(value.closeEndDate).format('YYYY-MM-DD') | valueFilter}}
            </template>
          </van-field>
          <van-field
              v-model="value.courtName"
              name="courtName"
              readonly
              class="no-bottom-border"
              label="庭审法庭"
          >
            <template slot="input">
              {{ value.courtName | valueFilter('courtName')}}
            </template>
          </van-field>
          <div class="van-field__label van-cell" style="background-color: var(--backGround)">司法判决书</div>
          <div style="background: var(--white);font-size: 16px;padding: 0 var(--13pxToRem)">
            <template v-for="(item,index) in getFileData('27')">
              <div v-if="item.evidencFileName" type="text"
                         @click="downloadFile(item)"
                         :style="[index < getFileData('27').length - 1 ? {borderBottom: '1px solid #e5e5e5'}: {},{color: '#019FEE',fontSize: '14px',padding: '10px 0'}]"
              >
                {{ item.evidencFileName }}
              </div>
            </template>
            <div v-if="getFileData('27').length === 0" class="readonly-text-field" style="padding: 10px;font-size: 14px;color: var(--text-main-color);">暂无司法判决书</div>
          </div>
          <div class="van-field__label van-cell" style="background-color: var(--backGround)">其他材料</div>
          <div style="background: var(--white);font-size: 16px;padding: 0 var(--13pxToRem)">
            <template v-for="(item,index) in getFileData('31')">
              <div v-if="item.evidencFileName" type="text"
                   @click="downloadFile(item)"
                   :style="[index < getFileData('31').length - 1 ? {borderBottom: '1px solid #e5e5e5'}: {},{color: '#019FEE',fontSize: '14px',padding: '10px 0'}]"
              >
                {{ item.evidencFileName }}
              </div>
            </template>
            <div v-if="getFileData('31').length === 0" class="readonly-text-field" style="padding: 10px;font-size: 14px;color: var(--text-main-color);">暂无其他材料</div>
          </div>
        </div>
        <!--        已失效-->
        <div v-if="visible('SPYSX')">
<!--          <van-field-->
<!--              v-model="value.loseReason"-->
<!--              name="loseReason"-->
<!--              readonly-->
<!--              label="失效原因"-->
<!--          >-->
<!--            <template slot="input">-->
<!--              {{ value.loseReason  | valueFilter}}-->
<!--            </template>-->
<!--          </van-field>-->
          <van-field
              v-model="value.presidentApprovalDate"
              name="presidentApprovalDate"
              readonly
              label="失效时间"
          >
            <template slot="input">
              {{  moment(value.presidentApprovalDate).format('YYYY-MM-DD HH:mm:ss') | valueFilter}}
            </template>
          </van-field>
        </div>
        <!--        已驳回-->
        <div v-if="visible('SPYBH')">
          <van-field
              v-model="value.auditFindings"
              name="auditFindings"
              readonly
              label="审核结果"
          >
            <template slot="input">
              {{ value.auditFindings === '1' ? '通过' : '不通过' }}
            </template>
          </van-field>
          <van-field
              v-model="value.reviewName"
              name="reviewName"
              readonly
              label="审核人"
          >
            <template slot="input">
              {{ value.reviewName | valueFilter}}
            </template>
          </van-field>
          <van-field
              v-model="value.examineEndDate"
              name="examineEndDate"
              readonly
              label="审核时间"
          >
            <template slot="input">
              {{ moment(value.examineEndDate).format('YYYY-MM-DD HH:mm:ss') | valueFilter}}
            </template>
          </van-field>
          <van-field
              v-model="value.againSubmit"
              name="againSubmit"
              readonly
              label="可重新提交"
          >
            <template slot="input">
              {{ value.againSubmit == '1' ? '是' : '否' }}
            </template>
          </van-field>
          <van-field
              v-model="value.notPassCauseName"
              name="notPassCauseName"
              readonly
              label="不通过原因"
          >
            <template slot="input">
              {{ value.notPassCauseName | valueFilter}}
            </template>
          </van-field>
          <van-field
              v-model="value.reviewNumber"
              name="reviewNumber"
              readonly
              label="联系方式"
          >
            <template slot="input">
              {{ value.reviewNumber | valueFilter}}
            </template>
          </van-field>
          <van-field
              label="审核意见"
              :border="false"
          >
            <div slot="input"></div>
          </van-field>
          <van-field
              v-model="value.auditRemarks"
              label-width="0"
              name="auditRemarks"
              input-align="left"
              autosize
              readonly
              type="textarea">
          </van-field>
        </div>
        <!--        已撤诉未立案-->
        <div v-if="visible('SPYCSWLA')">
          <van-field
              v-model="value.businessId"
              name="businessId"
              readonly
              label="案号"
          >
            <template slot="input">
              {{ value.businessId }}
            </template>
          </van-field>
          <van-field
              v-model="value.trialProceduresName"
              name="trialProceduresName"
              readonly
              label="审判程序"
          >
            <template slot="input">
              {{ applyType === 'FYXWPCYWJGZP' ? '-' : value.trialProceduresName | valueFilter }}
            </template>
          </van-field>
          <van-field
              v-if="applyType !=='FYXWPCYWJGZP'"
              v-model="value.applicableProceduresName"
              name="applicableProceduresName"
              readonly
              label="适用程序"
          >
            <template slot="input">
              {{ value.applicableProceduresName | valueFilter}}
            </template>
          </van-field>
          <van-field
              v-if="applyType ==='FYXWPCYWJGZP'"
              v-model="value.applicableProceduresName"
              name="applicableProceduresName"
              readonly
              label="受理程序"
          >
            <template slot="input">
              司法赔偿
            </template>
          </van-field>
          <van-field
              v-model="value.trialChamberName"
              name="trialChamberName"
              readonly
              label="承办庭室"
          >
            <template slot="input">
              {{ value.trialChamberName | valueFilter('trialChamberName','SPYCSWLA') }}
            </template>
          </van-field>
          <van-field
              v-model="value.judgeName"
              name="judgeName"
              readonly
              label="承办法官"
          >
            <template slot="input">
              {{ value.judgeName | valueFilter('judgeName','SPYCSWLA') }}
            </template>
          </van-field>
          <van-field
              v-model="value.closeTypeName"
              name="closeTypeName"
              readonly
              label="结案方式"
          >
            <template slot="input">
              {{ value.closeTypeName | valueFilter('closeTypeName','SPYCSWLA') }}
            </template>
          </van-field>
          <van-field
              v-model="value.closeEndDate"
              name="closeEndDate"
              readonly
              label="结案日期"
          >
            <template slot="input">
              {{ moment(value.closeEndDate).format('YYYY-MM-DD') | valueFilter('closeEndDate','SPYCSWLA') }}
            </template>
          </van-field>
          <van-field
              v-model="value.courtName"
              name="courtName"
              class="no-bottom-border"
              readonly
              label="庭审法庭"
          >
            <template slot="input">
              {{ value.courtName | valueFilter('courtName','SPYCSWLA') }}
            </template>
          </van-field>
          <div class="van-field__label van-cell" style="background-color: var(--backGround)">撤诉裁定书</div>
          <div style="background: var(--white);font-size: 16px;padding: 0 var(--13pxToRem)">
            <template v-for="(item,index) in getFileData('27')">
              <div v-if="item.evidencFileName" type="text"
                   @click="downloadFile(item)"
                   :style="[index < getFileData('27').length - 1 ? {borderBottom: '1px solid #e5e5e5'}: {},{color: '#019FEE',fontSize: '14px',padding: '10px 0'}]"
              >
                {{ item.evidencFileName }}
              </div>
            </template>
            <div v-if="getFileData('27').length === 0" class="readonly-text-field" style="padding: 10px;font-size: 14px;color: var(--text-main-color);">暂无撤诉裁定书</div>
          </div>
          <div class="van-field__label van-cell" style="background-color: var(--backGround)">其他材料</div>
          <div style="background: var(--white);font-size: 16px;padding: 0 var(--13pxToRem)">
            <template v-for="(item,index) in getFileData('31')">
              <div v-if="item.evidencFileName" type="text"
                   @click="downloadFile(item)"
                   :style="[index < getFileData('31').length - 1 ? {borderBottom: '1px solid #e5e5e5'}: {},{color: '#019FEE',fontSize: '14px',padding: '10px 0'}]"
              >
                {{ item.evidencFileName }}
              </div>
            </template>
            <div v-if="getFileData('31').length === 0" class="readonly-text-field" style="padding: 10px;font-size: 14px;color: var(--text-main-color);">暂无其他材料</div>
          </div>
        </div>
        <!--        已撤诉已立案-->
        <div v-if="visible('SPCSYLA')">
          <van-field
              v-model="value.caseNo"
              name="caseNo"
              readonly
              label="案号"
          >
            <template slot="input">
              {{ value.caseNo | valueFilter('caseNo')}}
            </template>
          </van-field>
          <van-field
              v-model="value.trialProceduresName"
              name="trialProceduresName"
              readonly
              label="审判程序"
          >
            <template slot="input">
              {{ applyType === 'FYXWPCYWJGZP' ? '-' : value.trialProceduresName | valueFilter }}
            </template>
          </van-field>
          <van-field
              v-if="applyType !=='FYXWPCYWJGZP'"
              v-model="value.applicableProceduresName"
              name="applicableProceduresName"
              readonly
              label="适用程序"
          >
            <template slot="input">
              {{ value.applicableProceduresName | valueFilter}}
            </template>
          </van-field>
          <van-field
              v-if="applyType ==='FYXWPCYWJGZP'"
              v-model="value.applicableProceduresName"
              name="applicableProceduresName"
              readonly
              label="受理程序"
          >
            <template slot="input">
              司法赔偿
            </template>
          </van-field>
          <van-field
              v-model="value.trialChamberName"
              name="trialChamberName"
              readonly
              label="承办庭室"
          >
            <template slot="input">
              {{ value.trialChamberName }}
            </template>
          </van-field>
          <van-field
              v-model="value.judgeName"
              name="judgeName"
              readonly
              label="承办法官"
          >
            <template slot="input">
              {{ value.judgeName | valueFilter('judgeName')}}
            </template>
          </van-field>
          <van-field
              v-model="value.closeTypeName"
              name="closeTypeName"
              readonly
              label="结案方式"
          >
            <template slot="input">
              {{ value.closeTypeName | valueFilter}}
            </template>
          </van-field>
          <van-field
              v-model="value.closeEndDate"
              name="closeEndDate"
              readonly
              label="结案日期"
          >
            <template slot="input">
              {{ moment(value.closeEndDate).format('YYYY-MM-DD') | valueFilter}}
            </template>
          </van-field>
          <van-field
              v-model="value.courtName"
              name="courtName"
              class="no-bottom-border"
              readonly
              label="庭审法庭"
          >
            <template slot="input">
              {{ value.courtName | valueFilter('courtName')}}
            </template>
          </van-field>
          <div class="van-field__label van-cell" style="background-color: var(--backGround)">撤诉裁定书</div>
          <div style="background: var(--white);font-size: 16px;padding: 0 var(--13pxToRem)">
            <template v-for="(item,index) in getFileData('27')">
              <div v-if="item.evidencFileName" type="text"
                   @click="downloadFile(item)"
                   :style="[index < getFileData('27').length - 1 ? {borderBottom: '1px solid #e5e5e5'}: {},{color: '#019FEE',fontSize: '14px',padding: '10px 0'}]"
              >
                {{ item.evidencFileName }}
              </div>
            </template>
            <div v-if="getFileData('27').length === 0" class="readonly-text-field" style="padding: 10px;font-size: 14px;color: var(--text-main-color);">暂无撤诉裁定书</div>
          </div>
          <div class="van-field__label van-cell" style="background-color: var(--backGround)">其他材料</div>
          <div style="background: var(--white);font-size: 16px;padding: 0 var(--13pxToRem)">
            <template v-for="(item,index) in getFileData('31')">
              <div v-if="item.evidencFileName" type="text"
                   @click="downloadFile(item)"
                   :style="[index < getFileData('31').length - 1 ? {borderBottom: '1px solid #e5e5e5'}: {},{color: '#019FEE',fontSize: '14px',padding: '10px 0'}]"
              >
                {{ item.evidencFileName }}
              </div>
            </template>
            <div v-if="getFileData('31').length === 0" class="readonly-text-field" style="padding: 10px;font-size: 14px;color: var(--text-main-color);">暂无其他材料</div>
          </div>
        </div>
        <!--保全开始         -->
        <!--        保全代缴费-->
        <div v-if="visible('BQDJF')">
          <van-field
              v-model="value.auditFindings"
              name="auditFindings"
              readonly
              label="审核结果"
          >
            <template slot="input">
              {{ value.auditFindings === '1' ? '通过' : '不通过' }}
            </template>
          </van-field>
          <van-field
              v-model="value.closeOpinions"
              name="closeOpinions"
              readonly
              label="收案意见"
          >
            <template slot="input">
              {{ closeOpinions[value.closeOpinions] | valueFilter}}
            </template>
          </van-field>
          <van-field
              v-model="value.jurisdictionalBasisName"
              name="jurisdictionalBasisName"
              readonly
              label="管辖依据"
          >
            <template slot="input">
              {{ value.jurisdictionalBasisName | valueFilter}}
            </template>
          </van-field>
          <van-field
              v-model="value.preservationAmount"
              name="preservationAmount"
              readonly
              label="标的金额"
          >
            <template slot="input">
              {{ value.preservationAmount | valueFilter('money')}}
            </template>
          </van-field>
          <van-field
              v-model="value.adviseAmount"
              name="adviseAmount"
              readonly
              label="保全费"
          >
            <template slot="input">
              {{ value.adviseAmount | valueFilter('money')}}
            </template>
          </van-field>
          <van-field
              v-model="value.reviewName"
              name="reviewName"
              readonly
              label="审核人"
          >
            <template slot="input">
              {{ value.reviewName | valueFilter}}
            </template>
          </van-field>
          <van-field
              v-model="value.examineEndDate"
              name="examineEndDate"
              readonly
              label="审核时间"
          >
            <template slot="input">
              {{ moment(value.examineEndDate).format('YYYY-MM-DD HH:mm:ss') | valueFilter}}
            </template>
          </van-field>
          <van-field
              v-model="value.reviewNumber"
              name="reviewNumber"
              readonly
              label="联系方式"
          >
            <template slot="input">
              {{ value.reviewNumber | valueFilter}}
            </template>
          </van-field>
          <van-field
              v-model="value.isPayment"
              name="isPayment"
              readonly
              label="缴费状态"
          >
            <template slot="input">
              {{ value.isPayment == '1' ? '已缴费' : '未缴费' }}
            </template>
          </van-field>
          <van-field
              label="审核意见"
              :border="false"
          >
            <div slot="input"></div>
          </van-field>
          <van-field
              v-model="value.auditRemarks"
              label-width="0"
              name="auditRemarks"
              input-align="left"
              autosize
              readonly
              type="textarea">
          </van-field>
        </div>
        <!--          待修改-->
        <div v-if="visible('BQDXG')">
          <van-field
              v-model="value.auditFindings"
              name="auditFindings"
              readonly
              label="审核结果"
          >
            <template slot="input">
              {{ value.auditFindings === '1' ? '通过' : '不通过' }}
            </template>
          </van-field>
          <van-field
              v-model="value.againSubmit"
              name="againSubmit"
              readonly
              label="是否可重新提交"
          >
            <template slot="input">
              {{ value.againSubmit === '1' ? '是' : '否' }}
            </template>
          </van-field>
          <van-field
              v-model="value.reviewName"
              name="reviewName"
              readonly
              label="审核人"
          >
            <template slot="input">
              {{ value.reviewName | valueFilter}}
            </template>
          </van-field>
          <van-field
              v-model="value.examineEndDate"
              name="examineEndDate"
              readonly
              label="审核时间"
          >
            <template slot="input">
              {{ moment(value.examineEndDate).format('YYYY-MM-DD HH:mm:ss') | valueFilter}}
            </template>
          </van-field>
          <van-field
              v-model="value.reviewNumber"
              name="reviewNumber"
              readonly
              label="联系方式"
          >
            <template slot="input">
              {{ value.reviewNumber | valueFilter}}
            </template>
          </van-field>
          <van-field
              label="审核意见"
              :border="false"
          >
            <div slot="input"></div>
          </van-field>
          <van-field
              v-model="value.auditRemarks"
              label-width="0"
              name="auditRemarks"
              input-align="left"
              autosize
              readonly
              type="textarea">
          </van-field>
        </div>
        <!--          已驳回-->
        <div v-if="visible('BQYBH')">
          <van-field
              v-model="value.auditFindings"
              name="auditFindings"
              readonly
              label="审核结果"
          >
            <template slot="input">
              {{ value.auditFindings === '1' ? '通过' : '不通过' }}
            </template>
          </van-field>
          <van-field
              v-model="value.againSubmit"
              name="againSubmit"
              readonly
              label="是否可重新提交"
          >
            <template slot="input">
              {{ value.againSubmit === '1' ? '是' : '否' }}
            </template>
          </van-field>
          <van-field
              v-model="value.reviewName"
              name="reviewName"
              readonly
              label="审核人"
          >
            <template slot="input">
              {{ value.reviewName | valueFilter}}
            </template>
          </van-field>
          <van-field
              v-model="value.examineEndDate"
              name="examineEndDate"
              readonly
              label="审核时间"
          >
            <template slot="input">
              {{ moment(value.examineEndDate).format('YYYY-MM-DD HH:mm:ss') | valueFilter}}
            </template>
          </van-field>
          <van-field
              v-model="value.reviewNumber"
              name="reviewNumber"
              readonly
              label="联系方式"
          >
            <template slot="input">
              {{ value.reviewNumber | valueFilter}}
            </template>
          </van-field>
          <van-field
              v-model="value.isNeedRule"
              name="isNeedRule"
              readonly
              label="需要下裁定"
          >
            <template slot="input">
              {{ value.isNeedRule === '1' ? '是' : '否'}}
            </template>
          </van-field>
          <van-field
              label="审核意见"
              :border="false"
          >
            <div slot="input"></div>
          </van-field>
          <van-field
              v-model="value.auditRemarks"
              label-width="0"
              name="auditRemarks"
              input-align="left"
              autosize
              readonly
              type="textarea">
          </van-field>
        </div>
        <!--          已撤销-->
        <div v-if="visible('BQYCX')">
          <van-field
              v-model="value.isPayment"
              name="isPayment"
              readonly
              label="缴费状态"
          >
            <template slot="input">
              {{ value.isPayment === '1' ? '已缴费' : '未缴费' }}
            </template>
          </van-field>
          <van-field
              v-model="value.revokeName"
              name="revokeName"
              readonly
              label="操作人"
          >
            <template slot="input">
              {{ value.revokeName | valueFilter}}
            </template>
          </van-field>
          <van-field
              v-model="value.revokeDate"
              name="revokeDate"
              readonly
              label="操作时间"
          >
            <template slot="input">
              {{ moment(value.revokeDate).format('YYYY-MM-DD HH:mm:ss') | valueFilter}}
            </template>
          </van-field>
          <van-field
              v-model="value.revokeNumber"
              name="revokeNumber"
              readonly
              label="联系方式"
          >
            <template slot="input">
              {{ value.revokeNumber | valueFilter}}
            </template>
          </van-field>
          <van-field
              v-model="value.withdrawalCause"
              name="withdrawalCause"
              readonly
              label="撤销原因"
          >
            <template slot="input">
              {{value.withdrawalCause | valueFilter}}
            </template>
          </van-field>
          <van-field
              label="备注"
              :border="false"
          >
            <div slot="input"></div>
          </van-field>
          <van-field
              v-model="value.withdrawalRemarks"
              label-width="0"
              name="withdrawalRemarks"
              input-align="left"
              autosize
              readonly
              class="no-bottom-border"
              type="textarea">
            <template slot="input">
              {{ value.withdrawalRemarks | valueFilter }}
            </template>
          </van-field>
          <div class="van-field__label van-cell" style="background-color: var(--backGround)">撤销文件</div>
          <div style="background: var(--white);font-size: 16px;padding: 0 var(--13pxToRem)">
            <template v-for="(item,index) in getFileData('20')">
              <div v-if="item.evidencFileName" type="text"
                   @click="downloadFile(item)"
                   :style="[index < getFileData('20').length - 1 ? {borderBottom: '1px solid #e5e5e5'}: {},{color: '#019FEE',fontSize: '14px',padding: '10px 0'}]"
              >
                {{ item.evidencFileName }}
              </div>
            </template>
            <div v-if="getFileData('20').length === 0" class="readonly-text-field" style="padding: 10px;font-size: 14px;color: var(--text-main-color);">暂无撤销文件</div>
          </div>
        </div>
        <!--          代立案-->
        <div v-if="visible('BQDLA')">
          <van-field
              v-model="value.isPayment"
              name="isPayment"
              readonly
              label="缴费状态"
          >
            <template slot="input">
              {{ value.isPayment === '1' ? '已缴费' : '未缴费' }}
            </template>
          </van-field>
          <van-field
              v-model="value.payEndDate"
              name="payEndDate"
              readonly
              label="缴费时间"
          >
            <template slot="input">
              {{ moment(value.payEndDate).format('YYYY-MM-DD HH:mm:ss') | valueFilter}}
            </template>
          </van-field>
          <van-field
              v-model="value.paymentFee"
              name="paymentFee"
              readonly
              label="缴费金额"
          >
            <template slot="input">
              {{ value.paymentFee | valueFilter('money')}}
            </template>
          </van-field>
          <van-field
              v-model="value.presidentName"
              name="presidentName"
              readonly
              label="操作人"
          >
            <template slot="input">
              {{ value.presidentName | valueFilter}}
            </template>
          </van-field>
          <van-field
              v-model="value.presidentDate"
              name="presidentDate"
              readonly
              label="操作时间"
          >
            <template slot="input">
              {{value.presidentDate | valueFilter}}
            </template>
          </van-field>
          <van-field
              v-model="value.presidentNumber"
              name="presidentNumber"
              readonly
              label="联系方式"
          >
            <template slot="input">
              {{ value.presidentNumber | valueFilter}}
            </template>
          </van-field>
        </div>
        <!--          非诉待裁定-->
        <div v-if="visible('BQFSDCD')">
          <van-field
              v-model="value.presidentApprovalComments"
              name="presidentApprovalComments"
              readonly
              label="审批意见"
          >
            <template slot="input">
              {{  (value.stage === '308' ? '暂未审批' : (value.presidentApprovalComments ? presidentApprovalComments[value.presidentApprovalComments] : '审核未通过待下发裁定')) | valueFilter }}
            </template>
          </van-field>
          <van-field
              v-model="value.presidentApprovalName"
              name="presidentApprovalName"
              readonly
              label="立案庭审批人"
          >
            <template slot="input">
              {{  (value.stage === '308' ? '暂未审批' : (value.presidentApprovalComments ? (value.presidentApprovalName) : '审核未通过待下发裁定')) | valueFilter}}
            </template>
          </van-field>
          <van-field
              v-model="value.presidentApprovalDate"
              name="presidentApprovalDate"
              readonly
              label="立案庭审批日期"
          >
            <template slot="input">
              {{  (value.stage === '308' ? '暂未审批' : (value.presidentApprovalComments ? (moment(value.presidentApprovalDate).format('YYYY-MM-DD')) : '审核未通过待下发裁定')) | valueFilter}}
            </template>
          </van-field>
          <van-field
              v-model="value.presidentApprovalNumber"
              name="presidentApprovalNumber"
              readonly
              label="联系方式"
          >
            <template slot="input">
              {{  (value.stage === '308' ? '暂未审批' : (value.presidentApprovalComments ? (value.presidentApprovalNumber) : '审核未通过待下发裁定')) | valueFilter}}
            </template>
          </van-field>
          <van-field
              v-model="value.caseNo"
              name="caseNo"
              readonly
              label="案号"
          >
            <template slot="input">
              {{value.caseNo | valueFilter('caseNo')}}
            </template>
          </van-field>
          <van-field
              v-model="value.filingDate"
              name="filingDate"
              readonly
              label="立案日期"
          >
            <template slot="input">
              {{  (value.stage === '308' ? '暂未审批' : (value.presidentApprovalComments ? (moment(value.filingDate ? value.filingDate : value.examineEndDate).format('YYYY-MM-DD')) : '审核未通过待下发裁定')) | valueFilter}}
            </template>
          </van-field>
          <van-field
              label="审批备注"
              :border="false"
          >
            <div slot="input"></div>
          </van-field>
          <van-field
              v-model="value.presidentApprovalNotes"
              label-width="0"
              name="presidentApprovalNotes"
              input-align="left"
              autosize
              readonly
              type="textarea">
            <template slot="input">
              {{  (value.stage === '308' ? '暂未审批' : (value.presidentApprovalComments ? (value.presidentApprovalNotes) : '审核未通过待下发裁定')) | valueFilter }}
            </template>
          </van-field>
          <van-field
              v-model="value.trialChamberName"
              name="trialChamberName"
              readonly
              label="承办庭室"
          >
            <template slot="input">
              {{  (value.stage === '308' ? '暂未分案' : (value.trialChamberName)) | valueFilter}}
            </template>
          </van-field>
          <van-field
              v-model="value.judgeName"
              name="judgeName"
              readonly
              label="承办法官"
          >
            <template slot="input">
              {{ value.judgeName | valueFilter('judgeName')}}
            </template>
          </van-field>
          <van-field
              v-model="value.judgePhone"
              name="judgePhone"
              readonly
              label="联系方式"
          >
            <template slot="input">
              {{ value.judgePhone | valueFilter('judgePhone','',value.divisionFlag) }}
            </template>
          </van-field>
        </div>
        <!--          诉中待裁定-->
        <div v-if="visible('BQSZDCD')">
          <van-field
              v-model="value.auditFindings"
              name="auditFindings"
              readonly
              label="审批意见"
          >
            <template slot="input">
              {{ (value.auditFindings === '1' ? '同意立案' : '驳回申请') | valueFilter }}
            </template>
          </van-field>
          <van-field
              v-model="value.trialChamberName"
              name="trialChamberName"
              readonly
              label="承办庭室"
          >
            <template slot="input">
              {{  (value.stage === '308' ? '暂未分案' : (value.trialChamberName)) | valueFilter}}
            </template>
          </van-field>
          <van-field
              v-model="value.judgeName"
              name="judgeName"
              readonly
              label="承办法官"
          >
            <template slot="input">
              {{ value.judgeName | valueFilter('judgeName')}}
            </template>
          </van-field>
          <van-field
              v-model="value.judgePhone"
              name="judgePhone"
              readonly
              label="联系方式"
          >
            <template slot="input">
              {{ value.judgePhone | valueFilter('judgePhone','',value.divisionFlag) }}
            </template>
          </van-field>
        </div>
        <!--          保全结案-->
        <div v-if="visible('BQJACDBQ')">
          <van-field
              v-model="value.observeMethod"
              name="observeMethod"
              readonly
              label="裁定方式"
          >
            <template slot="input">
              {{ observeMethod[value.observeMethod] | valueFilter }}
            </template>
          </van-field>
          <van-field
              v-model="value.observeUser"
              name="observeUser"
              readonly
              label="操作人"
          >
            <template slot="input">
              {{ value.observeUser | valueFilter}}
            </template>
          </van-field>
          <van-field
              v-model="value.observeDate"
              name="observeDate"
              readonly
              label="裁定日期"
          >
            <template slot="input">
              {{ moment(value.observeDate).format('YYYY-MM-DD') | valueFilter}}
            </template>
          </van-field>
          <van-field
              v-model="value.observePhone"
              name="observePhone"
              class="no-bottom-border"
              readonly
              label="联系方式"
          >
            <template slot="input">
              {{ value.observePhone | valueFilter}}
            </template>
          </van-field>
          <div class="van-field__label van-cell" style="background-color: var(--backGround)">裁定文件</div>
          <div style="background: var(--white);font-size: 16px;padding: 0 var(--13pxToRem)">
            <template v-for="(item,index) in getFileData('23')">
              <div v-if="item.evidencFileName" type="text"
                   @click="downloadFile(item)"
                   :style="[index < getFileData('23').length - 1 ? {borderBottom: '1px solid #e5e5e5'}: {},{color: '#019FEE',fontSize: '14px',padding: '10px 0'}]"
              >
                {{ item.evidencFileName }}
              </div>
            </template>
            <div v-if="getFileData('23').length === 0" class="readonly-text-field" style="padding: 10px;font-size: 14px;color: var(--text-main-color);">暂无裁定文件</div>
          </div>
          <div class="van-field__label van-cell" style="background-color: var(--backGround)">笔录文件</div>
          <div style="background: var(--white);font-size: 16px;padding: 0 var(--13pxToRem)">
            <template v-for="(item,index) in getFileData('24')">
              <div v-if="item.evidencFileName" type="text"
                   @click="downloadFile(item)"
                   :style="[index < getFileData('24').length - 1 ? {borderBottom: '1px solid #e5e5e5'}: {},{color: '#019FEE',fontSize: '14px',padding: '10px 0'}]"
              >
                {{ item.evidencFileName }}
              </div>
            </template>
            <div v-if="getFileData('24').length === 0" class="readonly-text-field" style="padding: 10px;font-size: 14px;color: var(--text-main-color);">暂无笔录文件</div>
          </div>
          <van-field
              label="备注"
              :border="false"
          >
            <div slot="input"></div>
          </van-field>
          <van-field
              v-model="value.observeOpinion"
              label-width="0"
              name="observeOpinion"
              input-align="left"
              autosize
              readonly
              type="textarea">
            <template slot="input">
              {{ value.observeOpinion | valueFilter }}
            </template>
          </van-field>
        </div>
        <!--          驳回结案-->
        <div v-if="visible('BQJACDBH')">
          <van-field
              v-model="value.observeMethod"
              name="observeMethod"
              readonly
              label="裁定方式"
          >
            <template slot="input">
              {{ observeMethod[value.observeMethod] | valueFilter }}
            </template>
          </van-field>
          <van-field
              v-model="value.observeUser"
              name="observeUser"
              readonly
              label="操作人"
          >
            <template slot="input">
              {{ value.observeUser | valueFilter}}
            </template>
          </van-field>
          <van-field
              v-model="value.observeDate"
              name="observeDate"
              readonly
              label="裁定日期"
          >
            <template slot="input">
              {{  moment(value.observeDate).format('YYYY-MM-DD') | valueFilter}}
            </template>
          </van-field>
          <van-field
              v-model="value.observePhone"
              name="observePhone"
              readonly
              class="no-bottom-border"
              label="联系方式"
          >
            <template slot="input">
              {{ value.observePhone | valueFilter}}
            </template>
          </van-field>
          <div class="van-field__label van-cell" style="background-color: var(--backGround)">裁定文件</div>
          <div style="background: var(--white);font-size: 16px;padding: 0 var(--13pxToRem)">
            <template v-for="(item,index) in getFileData('23')">
              <div v-if="item.evidencFileName" type="text"
                   @click="downloadFile(item)"
                   :style="[index < getFileData('23').length - 1 ? {borderBottom: '1px solid #e5e5e5'}: {},{color: '#019FEE',fontSize: '14px',padding: '10px 0'}]"
              >
                {{ item.evidencFileName }}
              </div>
            </template>
            <div v-if="getFileData('23').length === 0" class="readonly-text-field" style="padding: 10px;font-size: 14px;color: var(--text-main-color);">暂无裁定文件</div>
          </div>
          <div class="van-field__label van-cell" style="background-color: var(--backGround)">笔录文件</div>
          <div style="background: var(--white);font-size: 16px;padding: 0 var(--13pxToRem)">
            <template v-for="(item,index) in getFileData('24')">
              <div v-if="item.evidencFileName" type="text"
                   @click="downloadFile(item)"
                   :style="[index < getFileData('24').length - 1 ? {borderBottom: '1px solid #e5e5e5'}: {},{color: '#019FEE',fontSize: '14px',padding: '10px 0'}]"
              >
                {{ item.evidencFileName }}
              </div>
            </template>
            <div v-if="getFileData('24').length === 0" class="readonly-text-field" style="background-color: var(--backGround)">暂无笔录文件</div>
          </div>
          <van-field
              label="备注"
              :border="false"
          >
            <div slot="input"></div>
          </van-field>
          <van-field
              v-model="value.observeOpinion"
              label-width="0"
              name="observeOpinion"
              input-align="left"
              autosize
              readonly
              type="textarea">
            <template slot="input">
              {{ value.observeOpinion | valueFilter }}
            </template>
          </van-field>
        </div>
        <!--          撤销结案-->
        <div v-if="visible('BQJACDCX')">
          <van-field
              v-model="value.observeMethod"
              name="observeMethod"
              readonly
              label="裁定方式"
          >
            <template slot="input">
              {{ observeMethod[value.observeMethod] | valueFilter }}
            </template>
          </van-field>
          <van-field
              v-model="value.observeUser"
              name="observeUser"
              readonly
              label="操作人"
          >
            <template slot="input">
              {{ value.observeUser | valueFilter}}
            </template>
          </van-field>
          <van-field
              v-model="value.observeDate"
              name="observeDate"
              readonly
              label="裁定日期"
          >
            <template slot="input">
              {{  moment(value.observeDate).format('YYYY-MM-DD') | valueFilter}}
            </template>
          </van-field>
          <van-field
              v-model="value.observePhone"
              name="observePhone"
              readonly
              class="no-bottom-border"
              label="联系方式"
          >
            <template slot="input">
              {{ value.observePhone | valueFilter}}
            </template>
          </van-field>
          <div class="van-field__label van-cell" style="background-color: var(--backGround)">裁定文件</div>
          <div style="background: var(--white);font-size: 16px;padding: 0 var(--13pxToRem)">
            <template v-for="(item,index) in getFileData('23')">
              <div v-if="item.evidencFileName" type="text"
                   @click="downloadFile(item)"
                   :style="[index < getFileData('23').length - 1 ? {borderBottom: '1px solid #e5e5e5'}: {},{color: '#019FEE',fontSize: '14px',padding: '10px 0'}]"
              >
                {{ item.evidencFileName }}
              </div>
            </template>
            <div v-if="getFileData('23').length === 0" class="readonly-text-field" style="padding: 10px;font-size: 14px;color: var(--text-main-color);">暂无裁定文件</div>
          </div>
          <div class="van-field__label van-cell" style="background-color: var(--backGround)">笔录文件</div>
          <div style="background: var(--white);font-size: 16px;padding: 0 var(--13pxToRem)">
            <template v-for="(item,index) in getFileData('24')">
              <div v-if="item.evidencFileName" type="text"
                   @click="downloadFile(item)"
                   :style="[index < getFileData('24').length - 1 ? {borderBottom: '1px solid #e5e5e5'}: {},{color: '#019FEE',fontSize: '14px',padding: '10px 0'}]"
              >
                {{ item.evidencFileName }}
              </div>
            </template>
            <div v-if="getFileData('24').length === 0" class="readonly-text-field" style="padding: 10px;font-size: 14px;color: var(--text-main-color);">暂无笔录文件</div>
          </div>
          <van-field
              label="备注"
              :border="false"
          >
            <div slot="input"></div>
          </van-field>
          <van-field
              v-model="value.observeOpinion"
              label-width="0"
              name="observeOpinion"
              input-align="left"
              autosize
              readonly
              type="textarea">
            <template slot="input">
              {{ value.observeOpinion | valueFilter }}
            </template>
          </van-field>
        </div>
      </div>
    </template>
  `,
  mounted() {
  },
  filters: {
    valueFilter(value, type, stage, otherValue) {
      let text = '-'
      if (type === 'caseNo') {
        text = '暂未生成'
      } else if (type === 'judgeName') {
        if (stage === 'SPYCSWLA') {
          text = '未立案'
        } else {
          text = '暂未分案'
        }
      } else if (type === 'judgePhone') {
        if (otherValue === '0') {
        text = '暂未分案'
        }
      } else if (type === 'scheduleStartDate') {
        text = '暂未排期'
      } else if (type === 'courtName') {
        if (stage === 'SPYCSWLA') {
          text = '未立案'
        } else {
          text = '暂未排期'
        }
      } else if (type === 'trialChamberName') {
        if (stage === 'SPYCSWLA') {
          text = '未立案'
        }
      } else if (type === 'closeTypeName') {
        if (stage === 'SPYCSWLA') {
          text = '撤诉'
        }
      } else if (type === 'closeEndDate') {
        if (stage === 'SPYCSWLA') {
          text = '未立案'
        }
      } else if (type === 'money') {
        text = '0.00元'
      }
      if (!value || value === '' || value === 'Invalid date') {
        return text
      } else if (type === 'caseNo') {
        let temp = value.replace(/-/g, '') + '号'
        temp = temp.replace(/号/g, '') + '号'
        return temp
      } else if (type === 'money') {
        return parseFloat(value).toFixed(2) + '元'
      } else if (type === 'dayLimit') {
        return value + '天'
      }
      return value
    }
  },
  data() {
    return {
      type: this.value.stageCode,
      applyType: this.value.applyType,
      titleJson: {
        'SPDJF': '审核结果',
        'SPDXG': '审核结果',
        'SPDDJCL': '办理进展',
        'SPDTS': '办理进展',
        'SPYJA': '结案详情',
        'SPYSX': '失效详情',
        'SPYBH': '审核结果',
        'SPYCSWLA': '撤诉详情',
        'SPCSYLA': '撤诉详情',
        'BQDJF': '审核结果', // 保全代缴费
        'BQDXG': '审核结果',
        'BQYBH': '审核结果',
        'BQYCX': '撤销详情',
        'BQDLA': '立案详情',
        'BQFSDCD': '办理进展', // 非诉待裁定
        'BQSZDCD': '办理进展', // 诉中待裁定
        'BQJACDBQ': '结案详情', // 裁定驳回
        'BQJACDBH': '结案详情', // 保全结案
        'BQJACDCX': '结案详情' // 保全结案
      },
        // 收案意见
        closeOpinions: {
            '1': '不予受理',
            '2': '不予立案',
            '3': '先予立案',
            '4': '同意立案'
        },
        // 审批意见--诉中
        presidentApprovalCommentsOpinions: {
            '1': '同意申请',
            '0': '驳回申请'
        },
      // 审批意见--诉前
      presidentApprovalComments: {
        '0': '同意立案',
        '1': '退回修改',
        '2': '驳回申请',
        '3': '当事人撤销'
      },
      // 审查方式
      observeMethod: {
        '0': '裁定保全',
        '1': '裁定驳回',
        '2': '裁定撤销'
      }
    }
  },
  computed: {
    getFileData() {
      return (id) => {
        let temp = []
        this.value.litigationMaterialsList.forEach(item => {
          if (item.materialClassification === id) {
            temp.push(item)
          }
        })
        return temp
      }
    },
    headerTitle() {
      return this.titleJson[this.value.stageCode]
    },
    visible() {
      const {
        type
      } = this
      return function(key) {
        return key === type
      }
    }
  },
  methods: {
    // 查看详情 -- 下载
    downloadFile(row, index) {
      if (row.ossInfoId) {
        sendMessage({
          cmd: 'downloadFile',
          params: {
            row
          }
        })
      }
    }
  },
  install(Vue) {
    Vue.component(this.name, this)
  }
}
