const SfAddressPicker = {
    name: 'SfAddressPicker',
    template: `
        <van-popup get-container="body" class="sf-cascader" :close-on-click-overlay="false" @click-overlay="close()" v-model="show" round position="bottom">
        <div class="sf-cascader--header">
          <div class="sf-cascader--title">
            {{ title }}
          </div>
          <van-icon name="cross" class="sf-cascader--close" @click.stop="close"></van-icon>
        </div>
          <van-cascader
            :options="options"
            :field-names="fieldNames"
            v-model="value"
            active-color="#018BE8"
            @finish="selectFinish"
            @change="selectChange"
            :closeable="false"
           >
          </van-cascader>
        </van-popup>
     `,
    props: {
        value: {
            type: [String, Number],
            default: ''
        },
        options: Array,
        title: {
          type: String,
          default: '请选择所在地区'
        },
        show: Boolean,
        fieldNames: {
            type: Object,
            default() {
                return {
                    text: 'text',
                    value: 'value',
                    children: 'children'
                }
            }
        }
    },
    methods: {
        close() {
          this.$emit('update:show', false)
        },
        selectFinish({ value, selectedOptions, tabIndex }) {
          this.close()
          this.$emit('input', value)
          this.$emit('finish', { value, selectedOptions, tabIndex })
        },
        selectChange({ value, selectedOptions, tabIndex }) {
          this.$emit('change', { value, selectedOptions, tabIndex })
        }
    }
}
