const SfRadio = {
    name: 'SfRadio',
    template: `
  <van-popup
    v-model="show"
    position="bottom"
    get-container="body"
    round
    :close-on-click-overlay="false"
    @open="scrollIntoDefaultValue"
    @click-overlay="close()"
  >
    <div class="sf-radio--picker">
      <div class="sf_picker_header">
        <div class="sf_picker_header--title">{{ title }}</div>
        <van-icon name="cross" @click.stop="close"></van-icon>
      </div>
      <div :class="{ 'sf_picker_body': true, 'sf_picker_body_clear': clearable }">
        <ul class="sf_picker_warp">
          <li v-for="(item,index) in options" :picker-id="value ? id + ' ' +item[value] : id + ' ' + index" :key="index" class="sf_picker_item" @click.stop="confirm(item)">{{ item[label] }}</li>
        </ul>
      </div>
      <div v-if="clearable" class="sf_picker_footer">
        <van-button type="default" @click.stop="clear" round block>清空并关闭</van-button>
      </div>
    </div>
  </van-popup>`,
    props: {
        show: {
            type: Boolean,
            default: () => false
        },
        options: {
            type: Array,
            default: () => []
        },
        label: {
            type: String,
            default: () => 'label'
        },
        value: {
           type: [String, Number],
           default() {
               return ''
           }
        },
        defaultValue: {
          type: [String, Number],
          default() {
              return ''
          }
        },
        title: {
            type: String,
            default: () => '单选组件'
        },
        clearable: {
            type: Boolean,
            default: false
        }
    },
    data() {
      return {
         id: 'picker' + new Date().getTime()
      }
    },
    methods: {
        confirm(item) {
            this.$emit('confirm', item)
            this.close()
        },
        closeEvent(name, flag) {
            flag && this.close()
            this.$emit(name)
        },
        close() {
            this.$emit('update:show', false)
        },
        clear() {
            this.$emit('clear')
            this.close()
        },
        scrollIntoDefaultValue() {
            const { value, defaultValue, id } = this
            if (value && defaultValue) {
                const pickerItems = document.querySelectorAll(`li[picker-id~=${id}]`)
                console.log(pickerItems)
                pickerItems.forEach(ele => {
                    console.log(ele.getAttribute('picker-id'), id + ' ' + defaultValue)
                    if (ele.getAttribute('picker-id') === id + ' ' + defaultValue) {
                        ele.scrollIntoView({
                            behavior: 'smooth',
                            block: 'center'
                        })
                    }
                })
            }
        }
    }
}
